<?php

namespace backend\controllers;


use backend\modules\vehicle\models\VehicleImages;
use common\helpers\OtoHelper;
use Yii;
use yii\filters\VerbFilter;
use yii\web\Controller;
use yii\web\UploadedFile;

class HomePageVideoController extends Controller
{

    public $layout = '@backend/views/layouts/admin/main.php';

    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * @inheritdoc
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
        ];
    }

    public function actionIndex()
    {
        if (!Yii::$app->user->isGuest) {
            $model = new VehicleImages();
            $path = Yii::$app->basePath . '/web/uploads/home-page-video/';
            if ($model->load(Yii::$app->request->post())) {

                $image = $model->videoFile = UploadedFile::getInstance($model, 'videoFile');

                if ($image) {
                    OtoHelper::deleteHomePageMainMedia();
                    $model->videoFile = OtoHelper::getHomePageMediaFileName() . '.' . $image->extension;
                    $image->saveAs($path . $model->videoFile);//Upload files to server
                    return $this->redirect(['index']);
                }
            }
            return $this->render('index', [
                'model' => $model,
            ]);
        } else {
            return $this->goHome();
        }
    }

    protected function deleteFile($file)
    {
        $imgpath = Yii::$app->basePath .'/web/uploads/home-page-video/' . $file;
        if (file_exists($imgpath))
            unlink($imgpath);
    }

    protected function deleteHomePageVideo()
    {
        $path = Yii::$app->basePath .'/web/uploads/home-page-video/';
        $files = glob("{$path}/*");
        foreach ($files as $file){
            if (file_exists($file))
                unlink($file);
        }
    }

}