<?php

namespace backend\modules\announcement\controllers;

use Yii;
use yeesoft\controllers\admin\BaseController;

/**
 * DefaultController implements the CRUD actions for common\models\Announcement model.
 */
class DefaultController extends BaseController 
{
    public $modelClass       = 'backend\modules\announcement\models\Announcement';
    public $modelSearchClass = 'backend\modules\announcement\models\search\AnnouncementSearch';

    public function actionCreate()
    {
        /* @var $model \yeesoft\db\ActiveRecord */
        $model = new $this->modelClass;


        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            Yii::$app->session->setFlash('crudMessage', Yii::t('yee', 'Your item has been created.'));
            return $this->redirect($this->getRedirectPage('create', $model));
        }
        $model->full_name = 'Oto';
        $model->email = 'info@oto.jo';
        $model->contact = '0799788005';
        return $this->renderIsAjax($this->createView, compact('model'));
    }
    
    protected function getRedirectPage($action, $model = null)
    {
        switch ($action) {
            case 'update':
                return ['update', 'id' => $model->id];
                break;
            case 'create':
                return ['update', 'id' => $model->id];
                break;
            default:
                return parent::getRedirectPage($action, $model);
        }
    }
}