<?php

namespace backend\modules\appointment\models;

use yeesoft\behaviors\MultilingualBehavior;
use yeesoft\db\ActiveRecord;
use yeesoft\media\models\Media;
use yeesoft\models\User;
use Yii;
use yii\behaviors\BlameableBehavior;
use yii\behaviors\TimestampBehavior;
use yii\helpers\Html;

/**
 * This is the model class for table "appointment".
 *
 * @property int $id
 * @property int $user_id
 * @property int $vehicle_id
 * @property int $date_time_from
 * @property int $date_time_to
 * @property int $created_at
 * @property int $updated_at
 */
class Appointment extends ActiveRecord
{

    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'schedule_meeting';
    }


    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            // [['name'], 'required'],
			// [['user_id','email', 'phone'], 'required'],
            [['created_at', 'updated_at'], 'safe'],
			// [[ 'email'], 'string', 'max' => 50],
			// [[ 'email'], 'email'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('site', 'ID'),
            'user_id'=>Yii::t('site', 'user'),
            'vehicle_id'=>Yii::t('site', 'vehicle'),
            'date_time_from'=>Yii::t('site', 'date_time_from'),
            'date_time_to'=>Yii::t('site', 'date_time_to'),
            'created_at' => Yii::t('site', 'Created At'),
            'updated_at' => Yii::t('site', 'Updated At'),

        ];
    }

    /**
     * {@inheritdoc}
     * @return AppointmentQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new AppointmentQuery(get_called_class());
    }



    public function getCreatedDate()
    {
        return Yii::$app->formatter->asDate(($this->isNewRecord) ? time() : $this->created_at);
    }

    public function getUpdatedDate()
    {
        return Yii::$app->formatter->asDate(($this->isNewRecord) ? time() : $this->updated_at);
    }


    public function getCreatedTime()
    {
        return Yii::$app->formatter->asTime(($this->isNewRecord) ? time() : $this->created_at);
    }

    public function getUpdatedTime()
    {
        return Yii::$app->formatter->asTime(($this->isNewRecord) ? time() : $this->updated_at);
    }

    public function getCreatedDatetime()
    {
        return "{$this->createdDate} {$this->createdTime}";
    }

    public function getUpdatedDatetime()
    {
        return "{$this->updatedDate} {$this->updatedTime}";
    }
    public static function getuser_id($user_id){
        $name='';
        $query = (new \yii\db\Query())->select('*')->from('users')->where(['id' => $user_id]);
         $command = $query->createCommand();
          $data = $command->queryOne();
          if($data){
            $name=$data['name'];
        }else{
            $name='';
        }
        return $name;
    } 
    public static function getvehicle_id($vehicle_id){
        $title='';
        $query = (new \yii\db\Query())->select('*')->from('vehicle_lang')->where(['parent_id' => $vehicle_id]);
         $command = $query->createCommand();
          $data = $command->queryOne();
          if($data){
              $title=$data['title'];
          }else{
              $title='';
          }
          return $title;
    } 
    /**
     *
     * @inheritdoc
     */
    public static function getFullAccessPermission()
    {
        return 'fullPageAccess';
    }
    public function save($runValidation = true, $attributeNames = null)
    {
        \Yii::$app->cache->flush();
        return parent::save($runValidation, $attributeNames);
    }


}
