<?php

use yeesoft\grid\GridPageSize;
use yeesoft\grid\GridQuickLinks;
use yeesoft\grid\GridView;
use yeesoft\helpers\Html;
use yeesoft\models\User;
use yii\helpers\Url;
use yii\widgets\Pjax;
use backend\modules\appointment\models\Appointment;

/* @var $this yii\web\View */
/* @var $searchModel \backend\modules\appointment\models\search\AppointmentSearch */
/* @var $model \backend\modules\appointment\models\Appointment */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('site', 'appointment');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="page-index">

    <div class="row">
        <div class="col-sm-12">
           
        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-body">

            <div class="row">
                <div class="col-sm-6">
                    <?=
                    GridQuickLinks::widget([
                        'model' => Appointment::className(),
                       
                        'searchModel' => $searchModel,
                        'labels' => [
                            'all' => Yii::t('yee', 'All'),
                        ],
                    ]) ?>
                </div>

                <div class="col-sm-6 text-right">
                    <?= GridPageSize::widget(['pjaxId' => 'page-grid-pjax']) ?>
                </div>
            </div>

            <?php Pjax::begin(['id' => 'page-grid-pjax']) ?>

            <?php
            try {
                
                echo GridView::widget([
                    'id' => 'trasaction-grid',
                    'dataProvider' => $dataProvider,
                    'filterModel' => $searchModel,
                    'bulkActionOptions' => [
                        'gridId' => 'transcation-grid',
                        'actions' => [''] //Configure here you bulk actions
                    ],
                    'columns' => [
                        ['class' => \yii\grid\SerialColumn::className()],
                        [
                            'attribute' => 'user name' ,
                            'value' => function (Appointment $model) {
                                $function = $model->getuser_id($model->user_id);
                                return $function;
                            },
                            'format' => 'raw',
                        ],
                        [
                            'attribute' => 'vehicle name' ,
                            'value' => function (Appointment $model) {
                                $function = $model->getvehicle_id($model->vehicle_id);
                                return $function;
                            },
                            'format' => 'raw',
                        ],
                        [
                            'class' => 'yeesoft\grid\columns\DateFilterColumn',
                            'attribute' => 'datefrom' ,
                            'value' => function (Appointment $model) {
                                $function = Yii::$app->formatter->asDate(($model->isNewRecord) ? time() : $model->date_time_from);
                                return '<span style="font-size:85%;" class="label label-default' . '">'
                                           . $function . '</span>';
                            },
                            'format' => 'raw',
                            'options' => ['style' => 'width:150px'],
                        ],
                        [
                            'class' => 'yeesoft\grid\columns\DateFilterColumn',
                            'attribute' => 'datefrom' ,
                            'value' => function (Appointment $model) {
                                $function = Yii::$app->formatter->asDate(($model->isNewRecord) ? time() : $model->date_time_to);
                                return '<span style="font-size:85%;" class="label label-default' . '">'
                                           . $function . '</span>';
                            },
                            'format' => 'raw',
                            'options' => ['style' => 'width:150px'],
                        ],
                        // 'date_time_from',
                        // 'date_time_to',
                         [
                            'class' => 'yeesoft\grid\columns\DateFilterColumn',
                            'attribute' => 'created at' ,
                            'value' => function (Appointment $model) {
                                $function = Yii::$app->formatter->asDate(($model->isNewRecord) ? time() : $model->created_at);
                                return '<span style="font-size:85%;" class="label label-default' . '">'
                                           . $function . '</span>';
                            },
                            'format' => 'raw',
                            'options' => ['style' => 'width:150px'],
                        ],
                        [
                            'class' => 'yeesoft\grid\columns\DateFilterColumn',
                            'attribute' => 'updated at',
                            'value' => function (Appointment $model) {
                                $function = Yii::$app->formatter->asDate(($model->isNewRecord) ? time() : $model->updated_at);
                                return '<span style="font-size:85%;" class="label label-default' . '">'
                                           . $function . '</span>';
                            },
                            'format' => 'raw',
                            'options' => ['style' => 'width:150px'],
                        ],
                    ]
                ]);
                
            } catch (Exception $e) {
                var_dump($e->getMessage());
            }
            
            ?>

            <?php Pjax::end() ?>
        </div>
    </div>
</div>


