<?php

namespace backend\modules\places\models;

use Yii;

/**
 * This is the model class for table "place_accessibility".
 *
 * @property int $place_id
 * @property int $accessibility_id
 *
 * @property Places $place
 * @property Accessibility $accessibility
 */
class PlaceAccessibility extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'place_accessibility';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['place_id', 'accessibility_id'], 'required'],
            [['place_id', 'accessibility_id'], 'integer'],
            [['place_id'], 'exist', 'skipOnError' => true, 'targetClass' => Places::className(), 'targetAttribute' => ['place_id' => 'id']],
            [['accessibility_id'], 'exist', 'skipOnError' => true, 'targetClass' => Accessibility::className(), 'targetAttribute' => ['accessibility_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'place_id' => Yii::t('site', 'Place ID'),
            'accessibility_id' => Yii::t('site', 'Accessibility ID'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPlace()
    {
        return $this->hasOne(Places::className(), ['id' => 'place_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getAccessibility()
    {
        return $this->hasOne(Accessibility::className(), ['id' => 'accessibility_id']);
    }

    /**
     * {@inheritdoc}
     * @return PlaceAccessibilityQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new PlaceAccessibilityQuery(get_called_class());
    }
}
