<?php

namespace backend\modules\places\models;

use Yii;

/**
 * This is the model class for table "place_filter".
 *
 * @property int $place_id
 * @property int $filter_id
 *
 * @property Filter $filter
 * @property Places $place
 */
class PlaceFilter extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'place_filter';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['place_id', 'filter_id'], 'required'],
            [['place_id', 'filter_id'], 'integer'],
            [['place_id', 'filter_id'], 'unique', 'targetAttribute' => ['place_id', 'filter_id']],
            [['filter_id'], 'exist', 'skipOnError' => true, 'targetClass' => Filter::className(), 'targetAttribute' => ['filter_id' => 'id']],
            [['place_id'], 'exist', 'skipOnError' => true, 'targetClass' => Places::className(), 'targetAttribute' => ['place_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'place_id' => Yii::t('site', 'Place ID'),
            'filter_id' => Yii::t('site', 'Filter ID'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getFilter()
    {
        return $this->hasOne(Filter::className(), ['id' => 'filter_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPlace()
    {
        return $this->hasOne(Places::className(), ['id' => 'place_id']);
    }

    /**
     * {@inheritdoc}
     * @return PlaceFilterQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new PlaceFilterQuery(get_called_class());
    }
}
