<?php

use yii\helpers\Url;
use yii\widgets\Pjax;
use yeesoft\grid\GridView;
use yeesoft\grid\GridQuickLinks;
use backend\modules\places\models\Places;
use yeesoft\helpers\Html;
use yeesoft\grid\GridPageSize;

/* @var $this yii\web\View */
/* @var $searchModel backend\modules\places\models\search\PlacesModelSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Places';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="places-index">

    <div class="row">
        <div class="col-sm-12">
            <h3 class="lte-hide-title page-title"><?= Html::encode($this->title) ?></h3>
            <?= Html::a(Yii::t('yee', 'Add New'), ['/places/default/create'], ['class' => 'btn btn-sm btn-primary']) ?>
            <?= Html::a(Yii::t('yee', 'Add By Users'), ['/places/default/added-by-user'], ['class' => 'btn btn-sm btn-warning']) ?>
        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-body">

            <div class="row">
                <div class="col-sm-6">
                    <?= GridQuickLinks::widget([
                        'model' => Places::className(),
                        'searchModel' => $searchModel,
                        'options' => [
                            ['label' => 'All', 'filterWhere' => []],
//                            ['label' => 'Add By Users', 'filterWhere' => ['<>', 'created_by', 1]],
                        ],
//                        'labels' => [
//                            'all' => Yii::t('yee', 'All'),
//                            'active' => Yii::t('yee', 'Published'),
//                            'inactive' => Yii::t('yee', 'Pending'),
//                            'From Users' => Yii::t('yee', 'Pending'),
//                        ],
                    ]) ?>
                </div>

                <div class="col-sm-6 text-right">
                    <?= GridPageSize::widget(['pjaxId' => 'places-grid-pjax']) ?>
                </div>
            </div>

            <?php
            Pjax::begin(['id' => 'places-grid-pjax',])
            ?>

            <?=
            GridView::widget(['id' => 'places-grid',
                'dataProvider' => $dataProvider,
                'filterModel' => $searchModel,
                'bulkActionOptions' => ['gridId' => 'places-grid',
                    'actions' => [''] //Configure here you bulk actions
                ],
                'columns' => [['class' => 'yeesoft\grid\CheckboxColumn', 'options' => ['style' => 'width:10px']],
                    ['class' => 'yeesoft\grid\columns\TitleActionColumn',
                        'controller' => '/places/default',
                        'title' => function (Places $model) {
                            return Html::a($model->title, ['view', 'id' => $model->id], ['data-pjax' => 0]);
                        },],

                    'kinz_id',
                    'city.title',
                    'phone',
                    'website'],]);
            ?>

            <?php Pjax::end() ?>
        </div>
    </div>
</div>


