<?php

namespace backend\modules\product\models;


use common\helpers\Utility;
use common\models\User;
use yeesoft\behaviors\MultilingualBehavior;
use Yii;
use yii\behaviors\BlameableBehavior;
use yii\behaviors\SluggableBehavior;
use yii\behaviors\TimestampBehavior;
use yii\db\ActiveRecord;

/**
 * This is the model class for table "service".
 *
 * @property int $id
 * @property int $bill_id
 * @property int $det_bill_id
 * @property string $item_name
 * @property string $subs_amt
 * @property string $fine_amt
 * @property string $resub_amt
 * @property string $total_subs
 * @property string $notes
 * @property int $created_at
 * @property int $updated_at
 * @property int $created_by
 * @property int $updated_by
 * @property string $type
 *
 */
class Service extends ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'service';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['bill_id', 'det_bill_id', 'item_name', 'subs_amt', 'total_subs', 'resub_amt', 'notes'], 'required'],

            [['det_bill_id', 'bill_id'], 'integer'],
            [['notes'], 'string'],
            [['subs_amt', 'total_subs', 'resub_amt'], 'number'],

        ];
    }


    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            TimestampBehavior::className(),
            BlameableBehavior::className(),
        ];
    }
    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [

        ];
    }
}
