<?php
/**
 * Created by PhpStorm.
 * User: ajoudeh
 * Date: 7/5/18
 * Time: 10:05 PM
 */

use dosamigos\google\maps\Event;
use dosamigos\google\maps\LatLng;
use dosamigos\google\maps\Map;
use dosamigos\google\maps\overlays\InfoWindow;
use dosamigos\google\maps\overlays\Marker;
use yeesoft\settings\assets\SettingsAsset;
use yeesoft\widgets\ActiveForm;
use kartik\helpers\Html;

/* @var $this yii\web\View */
/* @var $model backend\models\SiteSettings */
/* @var $form yeesoft\widgets\ActiveForm */


$this->title = Yii::t('yee/settings', 'Motor Settings');
$this->params['breadcrumbs'][] = $this->title;


SettingsAsset::register($this);
?>

    <div class="page-form">

        <?php
        $form = ActiveForm::begin([
            'id' => 'setting-form',
            'validateOnBlur' => false,
        ])
        ?>

        <div class="row">
            <div class="col-md-9">

                <div class="panel panel-default">
                    <div class="panel-body">

                        <?= $form->field($model, 'max_amount')->textInput(['maxlength' => true])->hint($model->getDescription('max_amount')) ?>
                        <?= $form->field($model, 'agency_repair_max_year')->textInput(['maxlength' => true])->hint($model->getDescription('agency_repair_max_year')) ?>
                        <?= $form->field($model, 'agency_repair_percentage')->textInput(['maxlength' => true])->hint($model->getDescription('agency_repair_percentage')) ?>
                        <?= $form->field($model, 'agency_repair_min_amount')->textInput(['maxlength' => true])->hint($model->getDescription('agency_repair_min_amount')) ?>
                        <?= $form->field($model, 'electric_car_percentage')->textInput(['maxlength' => true])->hint($model->getDescription('electric_car_percentage')) ?>
                        <?= $form->field($model, 'electric_car_min_amount')->textInput(['maxlength' => true])->hint($model->getDescription('electric_car_min_amount')) ?>

                    </div>
                </div>
                <div class="col-md-3">

                    <div class="panel panel-default">
                        <div class="panel-body">

                            <?= $form->field($model, 'rang_one')->textInput(['maxlength' => true])->hint($model->getDescription('rang_one')) ?>
                            <?= $form->field($model, 'rang_one_initial_amount')->textInput(['maxlength' => true])->hint($model->getDescription('rang_one_initial_amount')) ?>

                        </div>
                    </div>
                </div>

                <div class="col-md-3">

                    <div class="panel panel-default">
                        <div class="panel-body">

                            <?= $form->field($model, 'rang_two')->textInput(['maxlength' => true])->hint($model->getDescription('rang_two')) ?>
                            <?= $form->field($model, 'rang_two_initial_amount')->textInput(['maxlength' => true])->hint($model->getDescription('rang_two_initial_amount')) ?>
                            <?= $form->field($model, 'rang_two_subtract_amount')->textInput(['maxlength' => true])->hint($model->getDescription('rang_two_subtract_amount')) ?>
                            <?= $form->field($model, 'rang_two_percentage')->textInput(['maxlength' => true])->hint($model->getDescription('rang_two_percentage')) ?>

                        </div>
                    </div>
                </div>

                <div class="col-md-3">

                    <div class="panel panel-default">
                        <div class="panel-body">

                            <?= $form->field($model, 'rang_three')->textInput(['maxlength' => true])->hint($model->getDescription('rang_three')) ?>
                            <?= $form->field($model, 'rang_three_initial_amount')->textInput(['maxlength' => true])->hint($model->getDescription('rang_three_initial_amount')) ?>
                            <?= $form->field($model, 'rang_three_subtract_amount')->textInput(['maxlength' => true])->hint($model->getDescription('rang_three_subtract_amount')) ?>
                            <?= $form->field($model, 'rang_three_percentage')->textInput(['maxlength' => true])->hint($model->getDescription('rang_three_percentage')) ?>

                        </div>
                    </div>
                </div>

                <div class="col-md-3">

                    <div class="panel panel-default">
                        <div class="panel-body">

                            <?= $form->field($model, 'rang_four')->textInput(['maxlength' => true])->hint($model->getDescription('rang_four')) ?>
                            <?= $form->field($model, 'rang_four_initial_amount')->textInput(['maxlength' => true])->hint($model->getDescription('rang_four_initial_amount')) ?>
                            <?= $form->field($model, 'rang_four_subtract_amount')->textInput(['maxlength' => true])->hint($model->getDescription('rang_four_subtract_amount')) ?>
                            <?= $form->field($model, 'rang_four_percentage')->textInput(['maxlength' => true])->hint($model->getDescription('rang_four_percentage')) ?>

                        </div>
                    </div>
                </div>

            </div>

            <div class="col-md-3">


                <div class="panel panel-default">
                    <div class="panel-body">
                        <div class="record-info">
                            <?= $form->field($model, 'discount', [
                                'template' => '{beginLabel}{labelTitle}{endLabel}<div class="input-group">{input}
            <span class="input-group-addon">%</span></div>{error}{hint}'
                            ]); ?>
                            <div class="form-group">

                                <?= Html::submitButton(Yii::t('yee', 'Save'), ['class' => 'btn btn-primary']) ?>

                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>

        <?php ActiveForm::end(); ?>

    </div>


<?php


$js = <<<JS
   
    var image = $("#sitesettings-homepage_image").val();
    if(image.length == 0){
        $('.post-image').hide();
    } else {
        $('.post-image').html('<img src="' + image + '" />');
    }
    

JS;

$this->registerJs($js, yii\web\View::POS_END);
?>