<?php

namespace backend\modules\quotes_request\models;

use bedezign\yii2\audit\AuditTrailBehavior;
use common\helpers\Utility;
use Yii;
use yii\behaviors\TimestampBehavior;
use yii\web\UploadedFile;

/**
 * This is the model class for table "life_insurance".
 *
 * @property int $id
 * @property string $reference_number
 * @property string $first_name
 * @property string $second_name
 * @property string $third_name
 * @property string $family_name
 * @property string $email
 * @property string $mobile_number
 * @property string $address
 * @property string $national_number
 * @property string $birth_place
 * @property string $date_of_birth
 * @property string $nationality
 * @property string $gender
 * @property string $social_status
 * @property string $career
 * @property string $job_name
 * @property string $job_location
 * @property string $education_level
 * @property int $income
 * @property string $city
 * @property string $pobox
 * @property string $postal_code
 * @property string $job_phone
 * @property string $home
 * @property string $beneficiary_name
 * @property string $beneficiary_relation
 * @property int $beneficiary_share
 * @property string $insurance_company_name
 * @property string $insurance_programe
 * @property string $insurance_amount
 * @property string $insurance_date
 * @property int $insurance_week
 * @property int $insurance_compensation
 * @property string $program
 * @property int $amount
 * @property string $period
 * @property string $additional_contracts
 * @property int $additional_contracts_amount
 * @property string $additional_contracts_period
 * @property string $installments_type
 * @property int $deposit
 * @property string $identity_file
 * @property string $q1 هل سبق وتقدمت بطلب تأم ن ي حياة
اوحوادث او ص ي ح ولم يقبل او قبل
ي او
ب ر شوط او اسعار معدلة او هل ال ن غ
رفض اعادت سريان عقد او جدد
بتعرفة اعلى او نقاء تحفظات معينه
 * @property string $q2 هل سبق وان تقدمت بمطالبة او
تسلمت تعويضا بموجب عقد تأم ن ي
 * @property string $q3 هل سبق لك او تنوي السفر على
خطوط جويه غ ب منظمة او تنوي قادة
طائره او تمارس رياضه خطره من اي
نوع
 * @property string $q4 هل تنوي السفر او الاقامه خارج البلاد
خلال السنت ن ي القادمت ن ي خلال السنت ن ي
القادمت ن ي اذكر البلاد ومدة الاقامه
 * @property string $q5 اسم وعنوان طبيبك الخاص
 * @property string $q6 تاريخ اخر استشاره طبيه السبب
والنتائج
 * @property string $q7 اسم الطبيب وعنوانه
 * @property string $q8 هل قمت باستشارة طبيبه بسبب
الكحول او المخدرات
 * @property string $q9 خلال السنوات العا ر سره الماضيه هل
علمت بوجود اجسام مضادة للمناعه
ي جسمك او هل اجريت او
المكتسبه ن ف
نصحت باجراء فحص دم لاختيار
فقدان المناعه المكتسبه وما ي ه
النتيجه
 * @property string $q11 هل سبق و ان اصبت باي من الحالات
التاليه
 * @property string $q12 هل سبق و ان ادخلت المستش نف او
عياده طبيه خلال السنوات الع ر ش
الماضيه للمعالجة او للاستشاره
اوالملاحظه او لاجراء اية فحوصات
تشخيصيه
 * @property string $q13 هل نصحت باجراء عملية جراحيه وهل
ي الوقت
ن
تتناول علاج من اي نوع ف
 * @property string $q14 هل سبق وان اعلمت بانك تعا ن ن
تشكو من الامراض التاليه
 * @property string $q15 اضافه ال ما ذكر هل تلقيت علاجا لاي
مرض او حاله او است ر شت طبيبا او
عيادة او مستش ن ف خلال السنوات
الخمس الماضيه
 * @property string $q16 حسب افضل علمك واعتقادك هل انت
بصحه جيدة وخال من اي امراض او
علل او عاهات
 * @property string $q17 هل عا ن ن او عولج احد
والديك 0اخوتك 0اخواتك من مرض
القلب او السكري او تصلب ال ر شاي ن ي
 * @property string $q18 ما هو وزنك الحا ي ل ؟
 * @property string $q19 ما هو طولك الحا ي ل
 * @property string $q20 هل تغ ب وزنك خلال السنة الماضية ؟
 * @property string $q21 وضح مقدار الزيادة أو النقص
 * @property string $q22 ما مدى استهلاكك اليو ي م للتبغ
 * @property string $q23 ما مدى تعاطيك للم ر شوبات الروحيه
 * @property string $q24 الاسم قبا الزواج
 * @property string $q25 اسم الزوج كاملا
 * @property string $q26 هل انت حامل؟وباي شهر؟
 * @property string $q27 هل واجهت تعقيدات باي حمل
 * @property string $q28 هل اجريت عمليه قيصريه
 * @property string $q29 إذا كانت الأجوبة لأي من الأسئلة أعلاه
بنعم، وضح التفاصيل أدناه أو استعمل
ورقة أضافية منفصلة إذا تطلب الأمر
ذلك مع توقيعها
 * @property int $created
 * @property int $updated
 */
class FamilyIncomeInsurance extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'family_income_insurance';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['address', 'q29'], 'string'],
            [['date_of_birth', 'insurance_date', 'additional_contracts_period'], 'safe'],
            [['income', 'beneficiary_share', 'insurance_week', 'insurance_compensation', 'amount', 'additional_contracts_amount', 'deposit', 'created', 'updated'], 'integer'],
            [['reference_number', 'first_name', 'second_name', 'third_name', 'family_name', 'email', 'national_number', 'birth_place', 'nationality', 'gender', 'social_status', 'career', 'job_name', 'job_location', 'education_level', 'city', 'pobox', 'postal_code', 'job_phone', 'home', 'beneficiary_name', 'beneficiary_relation', 'insurance_company_name', 'insurance_programe', 'insurance_amount', 'program', 'additional_contracts', 'installments_type', 'identity_file', 'q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9', 'q11', 'q12', 'q13', 'q14', 'q15', 'q16', 'q17', 'q18', 'q19', 'q20', 'q21', 'q22', 'q23', 'q24', 'q25', 'q26', 'q27', 'q28', 'q30'], 'string', 'max' => 255],
            [['mobile_number'], 'string', 'max' => 50],
            [['identity_file'], 'file', 'maxSize' => 1024 * 1024 * 50, 'extensions' => 'jpg, jpeg, png, bmp, pdf'],
            [['mobile_number', 'reference_number', 'first_name', 'second_name', 'third_name', 'family_name', 'email', 'national_number', 'birth_place', 'nationality', 'gender', 'social_status', 'career', 'job_name', 'job_location', 'education_level', 'city', 'pobox', 'postal_code', 'job_phone', 'home', 'beneficiary_name', 'beneficiary_relation', 'insurance_company_name', 'insurance_programe', 'insurance_amount', 'program', 'additional_contracts', 'installments_type', 'identity_file', 'q1', 'q2', 'q3', 'q4', 'q5', 'q6', 'q7', 'q8', 'q9', 'q11', 'q12', 'q13', 'q14', 'q15', 'q16', 'q17', 'q18', 'q19', 'q20', 'q21', 'q22', 'q23', 'q24', 'q25', 'q26', 'q27', 'q28', 'q30', 'income', 'beneficiary_share', 'insurance_week', 'insurance_compensation', 'amount', 'additional_contracts_amount', 'deposit', 'address', 'q29', 'date_of_birth', 'insurance_date', 'additional_contracts_period'], 'required']

        ];
    }
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            AuditTrailBehavior::className(),
            'Timestamp' => [
                'class' => TimestampBehavior::className(),
                'createdAtAttribute' => 'created',
                'updatedAtAttribute' => 'updated',
            ],
//           BlameableBehavior::className(),
        ];
    }
    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('site', 'ID'),
            'reference_number' => Yii::t('site', 'Reference Number'),
            'first_name' => Yii::t('site', 'First Name'),
            'second_name' => Yii::t('site', 'Second Name'),
            'third_name' => Yii::t('site', 'Third Name'),
            'family_name' => Yii::t('site', 'Family Name'),
            'email' => Yii::t('site', 'Email'),
            'mobile_number' => Yii::t('site', 'Mobile Number'),
            'address' => Yii::t('site', 'Address'),
            'national_number' => Yii::t('site', 'National Number'),
            'birth_place' => Yii::t('site', 'Birth Place'),
            'date_of_birth' => Yii::t('site', 'Date Of Birth'),
            'nationality' => Yii::t('site', 'Nationality'),
            'gender' => Yii::t('site', 'Gender'),
            'social_status' => Yii::t('site', 'Social Status'),
            'career' => Yii::t('site', 'Career'),
            'job_name' => Yii::t('site', 'Job Name'),
            'job_location' => Yii::t('site', 'Job Location'),
            'education_level' => Yii::t('site', 'Education Level'),
            'income' => Yii::t('site', 'Income'),
            'city' => Yii::t('site', 'City'),
            'pobox' => Yii::t('site', 'Pobox'),
            'postal_code' => Yii::t('site', 'Postal Code'),
            'job_phone' => Yii::t('site', 'Job Phone'),
            'home' => Yii::t('site', 'Home'),
            'beneficiary_name' => Yii::t('site', 'Beneficiary Name'),
            'beneficiary_relation' => Yii::t('site', 'Beneficiary Relation'),
            'beneficiary_share' => Yii::t('site', 'Beneficiary Share'),
            'insurance_company_name' => Yii::t('site', 'Insurance Company Name'),
            'insurance_programe' => Yii::t('site', 'Insurance Programe'),
            'insurance_amount' => Yii::t('site', 'Insurance Amount'),
            'insurance_date' => Yii::t('site', 'Insurance Date'),
            'insurance_week' => Yii::t('site', 'Insurance Week'),
            'insurance_compensation' => Yii::t('site', 'Insurance Compensation'),
            'program' => Yii::t('site', 'Program'),
            'amount' => Yii::t('site', 'Amount'),
            'period' => Yii::t('site', 'Period'),
            'additional_contracts' => Yii::t('site', 'Additional Contracts'),
            'additional_contracts_amount' => Yii::t('site', 'Additional Contracts Amount'),
            'additional_contracts_period' => Yii::t('site', 'Additional Contracts Period'),
            'installments_type' => Yii::t('site', 'Installments Type'),
            'deposit' => Yii::t('site', 'Deposit'),
            'identity_file' => Yii::t('site', 'Identity File'),
            'q1' => Yii::t('site', 'FAMILY.Q1'),
            'q2' => Yii::t('site', 'FAMILY.Q2'),
            'q3' => Yii::t('site', 'FAMILY.Q3'),
            'q4' => Yii::t('site', 'FAMILY.Q4'),
            'q5' => Yii::t('site', 'FAMILY.Q5'),
            'q6' => Yii::t('site', 'FAMILY.Q6'),
            'q7' => Yii::t('site', 'FAMILY.Q7'),
            'q8' => Yii::t('site', 'FAMILY.Q8'),
            'q9' => Yii::t('site', 'FAMILY.Q9'),
            'q11' => Yii::t('site', 'FAMILY.Q11'),
            'q12' => Yii::t('site', 'FAMILY.Q12'),
            'q13' => Yii::t('site', 'FAMILY.Q13'),
            'q14' => Yii::t('site', 'FAMILY.Q14'),
            'q15' => Yii::t('site', 'FAMILY.Q15'),
            'q16' => Yii::t('site', 'FAMILY.Q16'),
            'q17' => Yii::t('site', 'FAMILY.Q17'),
            'q18' => Yii::t('site', 'FAMILY.Q18'),
            'q19' => Yii::t('site', 'FAMILY.Q19'),
            'q20' => Yii::t('site', 'FAMILY.Q20'),
            'q21' => Yii::t('site', 'FAMILY.Q21'),
            'q22' => Yii::t('site', 'FAMILY.Q22'),
            'q23' => Yii::t('site', 'FAMILY.Q23'),
            'q24' => Yii::t('site', 'FAMILY.Q24'),
            'q25' => Yii::t('site', 'FAMILY.Q25'),
            'q26' => Yii::t('site', 'FAMILY.Q26'),
            'q27' => Yii::t('site', 'FAMILY.Q27'),
            'q28' => Yii::t('site', 'FAMILY.Q28'),
            'q29' => Yii::t('site', 'FAMILY.Q29'),
            'q30' => Yii::t('site', 'FAMILY.Q30'),
            'created' => Yii::t('site', 'Created'),
            'updated' => Yii::t('site', 'Updated'),
        ];
    }
    public function setDefaults()
    {
        $this->reference_number = Utility::create_guid();
    }

    public function getCreatedDate()
    {
        return Yii::$app->formatter->asDate(($this->isNewRecord) ? time() : $this->created);
    }

    public function getCreatedTime()
    {
        return Yii::$app->formatter->asTime(($this->isNewRecord) ? time() : $this->created);
    }
    public function getCreatedDatetime()
    {
        return "{$this->createdDate} {$this->createdTime}";
    }

    /**
     * {@inheritdoc}
     * @return LifeInsuranceQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new FamilyIncomeInsuranceQuery(get_called_class());
    }



    public function uploadFiles()
    {
        $routes = [
            'baseUrl' => '', // Base absolute path to web directory
            'basePath' => '@frontend/web', // Base web directory url
            'uploadPath' => 'uploads/quote', // Path for uploaded files in web directory
        ];
        try {
            $file1 = UploadedFile::getInstance(new self(), "identity_file");
            $media1 = Utility::saveUploadedFile($file1, $routes);
            //$this->familyBookFile = $media1->file;
            $this->identity_file = $media1->url;
        } catch (\Exception $e) {
        }

    }
}
