<?php

namespace backend\modules\quotes_request\models;

use bedezign\yii2\audit\AuditTrailBehavior;
use common\helpers\Utility;
use Yii;
use yii\behaviors\TimestampBehavior;

/**
 * This is the model class for table "first_home_insurance".
 *
 * @property int $id
 * @property string $reference_number
 * @property string $first_name
 * @property string $second_name
 * @property string $third_name
 * @property string $family_name
 * @property string $email
 * @property string $mobile_number
 * @property int $amount_of_insurance قيمة المركبه
 * @property string $insured_city
 * @property string $insured_phone
 * @property string $insured_building
 * @property string $insured_contains
 * @property string $insured_reponsibility
 * @property string $insured_personal_accidents
 * @property string $insured_loss_of_rent
 * @property string $insured_start_date
 * @property string $location_city
 * @property string $location_district
 * @property string $location_street
 * @property string $location_building_number
 * @property int $location_appartment_number
 * @property int $location_floor_number
 * @property string $location_segment
 * @property string $segment_basin_number
 * @property string $owner_name
 * @property int $building_age
 * @property int $house_is_exposed_to_loss
 * @property string $year_of_loss
 * @property string $identity_file
 * @property string $registration_file
 * @property string $city
 * @property string $district
 * @property string $street
 * @property string $building_number
 * @property int $created
 * @property int $updated
 * @property string $initial_price
 * @property string $discount
 * @property string $final_price
 * @property string $request_status
 * @property string $reject_reason
 * @property string $payment_method
 * @property string $payment_status
 */
class FirstHomeInsurance extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'first_home_insurance';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['amount_of_insurance', 'location_appartment_number', 'location_floor_number', 'building_age', 'house_is_exposed_to_loss', 'created', 'updated'], 'integer'],
            [['insured_contains', 'reject_reason'], 'string'],
            [['insured_start_date', 'year_of_loss'], 'safe'],
            [['initial_price', 'discount', 'final_price'], 'number'],
            [['reference_number', 'first_name', 'second_name', 'third_name', 'family_name', 'email', 'insured_city', 'insured_phone', 'insured_building', 'insured_reponsibility', 'insured_personal_accidents', 'insured_loss_of_rent', 'location_city', 'location_district', 'location_street', 'location_building_number', 'location_segment', 'segment_basin_number', 'owner_name', 'identity_file', 'registration_file', 'city', 'district', 'street', 'request_status', 'payment_method'], 'string', 'max' => 255],
            [['mobile_number', 'building_number'], 'string', 'max' => 50],
            [['identity_file', 'registration_file'], 'file', 'maxSize' => 1024 * 1024 * 50, 'extensions' => 'jpg, jpeg, png, bmp, pdf'],

        ];
    }

    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            AuditTrailBehavior::className(),
            'Timestamp' => [
                'class' => TimestampBehavior::className(),
                'createdAtAttribute' => 'created',
                'updatedAtAttribute' => 'updated',
            ],
//            BlameableBehavior::className(),
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeHints()
    {
        return [
            //'insured_reponsibility' => Yii::t('site', 'insured_reponsibility'),
        ];
    }


    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('site', 'ID'),
            'reference_number' => Yii::t('site', 'Reference Number'),
            'first_name' => Yii::t('site', 'First Name'),
            'second_name' => Yii::t('site', 'Second Name'),
            'third_name' => Yii::t('site', 'Third Name'),
            'family_name' => Yii::t('site', 'Family Name'),
            'email' => Yii::t('site', 'Email'),
            'mobile_number' => Yii::t('site', 'Mobile Number'),
            'amount_of_insurance' => Yii::t('site', 'Amount Of Insurance'),
            'insured_city' => Yii::t('site', 'Insured City'),
            'insured_phone' => Yii::t('site', 'Insured Phone'),
            'insured_building' => Yii::t('site', 'Insured Building'),
            'insured_contains' => Yii::t('site', 'Insured Contains'),
            'insured_reponsibility' => Yii::t('site', 'Insured Reponsibility'),
            'insured_personal_accidents' => Yii::t('site', 'Insured Personal Accidents'),
            'insured_loss_of_rent' => Yii::t('site', 'Insured Loss Of Rent'),
            'insured_start_date' => Yii::t('site', 'Insured Start Date'),
            'location_city' => Yii::t('site', 'Location City'),
            'location_district' => Yii::t('site', 'Location District'),
            'location_street' => Yii::t('site', 'Location Street'),
            'location_building_number' => Yii::t('site', 'Location Building Number'),
            'location_appartment_number' => Yii::t('site', 'Location Appartment Number'),
            'location_floor_number' => Yii::t('site', 'Location Floor Number'),
            'location_segment' => Yii::t('site', 'Location Segment'),
            'segment_basin_number' => Yii::t('site', 'Segment Basin Number'),
            'owner_name' => Yii::t('site', 'Owner Name'),
            'building_age' => Yii::t('site', 'Building Age'),
            'house_is_exposed_to_loss' => Yii::t('site', 'House Is Exposed To Loss'),
            'year_of_loss' => Yii::t('site', 'Year Of Loss'),
            'identity_file' => Yii::t('site', 'Identity File'),
            'registration_file' => Yii::t('site', 'Registration File'),
            'city' => Yii::t('site', 'City'),
            'district' => Yii::t('site', 'District'),
            'street' => Yii::t('site', 'Street'),
            'building_number' => Yii::t('site', 'Building Number'),
            'created' => Yii::t('site', 'Created'),
            'updated' => Yii::t('site', 'Updated'),
            'initial_price' => Yii::t('site', 'Initial Price'),
            'discount' => Yii::t('site', 'Discount'),
            'final_price' => Yii::t('site', 'Final Price'),
            'request_status' => Yii::t('site', 'Request Status'),
            'reject_reason' => Yii::t('site', 'Reject Reason'),
            'payment_method' => Yii::t('site', 'Payment Method'),
        ];
    }

    public function setDefaults()
    {
        $this->reference_number = Utility::create_guid();
    }

    public function getCreatedDate()
    {
        return Yii::$app->formatter->asDate(($this->isNewRecord) ? time() : $this->created);
    }

    public function getCreatedTime()
    {
        return Yii::$app->formatter->asTime(($this->isNewRecord) ? time() : $this->created);
    }
    public function getCreatedDatetime()
    {
        return "{$this->createdDate} {$this->createdTime}";
    }
    /**
     * {@inheritdoc}
     * @return FirstHomeInsuranceQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new FirstHomeInsuranceQuery(get_called_class());
    }
}
