<?php

namespace backend\modules\quotes_request\models;

use bedezign\yii2\audit\AuditTrailBehavior;
use common\helpers\Utility;
use Yii;
use yii\behaviors\TimestampBehavior;

/**
 * This is the model class for table "motor_insurance".
 *
 * @property int $id
 * @property string $reference_number
 * @property string $first_name
 * @property string $second_name
 * @property string $third_name
 * @property string $family_name
 * @property string $email
 * @property string $mobile_number
 * @property string $registration_status صفة التسجيل
 * @property string $vehicle_type نوع المركبة
 * @property string $car_model موديل السيارة
 * @property string $manufacturing_year سنة الصنع
 * @property int $amount_of_insurance قيمة المركبه
 * @property string $fuel_type نوع الوقود
 * @property int $repair_agency اصلاح المركبه
 * @property string $name_of_insured اسم المؤمن له
 * @property string $via بواسطة
 * @property string $beneficiary_name اسم المستفيد
 * @property string $city
 * @property string $district
 * @property string $street
 * @property string $building_number
 * @property string $home_number
 * @property string $gender
 * @property string $date_of_birth
 * @property string $career
 * @property string $plate_Number رقم اللوحه
 * @property string $vin_number رقم الشا صي
 * @property string $engine_serial_number رقم المحرك
 * @property string $national_number رقم  وطني
 * @property string $registration_number رقم التسجيل
 * @property string $driving_license_file
 * @property string $Identity_commercial_file
 * @property int $created
 * @property int $updated
 * @property string $initial_price
 * @property string $final_price
 * @property number $discount
 * @property string $request_status
 * @property string $reject_reason
 * @property string $payment_method
 */
class MotorInsurance extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'motor_insurance';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['reference_number', 'first_name', 'second_name', 'third_name', 'family_name', 'email', 'mobile_number', 'registration_status', 'vehicle_type', 'car_model', 'manufacturing_year', 'amount_of_insurance', 'fuel_type', 'name_of_insured', 'via', 'city', 'district', 'street', 'building_number', 'home_number', 'gender', 'date_of_birth', 'career', 'plate_Number', 'vin_number', 'national_number', 'registration_number', 'driving_license_file', 'Identity_commercial_file'], 'required'],
            [['manufacturing_year', 'date_of_birth'], 'safe'],
            [['amount_of_insurance', 'repair_agency', 'created', 'updated'], 'integer'],
            [['initial_price', 'final_price', 'discount'], 'number'],
            [['reject_reason'], 'string'],
            [['payment_method', 'reference_number', 'first_name', 'second_name', 'third_name', 'family_name', 'email', 'registration_status', 'vehicle_type', 'car_model', 'fuel_type', 'name_of_insured', 'via', 'beneficiary_name', 'city', 'district', 'street', 'career', 'vin_number', 'engine_serial_number', 'national_number', 'registration_number', 'driving_license_file', 'Identity_commercial_file', 'request_status'], 'string', 'max' => 255],
            [['mobile_number', 'building_number', 'home_number', 'plate_Number'], 'string', 'max' => 50],
            [['gender'], 'string', 'max' => 10],
            [['driving_license_file', 'Identity_commercial_file'], 'file', 'maxSize' => 1024 * 1024 * 50, 'extensions' => 'jpg, jpeg, png, bmp, pdf'],

        ];
    }

    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            AuditTrailBehavior::className(),
            'Timestamp' => [
                'class' => TimestampBehavior::className(),
                'createdAtAttribute' => 'created',
                'updatedAtAttribute' => 'updated',
            ],
//            BlameableBehavior::className(),
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('site', 'ID'),
            'reference_number' => Yii::t('site', 'Reference Nmber'),
            'first_name' => Yii::t('site', 'First Name'),
            'second_name' => Yii::t('site', 'Second Name'),
            'third_name' => Yii::t('site', 'Third Name'),
            'family_name' => Yii::t('site', 'Family Name'),
            'email' => Yii::t('site', 'Email'),
            'mobile_number' => Yii::t('site', 'Mobile Number'),
            'registration_status' => Yii::t('site', 'Registration Status'),
            'vehicle_type' => Yii::t('site', 'Vehicle Type'),
            'car_model' => Yii::t('site', 'Car Model'),
            'manufacturing_year' => Yii::t('site', 'Manufacturing Year'),
            'amount_of_insurance' => Yii::t('site', 'Amount Of Insurance'),
            'fuel_type' => Yii::t('site', 'Fuel Type'),
            'repair_agency' => Yii::t('site', 'Repair Agency'),
            'name_of_insured' => Yii::t('site', 'Name Of Insured'),
            'via' => Yii::t('site', 'Via'),
            'beneficiary_name' => Yii::t('site', 'Beneficiary Name'),
            'city' => Yii::t('site', 'City'),
            'district' => Yii::t('site', 'District'),
            'street' => Yii::t('site', 'Street'),
            'building_number' => Yii::t('site', 'Building Number'),
            'home_number' => Yii::t('site', 'Home Number'),
            'gender' => Yii::t('site', 'Gender'),
            'date_of_birth' => Yii::t('site', 'Date Of Birth'),
            'career' => Yii::t('site', 'Career'),
            'plate_Number' => Yii::t('site', 'Plate  Number'),
            'vin_number' => Yii::t('site', 'Vin Number'),
            'engine_serial_number' => Yii::t('site', 'Engine Serial Number'),
            'national_number' => Yii::t('site', 'National Number'),
            'registration_number' => Yii::t('site', 'Registration Number'),
            'driving_license_file' => Yii::t('site', 'Driving License File'),
            'Identity_commercial_file' => Yii::t('site', 'Identity Commercial File'),
            'created' => Yii::t('site', 'Created'),
            'updated' => Yii::t('site', 'Updated'),
            'initial_price' => Yii::t('site', 'Initial Price'),
            'final_price' => Yii::t('site', 'Final Price'),
            'request_status' => Yii::t('site', 'Request Status'),
            'payment_method' => Yii::t('site', 'Payment Method'),
        ];
    }

    /**
     * {@inheritdoc}
     * @return MotorInsuranceQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new MotorInsuranceQuery(get_called_class());
    }

    public function getFullName(){
        return $this->first_name . ' ' . $this->second_name . ' ' . $this->third_name . ' ' . $this->family_name;
    }
}
