<?php

use yeesoft\widgets\ActiveForm;
use backend\modules\quotes_request\forms\MotorInsuranceForm;
use yii\helpers\ArrayHelper;
use backend\modules\quotes_criteria\models\CarModel;
use yeesoft\helpers\Html;

/* @var $this yii\web\View */
/* @var $model backend\modules\quotes_request\models\MotorInsurance */
/* @var $form yeesoft\widgets\ActiveForm */
?>

<div class="motor-insurance-form">

    <?php 
    $form = ActiveForm::begin([
            'id' => 'motor-insurance-form',
            'validateOnBlur' => true,
        'enableAjaxValidation' => true

    ])
    ?>

    <div class="row">
        <div class="col-md-9">

            <div class="panel panel-default">
                <div class="panel-body">

                    <?= $form->field($model, 'first_name')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'second_name')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'third_name')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'family_name')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'email')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'mobile_number')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'registration_status')
                        ->widget(\kartik\select2\Select2::className(), [
                            'pluginOptions' => [
                                'allowClear' => false
                            ],
                            'data' => MotorInsuranceForm::getRegistrationStatusList()
                        ]) ?>

                    <?= $form->field($model, 'vehicle_type')
                        ->widget(\kartik\select2\Select2::className(), [
                            'options' => ['placeholder' => 'Select a Vehicle Type ...'],
                            'pluginOptions' => [
                                'allowClear' => true
                            ],
                            'data' => MotorInsuranceForm::getVehicleTypeList()
                        ]) ?>

                    <?= $form->field($model, 'car_model')
                        ->widget(\kartik\select2\Select2::className(), [
                            'options' => ['placeholder' => 'Select a Car Model ...'],
                            'pluginOptions' => [
                                'allowClear' => true
                            ],
                            'data' => ArrayHelper::map(CarModel::find()->joinWith('translations')->where(['car_brand_id' => $model->vehicle_type])->asArray()->all(), 'id', 'title')
                        ]) ?>

                    <?= $form->field($model, 'manufacturing_year')
                        ->widget(\kartik\select2\Select2::className(), [
                            'options' => ['placeholder' => 'Select a Fuel Type ...'],
                            'pluginOptions' => [
                                'allowClear' => true
                            ],
                            'data' => MotorInsuranceForm::getYearList()
                        ]) ?>

                    <?= $form->field($model, 'amount_of_insurance')->textInput() ?>

                    <?= $form->field($model, 'fuel_type')
                        ->widget(\kartik\select2\Select2::className(), [
                            'options' => ['placeholder' => 'Select a Fuel Type ...'],
                            'pluginOptions' => [
                                'allowClear' => true
                            ],
                            'data' => MotorInsuranceForm::getFuelTypeList()
                        ]) ?>

                    <?= $form->field($model, 'repair_agency')
                        ->widget(\kartik\select2\Select2::className(), [
                            'options' => ['placeholder' => 'Select a Agency Repair ...'],
                            'pluginOptions' => [
                                'allowClear' => true
                            ],
                            'data' => Utility::getYesNoList()
                        ]) ?>

                    <?= $form->field($model, 'name_of_insured')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'via')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'beneficiary_name')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'city')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'district')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'street')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'building_number')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'home_number')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'gender')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'date_of_birth')->textInput() ?>

                    <?= $form->field($model, 'career')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'plate_Number')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'vin_number')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'engine_serial_number')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'national_number')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'registration_number')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'driving_license_file')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'Identity_commercial_file')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'final_price')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'request_status')->textInput(['maxlength' => true]) ?>

                </div>

            </div>
        </div>

        <div class="col-md-3">

            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="record-info">
                        <div class="form-group clearfix">
                            <label class="control-label" style="float: left; padding-right: 5px;"><?=  $model->attributeLabels()['id'] ?>: </label>
                            <span><?=  $model->id ?></span>
                        </div>
                        <div class="form-group clearfix">
                            <label class="control-label" style="float: left; padding-right: 5px;"><?=  $model->attributeLabels()['reference_number'] ?>: </label>
                            <span><?=  $model->reference_number ?></span>
                        </div>
                        <div class="form-group clearfix">
                            <label class="control-label" style="float: left; padding-right: 5px;"><?=  $model->attributeLabels()['created'] ?>: </label>
                            <span><?=  Yii::$app->formatter->asDate($model->created) . ' ' . Yii::$app->formatter->asTime($model->created)  ?></span>
                        </div>
                        <div class="form-group clearfix">
                            <label class="control-label" style="float: left; padding-right: 5px;"><?=  $model->attributeLabels()['updated'] ?>: </label>
                            <span><?=  Yii::$app->formatter->asDate($model->updated) . ' ' . Yii::$app->formatter->asTime($model->updated) ?></span>
                        </div>
                       <div class="form-group clearfix">
                            <label class="control-label" style="float: left; padding-right: 5px;"><?=  $model->attributeLabels()['initial_price'] ?>: </label>
                            <span><?=  $model->initial_price ?></span>
                        </div>

                        <div class="form-group">
                            <?php  if ($model->isNewRecord): ?>
                                <?= Html::submitButton(Yii::t('yee', 'Create'), ['class' => 'btn btn-primary']) ?>
                                <?= Html::a(Yii::t('yee', 'Cancel'), ['/quotes_request/motor/index'], ['class' => 'btn btn-default']) ?>
                            <?php  else: ?>
                                <?= Html::submitButton(Yii::t('yee', 'Save'), ['class' => 'btn btn-primary']) ?>
                                <?= Html::a(Yii::t('yee', 'Delete'),
                                    ['/quotes_request/motor/delete', 'id' => $model->id], [
                                    'class' => 'btn btn-default',
                                    'data' => [
                                        'confirm' => Yii::t('yii', 'Are you sure you want to delete this item?'),
                                        'method' => 'post',
                                    ],
                                ]) ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>

    <?php  ActiveForm::end(); ?>

</div>
