<?php

use yii\helpers\Url;
use yii\widgets\Pjax;
use yeesoft\grid\GridView;
use yeesoft\grid\GridQuickLinks;
use backend\modules\quotes_request\models\MotorInsurance;
use yeesoft\helpers\Html;
use yeesoft\grid\GridPageSize;

/* @var $this yii\web\View */
/* @var $searchModel backend\modules\quotes_request\models\search\MotorInsuranceSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Motor Insurances';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="motor-insurance-index">

    <div class="row">
        <div class="col-sm-12">
            <h3 class="lte-hide-title page-title"><?= Html::encode($this->title) ?></h3>
            <?= Html::a(Yii::t('yee', 'Add New'), ['/quotes_request/motor/create'], ['class' => 'btn btn-sm btn-primary']) ?>
        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-body">

            <div class="row">
                <div class="col-sm-6">
                    <?php
                    /* Uncomment this to activate GridQuickLinks */
                    /* echo GridQuickLinks::widget([
                        'model' => MotorInsurance::className(),
                        'searchModel' => $searchModel,
                    ])*/
                    ?>
                </div>

                <div class="col-sm-6 text-right">
                    <?= GridPageSize::widget(['pjaxId' => 'motor-insurance-grid-pjax']) ?>
                </div>
            </div>

            <?php
            Pjax::begin([
                'id' => 'motor-insurance-grid-pjax',
            ])
            ?>

            <?=
            GridView::widget([
                'id' => 'motor-insurance-grid',
                'dataProvider' => $dataProvider,
                'filterModel' => $searchModel,
                'bulkActionOptions' => [
                    'gridId' => 'motor-insurance-grid',
                    'actions' => [Url::to(['bulk-delete']) => 'Delete'] //Configure here you bulk actions
                ],
                'columns' => [
                    ['class' => 'yeesoft\grid\CheckboxColumn', 'options' => ['style' => 'width:10px']],
                    [
                        'class' => 'yeesoft\grid\columns\TitleActionColumn',
                        'controller' => '/quotes_request/motor',
                        'title' => function (MotorInsurance $model) {
                            return Html::a($model->getFullName(), ['view', 'id' => $model->id], ['data-pjax' => 0]);
                        },
                    ],

                    'reference_number',

                    'email:email',
                    'mobile_number',
                    // 'registration_status',
                    // 'vehicle_type',
                    // 'car_model',
                    // 'manufacturing_year',
                    // 'amount_of_insurance',
                    // 'fuel_type',
                    // 'repair_agency',
                    // 'name_of_insured',
                    // 'via',
                    // 'beneficiary_name',
                    // 'city',
                    // 'district',
                    // 'street',
                    // 'building_number',
                    // 'home_number',
                    // 'gender',
                    // 'date_of_birth',
                    // 'career',
//                    'plate_Number',
//                    'vin_number',
                    // 'engine_serial_number',
//             'national_number',
                    // 'registration_number',
                    // 'driving_license_file',
                    // 'Identity_commercial_file',
                    // 'created',
                    // 'updated',
                    'initial_price',
                    'final_price',
                    'request_status',

                ],
            ]);
            ?>

            <?php Pjax::end() ?>
        </div>
    </div>
</div>


