<?php

namespace backend\modules\vehicle\models\search;

use backend\modules\vehicle\models\Owner;
use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\modules\vehicle\models\Vehicle;

/**
 * VehicleSeach represents the model behind the search form about `backend\modules\vehicle\models\Vehicle`.
 */
class OwnerSearch extends Owner
{

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = Owner::find();

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => Yii::$app->request->cookies->getValue('_grid_page_size', 20),
            ],
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC,
                ],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        $query->andFilterWhere([
            'id' => $this->id,

            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'created_by' => $this->created_by,
            'updated_by' => $this->updated_by,
        ]);

//        $query->andFilterWhere(['like', 'slug', $this->slug])
//            ->andFilterWhere(['like', 'status', $this->status])
//            ->andFilterWhere(['like', 'front_left_status', $this->front_left_status])
//            ->andFilterWhere(['like', 'front_right_status', $this->front_right_status])
//            ->andFilterWhere(['like', 'back_left_status', $this->back_left_status])
//            ->andFilterWhere(['like', 'back_right_status', $this->back_right_status])
//            ->andFilterWhere(['like', 'video_file', $this->video_file]);

        return $dataProvider;
    }
}
