<?php
/* @var $this yii\web\View */

use backend\modules\doctor_questionnaire\models\DoctorQuestionnaire;
use backend\modules\general_question\models\GeneralQuestion;
use kartik\detail\DetailView;
use kartik\form\ActiveForm;
use yii\helpers\Html;
use yii2assets\printthis\PrintThis;

\kartik\detail\DetailViewAsset::register($this);

/* @var $personalInformation \backend\models\user\UserPersonalInformation */
?>


<div class="container job-app" id="user-profile-view">

    <h1 class="pt-30"><?= $user->fullName . ' ' . Yii::t('site', 'Profile') ?></h1>
    <?php if ($personalInformation): ?>
        <?php

        // DetailView Attributes Configuration
        $attributes = [
            [
                'group' => true,
                'label' => Yii::t('site', 'Personal Information'),
                'rowOptions' => ['class' => 'table-info']
            ],
            [


                'columns' => [
                    [
                        'attribute' => 'full_name',
                        'displayOnly' => true,
                        'value' => $personalInformation->fullName,
                    ],
//                [
//                    'attribute' => 'first_name',
//                    'displayOnly' => true,
//                    'value' => $personalInformation->user->first_name ,
//                ],
//                [
//                    'attribute' => 'middle_name',
//                    'displayOnly' => true,
//                    'value' => $personalInformation->middle_name ,
//                ],
//                [
//                    'attribute' => 'last_name',
//                    'displayOnly' => true,
//                    'value' => $personalInformation->user->last_name ,
//                ],
                ],
            ],

            [
                'columns' => [
                    [
                        'attribute' => 'gender',
                        'displayOnly' => true,
                        'value' => $personalInformation->gender,
                    ],
                ],
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'nationality',
                        'displayOnly' => true,
                        'value' => $personalInformation->nationality->nationality,
                    ],
                ],
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'date_of_birth',
                        'displayOnly' => true,
                        'value' => $personalInformation->date_of_birth,
                    ],
                ],
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'number_of_dependent',
                        'displayOnly' => true,
                        'value' => $personalInformation->number_of_dependent,
                    ],
                ],
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'marital_status',
                        'displayOnly' => true,
                        'value' => $personalInformation->marital_status,
                    ],
                ],
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'address_line_2',
                        'displayOnly' => true,
                        'value' => $personalInformation->address_line_2,
                    ],
                ],
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'street_address_line_1',
                        'displayOnly' => true,
                        'value' => $personalInformation->street_address_line_1,
                    ],
                ],
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'city',
                        'displayOnly' => true,
                        'value' => $personalInformation->city,
                    ],
                ],
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'place_of_residence_id',
                        'displayOnly' => true,
                        'value' => $personalInformation->placeOfResidence->en_short_name,
                    ],
                ],
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'zip_postal_code',
                        'displayOnly' => true,
                        'value' => $personalInformation->zip_postal_code,
                    ],
                ],
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'primary_number',
                        'displayOnly' => true,
                        'value' => $personalInformation->primary_number,
                    ],
                ],
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'mobile',
                        'displayOnly' => true,
                        'value' => $personalInformation->mobile,
                    ],
                ],
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'home_phone',
                        'displayOnly' => true,
                        'value' => $personalInformation->home_phone,
                    ],
                ],
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'work_phone',
                        'displayOnly' => true,
                        'value' => $personalInformation->work_phone,
                    ],
                ],
            ],

            [
                'group' => true,
                'label' => Yii::t('site', 'Basic Profile Information'),
                'rowOptions' => ['class' => 'table-info']
            ],

            [
                'columns' => [
                    [
                        'attribute' => 'advance_notice_id',
                        'displayOnly' => true,
                        'value' => $personalInformation->advanceNotice,
                    ],
                ],
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'date_of_availability',
                        'displayOnly' => true,
                        'value' => $personalInformation->date_of_availability,
                    ],
                ],
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'current_annual_ctc',
                        'displayOnly' => true,
                        'value' => $personalInformation->current_annual_ctc,
                    ],
                ],
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'expected_annual_ctc',
                        'displayOnly' => true,
                        'value' => $personalInformation->expected_annual_ctc,
                    ],
                ],
            ],

            [
                'group' => true,
                'label' => Yii::t('site', 'Source Tracking'),
                'rowOptions' => ['class' => 'table-info']
            ],
            [
                'columns' => [
                    [
                        'attribute' => 'source_tracking_id',
                        'displayOnly' => true,
                        'value' => $personalInformation->sourceTracking,
                    ],
                ],
            ],
        ];

        // View file rendering the widget
        try {
            echo DetailView::widget([
                'id' => 'personal-information-tbl',
                'model' => $personalInformation,
                'attributes' => $attributes,
                'mode' => 'view',
                'bordered' => true,
                'striped' => false,
                'condensed' => false,
                'responsive' => true,
                'hover' => true,
                'hAlign' => 'left',
                'panel' => [
                    'heading' => Yii::t('site', 'Personal Information'),
                ],
                'buttons1' => '',
                'buttons2' => '',
                'container' => ['id' => 'kv-personal-information'],
//                'formOptions' => '' // your action to delete

            ]);
        } catch (Exception $e) {
            var_dump($e->getMessage());
        }

        ?>
    <?php endif; ?>


    <div id="kv-education" class="kv-view-mode kv-flat-b">
        <div class="panel panel-default">
            <div class="panel-heading">
                <div class="float-right pull-right">
                    <span class="kv-buttons-1"> </span>
                    <span class="kv-buttons-2" style="display:none"></span>
                </div>
                <h3 class="panel-title"><?= Yii::t('site', 'Education') ?></h3>
                <div class="clearfix"></div>
            </div>
            <div class="kv-panel-before">
                <div class="panel-body kv-alert-container" style="display:none;">
                </div>
            </div>

            <div class="kv-detail-view table-responsive">

                <?php foreach ($educations as $key => $education): /* @var $education \backend\models\user\UserEducation */ ?>
                    <table class="education-tbl table table-hover table-bordered detail-view"
                           data-krajee-kvdetailview="kvDetailView_4eb2b924">
                        <tbody>
                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="4">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-12 th-group"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', 'Education') . ' ' . ++$key ?></th>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>

                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="2">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-3"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', $education->getAttributeLabel('level_id')) ?></th>
                                        <td class="col-sm-9">
                                            <div class="kv-attribute"><?= $education->level ?></div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="2">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-3"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', $education->getAttributeLabel('institution_name')) ?></th>
                                        <td class="col-sm-9">
                                            <div class="kv-attribute"><?= $education->institution ?></div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="2">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-3"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', $education->getAttributeLabel('program_name')) ?></th>
                                        <td class="col-sm-9">
                                            <div class="kv-attribute"><?= $education->program ?></div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="2">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-3"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', $education->getAttributeLabel('specialization')) ?></th>
                                        <td class="col-sm-9">
                                            <div class="kv-attribute"><?= $education->specialization ?></div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="2">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-3"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', $education->getAttributeLabel('date')) ?></th>
                                        <td class="col-sm-9">
                                            <div class="kv-attribute"><?= $education->start_date . ' - ' . $education->graduation_date ?></div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>

                        </tbody>
                    </table>
                <?php endforeach; ?>

            </div>

        </div>
    </div>


    <div id="kv-education" class="kv-view-mode kv-flat-b">
        <div class="panel panel-default">
            <div class="panel-heading">
                <div class="float-right pull-right">
                    <span class="kv-buttons-1"> </span>
                    <span class="kv-buttons-2"
                          style="display:none"></span>
                </div>
                <h3 class="panel-title"><?= Yii::t('site', 'Employment History') ?></h3>
                <div class="clearfix"></div>
            </div>
            <div class="kv-panel-before">
                <div class="panel-body kv-alert-container" style="display:none;">
                </div>
            </div>

            <div class="kv-detail-view table-responsive">

                <?php foreach ($employeeHistories as $key => $employeeHistory): /* @var $employeeHistory \backend\models\user\UserEmployeeHistory */ ?>
                    <table class="education-tbl table table-hover table-bordered detail-view"
                           data-krajee-kvdetailview="kvDetailView_4eb2b924">
                        <tbody>
                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="4">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-12 th-group"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', 'Employment History') . ' ' . ++$key ?></th>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>

                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="2">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-3"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', $employeeHistory->getAttributeLabel('employer_name')) ?></th>
                                        <td class="col-sm-9">
                                            <div class="kv-attribute"><?= $employeeHistory->employerName ?></div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="2">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-3"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', $employeeHistory->getAttributeLabel('job_function')) ?></th>
                                        <td class="col-sm-9">
                                            <div class="kv-attribute"><?= $employeeHistory->jobFunction ?></div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="2">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-3"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', $employeeHistory->getAttributeLabel('date')) ?></th>
                                        <td class="col-sm-9">
                                            <div class="kv-attribute"><?= $employeeHistory->start_date . ' - ' . $employeeHistory->end_date ?></div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="2">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-3"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', $employeeHistory->getAttributeLabel('responsibilities')) ?></th>
                                        <td class="col-sm-9">
                                            <div class="kv-attribute"><?= $employeeHistory->responsibilities ?></div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>

                        </tbody>
                    </table>
                <?php endforeach; ?>

            </div>

        </div>
    </div>


    <div id="kv-education" class="kv-view-mode kv-flat-b">
        <div class="panel panel-default">
            <div class="panel-heading">
                <div class="float-right pull-right">
                    <span class="kv-buttons-1"> </span>
                    <span class="kv-buttons-2"
                          style="display:none"></span>
                </div>
                <h3 class="panel-title"><?= Yii::t('site', 'Certifications and Licenses') ?></h3>
                <div class="clearfix"></div>
            </div>
            <div class="kv-panel-before">
                <div class="panel-body kv-alert-container" style="display:none;">
                </div>
            </div>

            <div class="kv-detail-view table-responsive">

                <?php foreach ($certificates as $key => $certificate): /* @var $certificate \backend\models\user\UserCertificate */ ?>
                    <table class="education-tbl table table-hover table-bordered detail-view"
                           data-krajee-kvdetailview="kvDetailView_4eb2b924">
                        <tbody>
                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="4">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-12 th-group"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', 'Certificate') . ' ' . ++$key ?></th>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>

                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="2">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-3"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', $certificate->getAttributeLabel('certification_name')) ?></th>
                                        <td class="col-sm-9">
                                            <div class="kv-attribute"><?= $certificate->certificationName ?></div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="2">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-3"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', $certificate->getAttributeLabel('issuing_organization')) ?></th>
                                        <td class="col-sm-9">
                                            <div class="kv-attribute"><?= $certificate->issuing_organization ?></div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="2">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-3"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', $certificate->getAttributeLabel('id_number')) ?></th>
                                        <td class="col-sm-9">
                                            <div class="kv-attribute"><?= $certificate->id_number ?></div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="2">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-3"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', $certificate->getAttributeLabel('license_no')) ?></th>
                                        <td class="col-sm-9">
                                            <div class="kv-attribute"><?= $certificate->license_no ?></div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>

                        <tr class="kv-child-table-row">
                            <td class="kv-child-table-cell" colspan="2">
                                <table class="kv-child-table">
                                    <tbody>
                                    <tr>
                                        <th class="col-sm-3"
                                            style="width: 20%; text-align: left; vertical-align: middle;"><?= Yii::t('site', $certificate->getAttributeLabel('date')) ?></th>
                                        <td class="col-sm-9">
                                            <div class="kv-attribute"><?= $certificate->start_date . ' - ' . $certificate->expire_date ?></div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>

                        </tbody>
                    </table>
                <?php endforeach; ?>

            </div>

        </div>
    </div>


    <div class="panel panel-default">
        <div class="panel-heading">
            <div class="float-right pull-right">
                <span class="kv-buttons-1"> </span>
                <span class="kv-buttons-2"
                      style="display:none"></span>
            </div>
            <div class="panel-title"><h3><?= Yii::t('site', 'File Attachments') ?></h3></div>
        </div>

        <div class="panel-body">
            <?php
            try {
                echo \yii\grid\GridView::widget([
                    'id' => 'user-file-grid',
                    'dataProvider' => $userFileDataProvider,
                    'summary' => false,
                    'columns' => [
                        [
                            'attribute' => 'title',
                            'label' => Yii::t('site', 'File Name')
                        ],
                        [
                            'attribute' => 'description',
                            'label' => Yii::t('site', 'File Description')
                        ],
                        [
                            'class' => 'yii\grid\ActionColumn',
                            'template' => '{view}',
                            'header' => Yii::t('site', 'Actions'),
                            'headerOptions' => ['width' => '5%'],
                            'buttons' => [
                                'view' => function ($url, $model) {
                                    /* @var $model \yeesoft\media\models\Media */
//                                    return Html::a('<i class="fa fa-download"></i>', array('/profile/get-file', 'file_name' => $model->filename), [
//                                        'data-pjax' => '0'
//                                    ]);
                                    return Html::a('<i class="fa fa-download"></i>', Yii::$app->urlManager->createAbsoluteUrl($model->url), [
                                        'data-pjax' => '0', 'target' => '_blank'
                                    ]);
                                },

                            ]
                        ]
                    ],
                ]);
            } catch (Exception $e) {
            }
            ?>
        </div>

    </div>


</div>

