<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "listing_step".
 *
 * @property int $id
 * @property string $title_en
 * @property string $title_ar
 * @property string $description_en
 * @property string $description_ar
 * @property int $use_for_360
 * @property int $use_for_free_sell
 * @property int $use_for_fast_sell
 * @property string $image
 * @property int $status
 * @property string $created_at
 * @property int $created_by
 */
class ListingStep extends \yii\db\ActiveRecord
{
    const ACTIVE = 1;
    const INACTIVE =0;
    const STATUS_ACTIVE = 'Active';
    const STATUS_INACTIVE = 'Inactive';

    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'listing_step';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['title_en', 'title_ar', 'description_en', 'description_ar', 'use_for_360', 'use_for_free_sell', 'use_for_fast_sell', 'status', 'created_by'], 'required'],
            [['description_en', 'description_ar'], 'string'],
            [['use_for_360', 'use_for_free_sell', 'use_for_fast_sell', 'status', 'created_by'], 'integer'],
            [['created_at'], 'safe'],
            [['title_en', 'title_ar', 'image'], 'string', 'max' => 125],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'title_en' => 'Title En',
            'title_ar' => 'Title Ar',
            'description_en' => 'Description En',
            'description_ar' => 'Description Ar',
            'use_for_360' => 'Use For 360',
            'use_for_free_sell' => 'Use For Free Sell',
            'use_for_fast_sell' => 'Use For Fast Sell',
            'status' => 'Status',
            'image' => 'Image',
            'created_at' => 'Created At',
            'created_by' => 'Created By',
        ];
    }
    public function status(){
        return [
            ListingStep::ACTIVE => ListingStep::STATUS_ACTIVE,
            ListingStep::INACTIVE => ListingStep::STATUS_INACTIVE,
        ];
    }
}
