<?php

namespace common\models;

use yeesoft\behaviors\MultilingualBehavior;
use Yii;

use yii\behaviors\TimestampBehavior;
use yii\db\Expression;

class Notifications extends \yii\db\ActiveRecord
{


    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return '{{%notifications}}';
    }

    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            //TimestampBehavior::className(),
            [
                'class' => TimestampBehavior::className(),
                'value' => new Expression('NOW()'),
            ],
            'multilingual' => [
                'class' => MultilingualBehavior::className(),
                'langForeignKey' => 'parent_id',
                'tableName' => "{{%notifications_lang}}",
                'attributes' => [
                    'message', 'title'
                ]
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['user_id', 'owner_id', 'type_id', 'is_read'], 'integer'],
            [['object_id', 'title', 'image_counter', 'message', 'image', 'json_data', 'message'], 'safe']
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [

        ];
    }

    public function getType(){
        return $this->hasOne(NotificationsType::className(), ['id' => 'type_id']);
    }

    public function getVehicle(){
        return $this->hasOne(Vehicle::className(), ['id' => 'object_id']);
    }

    public function notificationLink(){

        $type = (!empty($this->type)) ? $this->type->type :  '';
        switch ($type){
            case NotificationsType::$BID_NOTIFICATION_TYPE:
                if(empty($this->object_id)){
                    return '#';
                }
                if(!empty($this->vehicle) && !empty($this->vehicle->slug)){
                    return '/bid/'.$this->vehicle->slug;
                }

                return '#';
                break;
            default:
                return '#';
                break;

        }
    }
}
