<?php

use yii\helpers\Html;
use common\models\Vehicle;
use common\models\VehicleImages;

/* @var $model Vehicle
 */

$image = VehicleImages::findOne(['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE, 'is_default' => 1]);
if(empty($image)){
    $image = VehicleImages::findOne(['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE]);
}
$user = \common\models\Users::findOne(['id' => $model->user_id]);

$engine = common\models\DropdownListLang::findOne(['parent_id' => $model->engine_id,'language' => Yii::$app->params['short_language2']]);

$transmission = common\models\DropdownListLang::findOne(['parent_id' => $model->transmission_id, 'language' => Yii::$app->params['short_language2']]);

$vehicle_title = \common\models\VehicleLang::findOne(['parent_id' => $model->id,'language' => Yii::$app->params['short_language']]);

?>

<div class="item">
    <div class="card mb-0">
        <div class="item-card2-img car-img-responsive">
            <a class="link" href="<?= \yii\helpers\Url::toRoute(['site/cardetail','slug' => $model->slug])?>"></a>
            <?php   if ($image) {
                             if (preg_match('#^(https?://|www\.)#i', $image->path) === 1){
                            ?>
                             <?= Html::img(Yii::getAlias($image->path .'.'.$image->extension),['class' => 'cover-image', 'alt' => 'Image Not Found'])?>
                            <?php }else{?>
                                <?= Html::img($image->getImageFullPath(['resolution' => '530x300', 'quality' => 100]),['class' => 'cover-image', 'alt' => 'Image Not Found'])?>
                                <?php }?>
            <?php }else{ ?>
                <?= Html::img( Yii::getAlias('@web/images/car/default.jpg'),['alt' => 'No Image Found','class' => 'cover-image'])?>
            <?php }?>
        </div>
        <div class="card-body pb-0">
            <div class="item-card2">
                <div class="item-card2-desc">
                    <div class="item-card2-text">
                        <a href="<?= \yii\helpers\Url::toRoute(['site/cardetail','slug' => $model->slug])?>" class="text-dark"><h4 class="mb-0"><?php echo  $vehicle_title->title ?></h4></a>
                    </div>
                    <div class="d-flex">
                        <!--<a href="<?/*= \yii\helpers\Url::toRoute(['site/cardetail','slug' => $model->slug])*/?>">
                            <p class="pb-0 pt-0 mb-2 mt-2"><i class="fa fa-map-marker text-danger mr-2"></i> <?/*= $user->city*/?>,<?/*= $user->country*/?></p>
                        </a>-->
                        <span class="ml-1 pb-0 pt-0 mb-2 mt-2 font-weight-bold"><?= $model->price?> <?= Yii::t('auto','JOD')?></span>
                    </div>
                </div>
            </div>
        </div>
        <div class="card-footer">
            <a href="<?= \yii\helpers\Url::toRoute(['site/cardetail','slug' => $model->slug])?>" class="mr-4" data-toggle="tooltip" data-placement="bottom" data-original-title="<?= Yii::t('auto', 'Engine') ?>"><i class="fa fa-car text-muted"></i> <span class="text-default"><?= $engine->title?></span></a>

            <?php
            $mileage = '';
            if ($model->odometer_km == null) {
                $mileage = $model->odometer_mile;
                $mileageLabel = Yii::t('auto', 'Miles');
            }elseif ($model->odometer_mile == null){
                $mileage = $model->odometer_km;
                $mileageLabel = Yii::t('auto', 'Kilometers');
            }elseif ($model->odometer_km !== null && $model->odometer_mile !== null) {
                $mileage = $model->odometer_km;
                $mileageLabel = Yii::t('auto', 'Kilometers');
            }
            ?>
            <a href="<?= \yii\helpers\Url::toRoute(['site/cardetail','slug' => $model->slug])?>" class="mr-4" data-toggle="tooltip" data-placement="bottom" data-original-title="<?= $mileage ?> <?= $mileageLabel ?>"><i class="fa fa-road text-muted"></i> <span class="text-default">
                    <?= $mileage ?>
                </span></a>
            <a href="#" class="" data-toggle="tooltip" data-placement="bottom" data-original-title="<?= Yii::t('auto', 'Transmission') ?>"><i class="fa fa-cogs text-muted"></i> <span class="text-default"><?= $transmission->title?></span></a>
        </div>
    </div>
</div>

