<?php



namespace frontend\controllers;



use backend\modules\announcement\models\Announcement;

use backend\modules\places\models\PlaceRating;

use common\helpers\Utility;

use thamtech\ratelimiter\RateLimiter;

use thamtech\ratelimiter\RateLimitsExceededEvent;

use yeesoft\post\models\Post;

use yeesoft\post\models\Tag;

use Yii;

use yii\data\Pagination;

use yii\data\Sort;

use yii\web\Controller;
use yii\web\NotFoundHttpException;

use yii\helpers\FileHelper;

use yii\web\UploadedFile;

use frontend\models\MessageFrom;
use frontend\models\GroupmessageFrom;

use common\models\Vehicle;
use common\models\Users; 
use frontend\models\TransactionFrom; 


/**

 * Site controller

 */

class AnnouncementController extends Controller

{

    public $freeAccess = true;
 


    /**

     *

     * @return mixed

     */

    public function actionTest()

    {

        echo 'Hi';

        die();

    }


    public function actionChatbox()
    {
         $model = Users::findOne(['id' => Yii::$app->user->identity->id]);
       
         $groups_model = MessageFrom::findOne(['user_id'=>$model->id]);
   $vehicle_model = Vehicle::findOne(['id' => $groups_model->vehicle_id]);
  $group_messages_model = GroupmessageFrom::findOne(['user_id' =>$model->id,'group_id'=>$groups_model->id ]);
        //  foreach($groups_model as $row) {
        //     array(
        //         'ownername' => $row->full_name,
        //         'vehicle_id' => 'vehicle_id'

        //     ) ;
        // }

       
       

        return $this->render('chatbox',[
            'model' => $model,
            'vehicle_model' => $vehicle_model,
            'groups_model' => $model,
            'group_messages_model' => $group_messages_model
        ]);
    }


    /**

     * Displays homepage.

     *

     * @return mixed

     */

    public function actionIndex()

    {



        // Yii::$app->cache->flush();

        $query = Announcement::find()->where(['status' => Announcement::STATUS_PUBLISHED])->orderBy(['published_at' => SORT_DESC]);





        $countQuery = clone $query;


        //echo "<pre>";print_r(Yii::$app->language);echo "</pre>";die('Call');
        $pagination = new Pagination([

            'totalCount' => $countQuery->count(),

            'defaultPageSize' => Yii::$app->settings->get('site.announcement_page_size', Yii::$app->settings->get('site.default_page_size')),

        ]);





        //try to display static page from datebase

        $announcement = $query->offset($pagination->offset)
            ->limit($pagination->limit)->all();





        return $this->render('index', ['announcement' => $announcement, 'pagination' => $pagination]);





    }





    /**

     * Displays homepage.

     *

     * @return mixed

     */




    public function actionHistory()
    {     

        if ( !Yii::$app->user->isGuest )
        {
           
            $historymodel = TransactionFrom::findAll(['user_id' => Yii::$app->user->identity->id]);
               
                foreach($historymodel as $value){

                    $user_data = vehicle::findOne(['id' =>$value->vehicle_id]); 
                    $value->vehicle_id = $user_data->title;
                   
                   $user_data = Users::findOne(['id' =>$value->user_id]); 
                   $value->user_id = $user_data->name;
    
                  
                }
            return $this->render('history', ['user_vacancies' => $historymodel,]);
        }else{

            return $this->render('history',[]);

        }
       
       
       
    }









    public function actionView($slug)

    {





        //try to display static page from datebase

        $announcement = Announcement::getDb()->cache(function ($db) use ($slug) {

            return Announcement::findOne(['slug' => $slug, 'status' => Announcement::STATUS_PUBLISHED]);

        }, 3600);





        if ($announcement) {

            $announcement->image = (strpos($announcement->image, '/uploads/2') !== false ) ? Yii::$app->params['adminUrl'].$announcement->image : $announcement->image;


            return $this->render('view', ['announcement' => $announcement]);

        }





        //if nothing suitable was found then throw 404 error

        throw new \yii\web\NotFoundHttpException('Page not found.');

    }

	/**

     * Displays New Form.

     *

     * @return mixed

     */

	public function actionNew() {	

        $path = __DIR__ . '/../web/uploads/announcement/';

        if(!is_dir($path)){

            FileHelper::createDirectory($path, $mode = 0777, $recursive = true);

        }



	    $model = new Announcement;	

	    if(Yii::$app->request->post()){		

		    $model->load(Yii::$app->request->post());

            $image = UploadedFile::getInstance($model,'image');
            if($image){
            $RandString1=Yii::$app->security->generateRandomString(12);
           // $RandString2=Yii::$app->security->generateRandomString(12);
            $model->image = 'https://oto.jo/uploads/announcement/'.$RandString1.'.'.$image->extension;
            $model->image_header = 'https://oto.jo/uploads/announcement/'.$RandString1.'.'.$image->extension;

            }

            // $image_header = UploadedFile::getInstance($model,'image_header');

            // $model->image_header = '/uploads/announcement/'.$RandString2.'.'.$image_header->extension;



            if($model->save()){
                /*
                 * Update contact number of user
                 * */
                if(!Yii::$app->user->isGuest){
                    $user = Users::findOne(Yii::$app->user->identity->id);
                    if(empty($user->phone)){
                        $user->phone = $model->contact;
                        $user->save(false);
                    }
                }


                if ($image) {
                    
                    
                    $image->saveAs($path.$RandString1.'.'.$image->extension);

                }

                // if ($image_header) {
                //     $image_header->saveAs($path.$RandString2.'.'.$image_header->extension );

                // }



                $slug = $model->slug;
                $model->sendEmailToNotifyAdmin();

                Yii::$app->session->addFlash('success', Yii::t('site', 'Thank you! Your request will be published soon.'));

                return $this->redirect(['/announcement']);

            }else{

                //print_r($model->getErrors());die;

                Yii::$app->session->addFlash('error', Yii::t('site', 'There is some error occured, please try again later.'));

                return $this->redirect(['/announcement']);

            }		

	    }

	    return $this->render('_form', ['model' => $model]);

    }



}