<?php

namespace frontend\controllers;

use common\models\VehicleSearch;
use common\models\Vehicle;
use common\models\VehicleImages;
use common\models\Images360;
use Yii;
use yii\filters\VerbFilter;
use yii\helpers\FileHelper;
use yii\helpers\Url;
use yii\imagine\Image as Imagine;
use yii\web\Controller;
use yii\web\UploadedFile;
use yii2assets\printthis\PrintThis;
use Imagine\Image\Box;
use Imagine\Image\Point;

class CarImagesController extends Controller
{


    public function behaviors()
    {
        return [
            'verbs' => [
                'class'   => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * @inheritdoc
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
        ];
    }
    public function actionIndex(){
        $searchModel = new VehicleSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);
        return  $this->render('index',[
            'searchModel'=>$searchModel,
            'dataProvider'=>$dataProvider
        ]);
    }
    public function actionUploadImages($id)
    {
        $path = __DIR__ . '/../web/uploads/360images';
        if(!is_dir($path)){
            FileHelper::createDirectory($path, $mode = 0777, $recursive = true);
        }
        $path1 = __DIR__ . '/../web/uploads/3000x1500';
        if(!is_dir($path1)){
            FileHelper::createDirectory($path1, $mode = 0777, $recursive = true);
        }
        $path2 = __DIR__ . '/../web/uploads/1100x550';
        if(!is_dir($path2)){
            FileHelper::createDirectory($path2, $mode = 0777, $recursive = true);
        }
        $path3 = __DIR__ . '/../web/uploads/front-images';
        if(!is_dir($path3)){
            FileHelper::createDirectory($path3, $mode = 0777, $recursive = true);
        }

        $vehicle = Vehicle::findOne(['id'=>$id]);
        $front_image_preview = VehicleImages::findOne(['vehicle_id'=>$id]);
		$front_images_all = VehicleImages::findAll(['vehicle_id'=>$id]);
		$front_counter = VehicleImages::find()->where(['vehicle_id'=>$id])->count();
        $ext = Images360::findOne(['vehicle_id'=>$id]);
//        $extension = $ext->extension;
        $count = Images360::find()->where(['vehicle_id'=>$id])->count();
        $model = new Images360();
        $image_data  = Images360::findAll(['vehicle_id'=>$id]);
        $path = Yii::$app->basePath.'/web/uploads/360images/';
        $path2 = Yii::$app->basePath.'/web/uploads/front-images/';
        $counter = $vehicle->image_counter;
        if ($counter == 0 ){
            $counter =1;
        }

        $width =265;
        $height = 150;
        $width1 =380;
        $height1 = 214;

        if ($model->load(Yii::$app->request->post())) {
            $model->path = UploadedFile::getInstances($model, 'path');
            if ($model->path){
               foreach ($model->path as $key => $file) {

                   $base_path = $vehicle->slug . $vehicle->id . "($counter)" . '.' . $file->extension;

                   $file->saveAs($path . $base_path);//Upload files to server
                   $model = new Images360();
                   $model->vehicle_id = $vehicle->id;
                   $model->path = $base_path;
                   $model->url = $path . $base_path;
                   $model->extension = $file->extension;
                   $model->size = $file->size;
                   $model->counter = $counter;
                   $model->save(false);
                   $this->Resize($id,$counter);
                   $counter = $counter +1;
                   $vehicle->image_counter = $counter;
                   $vehicle->save();

               }
               }

			if ($front_counter == 0 ){
				$front_counter =1;
			} else $front_counter++;  
            $model->frontImage = UploadedFile::getInstances($model, 'frontImage');
            if ($model->frontImage) {

                foreach ($model->frontImage as $key => $file2) {
                    $base_path = $vehicle->slug . $vehicle->id .'_'.$front_counter. '.' . $file2->extension;
                    $file2->saveAs($path2 . $base_path);//Upload files to server
                    $thumbUrl =  $vehicle->slug . $vehicle->id.'_'.$front_counter.'-'.$width.'x'.$height.'.'.$file2->extension;
                    $thumbUrl2 =  $vehicle->slug . $vehicle->id.'_'.$front_counter.'-'.$width1.'x'.$height1.'.'.$file2->extension;

                    if (file_exists($path2 . $base_path)) {
                        // Imagine::thumbnail($path2.$base_path, $width, $height)->save($path2.$thumbUrl);
                        Imagine::thumbnail($path2.$base_path, 1000, 500)
                            ->resize(new Box(1000,500))
                            ->save($path2.$thumbUrl);
                        // Imagine::thumbnail($path2.$base_path, $width1, $height1)->save($path2.$thumbUrl2);
                        Imagine::thumbnail($path2.$base_path, 1000, 500)
                            ->resize(new Box(1000,500))
                            ->save($path2.$thumbUrl2);
                    }
                    //$front_image = VehicleImages::findAll(['vehicle_id'=>$vehicle->id]);
                    //if ($front_image){
                    //    foreach ($front_image as $item) {
                    //        $item->delete();
                    //    }
                    //}
                    $f_image = new VehicleImages();
                    $f_image->vehicle_id = $vehicle->id;
                    $f_image->path = '/uploads/front-images/'.$vehicle->slug . $vehicle->id.'_'.$front_counter;
                    $f_image->extension = $file2->extension;
                    $f_image->type = 'images';
                    $f_image->save(false);
                    $f_image->removeCdnCache();
                        $front_counter++;
                }
            }

            return $this->actionGenerateXml($id);
        }

            return  $this->render('upload-images',[
            'model'=>$model,
            'vehicle'=>$vehicle,
                'image_data'=>$image_data,
                'id'=>$id,
                'count'=>$count,
//                'extension'=>$extension,
                'front_image_preview'=>$front_image_preview,
				'front_images_all' => $front_images_all,
                'counter'=>$counter
            ]);

    }

    public function actionDeleteAll($id){
        $image = Images360::findAll(['vehicle_id'=>$id]);
        $extension = Images360::findOne(['vehicle_id'=>$id]);
        foreach ($image as $key ):
        $this->deleteFile($key->path);
        $key->delete();
        endforeach;

        $vehicle = Vehicle::findOne(['id'=>$id]);
        foreach (range(1,60) as $key){
         $path = $vehicle->slug.$vehicle->id."($key)".'3000x1500.'.$extension->extension;
         $this->deleteFile3000_1500($path);
        }
        foreach (range(1,60) as $key){
            $path = $vehicle->slug.$vehicle->id."($key)".'1100x550.'.$extension->extension;
            $this->deleteFile1100_550($path);
        }
        $vehicle->image_counter = 0;
        $vehicle->save(false);
        return $this->redirect(['upload-images', 'id' => $id]);
    }
    public function actionDeleteFrontImage($id){
        $front_image = VehicleImages::findAll(['vehicle_id'=>$id]);
        if ($front_image){
            foreach ($front_image as $item) {
                $item->delete();
                $this->deleteFrontFile($item->path);
            }
        }
        return $this->redirect(['upload-images', 'id' => $id]);
    }

    public function actionGenerateXml($id){

        $path = __DIR__ . '/../web/xml-files';
        if(!is_dir($path)){
            FileHelper::createDirectory($path, $mode = 0777, $recursive = true);
        }
        $vehicle  =Images360::findAll(['vehicle_id'=>$id]);
        $ext = Images360::findOne(['vehicle_id'=>$id]);
        $vehicle2 = Vehicle::findOne(['id'=>$id]);
        $path = 'uploads/3000x1500';
        $path2 = 'uploads/1100x550';

        $counter = $vehicle2->image_counter;
        $count = 0;
        $xmldata = '<?xml version="1.0" encoding="utf-8"?>';
        $xmldata .= '<config>';
        $xmldata .= '<settings>';
        $xmldata .='<preloader image="'.$path2.'/'.$vehicle2->slug.$vehicle2->id.'(1)1100x550.'.$ext->extension.'" />';
        $xmldata .= '<userInterface showZoomButtons="true" showToolTips="true" showHotspotsButton="true" showFullScreenButton="true" showTogglePlayButton="true" showArrows="true" toolbarAlign="center" toolbarBackColor="#FFFFFF" toolbarHoverColor="#808285" toolbarForeColor="#A7A9AE" toolbarBackAlpha="0.59" toolbarAlpha="1" showProgressNumbers="true" showFullScreenToolbar="true" fullScreenBackColor="#FFFFFF" />';
        $xmldata .= '<control dragSpeed="0.25" doubleClickZooms="true" disableMouseControl="false" showHighresOnFullScreen="true" mouseHoverDrag="false" hideHotspotsOnLoad="false" hideHotspotsOnZoom="true" rowSensitivity="15" dragSensitivity="10" inBrowserFullScreen="false" doubleClickFullscreen="false" />';
        $xmldata .= '<rotation firstImage="0" rotate="false" rotatePeriod="10" bounce="false" rotateDirection="-1" forceDirection="false" inertiaRelToDragSpeed="true" inertiaTimeToStop="700" inertiaMaxInterval="120" useInertia="true" flipHorizontalInput="false" flipVerticalInput="false" bounceRows="true" />';
        $xmldata .= '</settings>';
        $xmldata .= '<hotspots>';
        $xmldata .= '<hotspot id="spot1" renderMode="0" indicatorImag="circ-cross-thin-blue.svg">';
        $xmldata .= ' <spotinfo txt="Sample hotspot 1" css="font-family:Arial;font-size:14px;color:#333333;width:200px;padding:15px 15px 16px 15px;border:1px solid #E0E0E0;border-radius:4px;background-color:rgba(255,255,255,0.97);" clickAction="5" clickData="play" clickDataParam="2" />';
        $xmldata .= '</hotspot>';
        $xmldata .= '<hotspot id="spot2" renderMode="0" indicatorImag = "circ-cross-thin-green.svg">';
        $xmldata .= '  <spotinfo txt="Sample hotspot 2" css="font-family:Arial;font-size:14px;color:#333333;width:200px;padding:15px 15px 16px 15px;border:1px solid #E0E0E0;border-radius:4px;background-color:rgba(255,255,255,0.97);" clickAction="5" clickData="label2" clickDataParam="2" />';
        $xmldata .= '</hotspot>';
        $xmldata .= ' </hotspots>';
        $xmldata.='<images rows="1" highresWidth="1566" highresHeight="1032">';

        foreach ($vehicle as $key)
        {
            $count = $count +1;
            $xmldata .= '<image src="'.$path2.'/'.$vehicle2->slug.$vehicle2->id."($count)".'1100x550.'.$key->extension.'">';
            $xmldata .= '<hotspot source="spot1" offsetX="138" offsetY="206" />';
            $xmldata .= '<highres src="'.$path.'/'.$vehicle2->slug.$vehicle2->id."($count)".'3000x1500.'.$key->extension.'" />';
            $xmldata .= '</image>';

        }

        $xmldata .= '</images>';
        $xmldata .= '</config>';


        if(file_put_contents('xml-files/'.$vehicle2->slug.$vehicle2->id.'.xml',$xmldata))
        {
        return $this->redirect(Url::toRoute(['site/pay','id'=>$id]));
        }
    }
    protected function Resize($id,$counter){
        $vehicle  =Images360::findOne(['vehicle_id'=>$id]);
        $vehicle2 = Vehicle::findOne(['id'=>$id]);
        $path = Yii::$app->basePath.'/web/uploads/360images/';
        $path1 =  Yii::$app->basePath.'/web/uploads/1100x550/';
        $path2 =  Yii::$app->basePath.'/web/uploads/3000x1500/';

        $width =1100;
        $height = 550;
        $width1 =3000;
        $height1 = 1500;

        $base_path = $vehicle2->slug . $vehicle2->id . "($counter)".'.' . $vehicle->extension;
        $thumbUrl =  $vehicle2->slug . $vehicle2->id."($counter)".$width.'x'.$height.'.'.$vehicle->extension;
        $thumbUrl2 =  $vehicle2->slug . $vehicle2->id."($counter)".$width1.'x'.$height1.'.'.$vehicle->extension;

        if (file_exists($path . $base_path)) {
            Imagine::thumbnail($path.$base_path, $width, $height)->save($path1.$thumbUrl);
            Imagine::thumbnail($path.$base_path, $width1, $height1)->save($path2.$thumbUrl2);

        }
    }
    public function actionDelete($id){
        $image = Images360::find()->where(['vehicle_id'=>$id])->orderBy(['id'=>SORT_DESC])->one();
        if ($image) {
            $this->deleteFile($image->path);
            $image->delete();
            $vehicle = Vehicle::findOne(['id'=>$id]);
            $vehicle->image_counter = $vehicle->image_counter - 1;
            $vehicle->save(false);
            return $this->redirect(['upload-images', 'id' => $id]);
        }
        return $this->redirect(['upload-images', 'id' => $id]);

    }
    protected function deleteFile($file)
    {
        $imgpath =   Yii::$app->basePath.'/web/uploads/360images/'.$file;
        if (file_exists ($imgpath))
            unlink ($imgpath);
    }
    protected function deleteFile3000_1500($file)
    {
        $imgpath =   Yii::$app->basePath.'/web/uploads/3000x1500/'.$file;
        if (file_exists ($imgpath))
            unlink ($imgpath);
    }
    protected function deleteFile1100_550($file)
    {
        $imgpath =   Yii::$app->basePath.'/web/uploads/1100x550/'.$file;
        if (file_exists ($imgpath))
            unlink ($imgpath);
    }
    protected function deleteFrontFile($file)
    {
        $imgpath =   Yii::$app->basePath.'/web'.$file;
        if (file_exists ($imgpath))
            unlink ($imgpath);
    }

}
