<?php



use kartik\builder\Form;

use kartik\helpers\Html;

use common\helpers\Utility;

use yeesoft\post\models\Category;

use yeesoft\post\models\Post;

use yii\helpers\ArrayHelper;



$this->title = Yii::t('auto', 'Announcements');



$lng = Yii::$app->language;



$this->beginBlock('inner-banner-text');

echo "<h1>الزاوية الإعلامية</h1>";

$this->endBlock();

?>


<div class="clearfix"></div>
<section id="MainInner">

    <div class="container">

        <h2  style="margin-top:70px;margin-bottom: 30px;" class="InnerTitel"><?= $this->title  ?></h2>

		<?= Html::a(Yii::t('auto', 'Post New Announcement'),"/announcement/new" ,['class' => 'btn btn-primary m-2 mb-7']) ?>

        <?php if(count($announcement) == 0): ?>

            <h2><?= Yii::t('auto', 'No results found.') ?></h2>

        <?php endif; ?>

        <?php foreach ($announcement as $announcementItem):?>

        <!--Start List Part-->

        <article class="ListPart">

            <a href="<?= \yii\helpers\Url::to(['/announcement/view', 'slug' => $announcementItem->slug]); ?>">

                <?= $announcementItem->image_header ? Html::img($announcementItem->image_header, ['class' => 'ImgThumbRightM30', 'width'=>'250px']) : '' ?>

            </a>

            <p class="NewsDate"><?php echo date('d-F-Y', $announcementItem->published_at) ?></p>

            <h4><?= Html::a(\common\helpers\Utility::textTruncate($announcementItem->title, (90)), ['/announcement/view', 'slug' => $announcementItem->slug],[]); ?></h4>

           <!-- <p class="NewsBrief"><?= \common\helpers\Utility::textTruncate($announcementItem->brief, (700)); ?></p> -->



            <p>  

                <?= Html::a(Yii::t('auto', 'Read more'), ['announcement/view', 'slug' => $announcementItem->slug], ['class'=>"btn btn-success m-2"]); ?>

            </p>
            <hr>
        </article>

        <!--End List Part-->

        <?php endforeach; ?>





        <!--Start pagination-->

        <div class="text-center">

            <?= \yii\widgets\LinkPager::widget([

                'nextPageLabel' => Yii::t('auto', 'Next') . ' <img src="images/arrow-l.png" alt="">',

                'prevPageLabel' => '<img src="images/arrow-r.png" alt=""> ' . Yii::t('auto', 'Previous'),

                'pagination' => $pagination,

                'options' => ['class' => 'pagination mt-100']

            ]) ?>



        </div>

        <!--End pagination-->

    </div>

</section>



  