<?php

/* @var $form yii\bootstrap4\ActiveForm */
/* @var $model \frontend\models\SignupForm */
use yii\bootstrap4\Html;

use yii\bootstrap4\ActiveForm;
?>
<?php $form = ActiveForm::begin([
    'id' => 'form-signup-dealer',
    'action' =>['site/signup'],
    'validateOnBlur' => true,
    'validationUrl' => \yii\helpers\Url::to(['/site/signup']),
    'options' => ['enctype' => 'multipart/form-data']
]);
?>
<div tabindex="500" class="card-body">
    <h3><?= Yii::t('auto','Sign Up as car dealer')?></h3>
    <div class="full_name">
        <?= $form->field($model,'name')->textInput()->label(Yii::t('auto','Name'))?>
    </div>

    <div class="email">
        <?= $form->field($model, 'email',['enableClientValidation' => false, 'enableAjaxValidation' => true])->textInput()->label(Yii::t('auto','Email'))?>
    </div>
    <div class="passwrd">
        <?= $form->field($model, 'password')->passwordInput()->label(Yii::t('auto','Password'))?>
    </div>
    <div class="phone">
        <?= $form->field($model, 'phone')->textInput()->label(Yii::t('auto','Phone'))?>
    </div>
    <div class="registration-document">
        <?= $form->field($model,'document')->fileInput()->label(Yii::t('auto','Document'))?>
    </div>
    <div class="submit">
        <?= Html::submitButton(Yii::t('auto','Send'), ['class' => 'btn btn-primary btn-block',
            'name' => 'login-button']) ?>
    </div>

    <p class="text-dark mb-0 mt-2"><?= Yii::t('auto','Already have an account?')?>
        <a href="<?= \yii\helpers\Url::to('login')?>" class="text-primary ml-1"><?= Yii::t('auto','Login')?></a>
    </p>
</div>
<?php ActiveForm::end(); ?>

