<?php

// $this->title = 'Car Detail';

use yii\bootstrap\Modal;
use yii\helpers\Html;
use common\models\Vehicle;
use yii\web\IdentityInterface;
use common\models\Users;

/* @var $model common\models\Vehicle */
/* @var $user */
/* @var $image array */
/* @var $attachment array */
/* @var $equipment array */
/* @var $remark array */
/* @var $drop_lang array */
/* @var $image_chunk array */

$car_brand = common\models\DropdownListLang::findOne(['parent_id' => $model->manufacturer_id, 'language' => Yii::$app->params['short_language']]);

$car_sub_brand = common\models\DropdownListLang::findOne(['parent_id' => $model->manufacturer_model_id, 'language' => Yii::$app->params['short_language']]);

$transmission = common\models\DropdownListLang::findOne(['parent_id' => $model->transmission_id, 'language' => Yii::$app->params['short_language']]);

$body = common\models\DropdownListLang::findOne(['parent_id' => $model->body_type_id, 'language' => Yii::$app->params['short_language2']]);

$drive = common\models\DropdownListLang::findOne(['parent_id' => $model->drive_id, 'language' => Yii::$app->params['short_language']]);

$engine = common\models\DropdownListLang::findOne(['parent_id' => $model->engine_id, 'language' => Yii::$app->params['short_language']]);

$cylinder = common\models\DropdownListLang::findOne(['parent_id' => $model->cylinders_id, 'language' => Yii::$app->params['short_language']]);

$exterior = common\models\DropdownListLang::findOne(['parent_id' => $model->color_id, 'language' => Yii::$app->params['short_language2']]);

$interior = common\models\DropdownListLang::findOne(['parent_id' => $model->interior_color_id, 'language' => Yii::$app->params['short_language2']]);

// print_r(Yii::$app->user); die;
// $user_type = \common\models\Users::findOne(['id' => Yii::$app->user->identity->id , 'type' => \common\models\Users::DEALER]);
$user_type = true;

$vehicle_title = \common\models\VehicleLang::findOne(['parent_id' => $model->id, 'language' => Yii::$app->params['short_language']]);

$path_prefix = '/' . $model->slug . $model->id . '.xml';
$local_path_prefix = '/' . $model->slug . $model->id . '.xml';
$licence_prefix = '/license.lic';
$icon_path = \Yii::$app->urlManager->baseUrl . '/round';

?>

<?php
Modal::begin([
    'header' => '<h4 class="bid-modal-title">' . Yii::t('auto', 'Send Bid To Owner') . '</h4>',
    'id' => 'model',
    'size' => 'model-lg'
]);
echo "<div id='modelContent'></div>";

Modal::end();
?>
<?php
$this->registerJsFile("@web/js/JavascriptViewer.min.js");
$script = <<< JS

function incrementProgress(percent) {
	var bar = $('#svgbar');
	var rad = bar.attr('r');
	var off = Math.PI * (rad * 2);
	var pct = ((100 - percent) / 100) * off;
   
	var customProgress = $('.customprogress');
	var loader_text = $('.loader-text')

	if (percent && percent < 100 && !customProgress.is(':visible')) {
		bar.css({strokeDashoffset: pct});
		customProgress.fadeIn(100);
		return;
	}
	else if (percent == 100) {
		customProgress.hide();
		loader_text.hide();
		bar.css({strokeDashoffset: 565.48});
		return;
	}

	// This line sets the progress number in the center. Remove if not needed.
	$('#svgcont').attr('data-pct', percent + '%');
	 
	bar.css({strokeDashoffset: pct});
}

$(document).ready(function(){

   const jsv = new JavascriptViewer({
      mainHolderId: 'jsv-holder',
      mainImageId: 'jsv-image',
      imageUrlFormat: '{$image360Data['imageUrlFormat']}',
      totalFrames:  {$image360Data['totalFrames']},
      defaultProgressBar:  true,
      speed: 90,
      inertia: 12,
      reverse:false,
       zoom:true,
      license:"3cxchckkk7==2022/03/16--www.oto.jo",
      autoRotate:1,
      notificationConfig:{
                       dragToRotate:{
                         showStartToRotateDefaultNotification:true,
                         mainColor:"rgba(0,0,0,0.20)",
                         textColor:"rgba(243,237,237,0.80)",
                           }
                       }});

      jsv.start()
      .then(() => console.log('viewer started'))
      .catch((e) => console.log('failed loading 360 viewer: ' + e))
	
});
        
JS;
$this->registerJs($script);
?>

<style>
    .loader-text h1 {
        text-transform: none !important;
        text-shadow: 0 0 0.5em #1c69d4;
        font-size: 22px !important;

    }

    .loader-text-style {
        text-shadow: unset !important;
        font-size: 20px;
        color: #1c69d4 !important;
        text-align: center !important;
    }

    .loader-text {
        position: absolute;
        top: 50%;
        left: 50%;
        margin: -181px 0 0 -160px;
        opacity: 6.32;
        z-index: 20000;
        padding: 4px 0 0 4px;
    }

    @media screen and (max-width: 1199px) {
        .loader-text {
            margin: -181px 0 0 -160px !important;
            text-align: center !important;
        }
    }

    @media screen and (max-width: 768px) {
        .loader-text {
            margin: -76px 0 0 -160px !important;
            text-align: center !important;
        }
    }

    @media screen and (max-width: 515px) {
        .loader-text-style {
            text-align: center !important;
            margin-left: auto !important;
            margin-right: auto !important;
        }
    }

    .loader-text h1 {
        margin: -76px;
        text-transform: uppercase;
        text-shadow: 0 0 0.5em black;
        font-size: 18px;
    }

    #content {
        width: 100%;
        height: 438px;
        border: 1px dotted #cecfd2;
        position: relative;
    }

    .customprogress {
        position: absolute;
        top: 50%;
        left: 50%;
        width: 204px;
        height: 204px;
        border-radius: 50%;
        background: #f7f7f7;
        margin: -102px 0 0 -102px;
        opacity: 0.82;
        z-index: 20000;
        padding: 4px 0 0 4px;
        display: none;
    }

    .customprogress #svgcircle circle {
        stroke-dashoffset: 0;
        transition: stroke-dashoffset 300ms linear;
        stroke: #bdc3c7;
        stroke-width: 20px;
    }

    .customprogress #svgcircle #svgbar {
        stroke: #1c69d4;
    }

    .customprogress #svgcont {
        display: block;
        height: 200px;
        width: 200px;
        border-radius: 100%;
        position: relative;
    }

    .customprogress #svgcont:after {
        position: absolute;
        display: block;
        height: 160px;
        width: 160px;
        left: 50%;
        top: 50%;
        content: attr(data-pct);
        margin-top: -80px;
        margin-left: -80px;
        border-radius: 100%;
        line-height: 160px;
        font-size: 29px;
        color: #6d7a7b;
        font-family: "Arial";
        text-align: center;
    }

    .spot1_rollover .spinningSpot {
        width: 161px;
        height: 161px;
        position: relative;
    }

    .spot1_rollover .spinningSpot:before {
        z-index: 100;
        position: absolute;
        width: 100%;
        height: 100%;
        display: block;
        border-radius: 50%;
        content: "";
        animation: simple_spin 18s linear infinite;
        -webkit-animation: simple_spin 18s linear infinite;
        background: url(popup-create-back.svg) 50% 50% no-repeat;
    }

    .spot1_rollover .spinningSpot span {
        display: block;
        position: absolute;
        left: 10%;
        top: 50px;
        width: 80%;
        max-width: 80%;
        font-size: 22px;
        text-align: center;
        color: #fff;
        font-weight: bold;
        line-height: 24px;
        z-index: 200;
    }

    .grab-cursor {
        cursor: url("../../web/images/icons/grab.png") 16 16, grab;
    }

    .drag-to-view {
        width: 100%;
        text-align: center;
        margin: auto;
        z-index: 1;
        height: 100%;
    }

    .drag-to-view span {
        color: var(--white);
    }

    .drag-to-view .explore-full-view {
        max-width: 360px;
        bottom: 3rem;
        z-index: 4;
        display: flex;
        flex-direction: column;
        justify-content: center;
        color: #fff;
        align-items: center;
        pointer-events: none;
        font-size: .875rem;
        background-color: rgba(12, 40, 65, .4);
        border-radius: .5rem;
        padding: 10px 6px;
        width: 15rem;
        left: 50%;
        position: absolute;
        transform: translate(-50%, 0);
    }

    .drag-to-view .explore-full-view .span-svg {
        flex-direction: row;
        align-items: center;
        font-size: 12px;
        margin-bottom: 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
    }

    .drag-to-view .explore-full-view p {
        color: var(--white);
        font-size: 12px;
    }

    .drag-to-view span img.drag-icon {
        width: 26px;
    }

    .drag-to-view span svg {
        width: 1.5rem;
        height: 1.5rem;
        fill: #fff;
        margin: 0 auto .5rem;
    }

    .finger-slide {
        transform-origin: 50% 50%;
        -webkit-animation: finger-slide 2.25s cubic-bezier(.4, 0, .2, 1) 5 both;
        animation: finger-slide 2.25s cubic-bezier(.4, 0, .2, 1) 5 both;
    }

    .viewer * {
        transition: opacity .25s cubic-bezier(.4, 0, .2, 1);
    }

    @keyframes finger-slide {
        0%, 45%, 100% {
            transform: translate3d(-60px, 0, 0) scaleX(1);
        }
        5% {
            transform: translate3d(0, -20px, 0) scale3d(1.08, 1.08, 1);
        }
        12%, 18% {
            transform: translate3d(64px, 0, 0) scaleX(1);
        }
    }

    @-webkit-keyframes simple_spin {
        from {
            -webkit-transform: rotate(0deg);
        }
        to {
            -webkit-transform: rotate(360deg);
        }
    }

    @keyframes simple_spin {
        from {
            transform: rotate(0deg);
        }
        to {
            transform: rotate(360deg);
        }
    }
    .bannerimg {
        padding: 4rem 0 1rem 0;
    }
    .sptb{
        padding-top:0;
    }
    #content{
        height: auto;
    }
    #jsv-holder img{
        margin: 0 auto;
        transform: scale(1) !important;
    }
    .full-car-images .car-image-carousel img{
        height: 150px !important;
    }
    @media screen and (max-width: 650px){
        #content{
            height: 176px !important;
        }
        .car-image-carousel .card-body{
            padding: 0 !important;
        }
        .car-image-carousel .card{
            padding: 0 !important;
            border-radius: 8px !important;
            overflow: hidden;
        }
        .carousel-wrap{
            background: transparent;
            border: none;
        }
        .carousel-wrap .card-body{
            padding: 6px;
        }
        .slider_wrap{
            padding-left: 0;
            padding-right: 0;
        }
        .sptb{
            padding-top: 0;
        }
        .owl-carousel.owl-drag .owl-item{
            margin-right: 6px !important;
        }
        .full-car-images .car-image-carousel img{
            height: 95px !important;
        }
        .bannerimg{
            padding: 4.5rem 0 0.8rem 0 !important;
        }
        .text-center.text-white.details-form-title h2{
            padding-top: 0 !important;
        }
    }
    .see-inside-360 {
        position: absolute;
        top: 0;
        right: 0;
        z-index: 10;
        cursor: pointer;
        border-radius: 0 0 0 8px;
        border: none;
        display: flex;
        align-items: center;
        justify-content: center;
        background: #ffd900;
        padding: 0;
        margin: 0;
        width: 126px;
        height: 36px;
    }
    .see-inside-360 svg {
        width: 24px;
        height: 24px;
        fill: #053361;
    }
    .see-inside-360 p {
        color: #053361;
        font-family: Lato,Verdana,Arial,sans-serif;
        font-size: 12px;
        line-height: 16px;
        padding: 0 0 0 8px;
        margin: 0;
    }
</style>

<div class="bannerimg cover-image bg-background3"
     data-image-src="<?= Yii::getAlias('@web/uploads/images/banners/banner2.jpg') ?>">
    <div class="header-text mb-0">
        <div class="container">
            <div class="text-center text-white details-form-title">
                <h2 class=""><?= $vehicle_title->title ?></h2>
            </div>
        </div>
    </div>
</div>
<!--Section-->

<?php //print_r($model); ?>
<!--listing-->
<section class="sptb">
    <div class="container">
        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12 slider_wrap">
                <?php if ($model->car_type == Vehicle::ROUND) {

                    ?>
                    <div id="content" class="grab-cursor" onclick="myFunction()">
                        <button class="see-inside-360" ><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" aria-hidden="true" focusable="false"><path d="M12 7C6.48 7 2 9.24 2 12c0 2.24 2.94 4.13 7 4.77V20l4-4-4-4v2.73c-3.15-.56-5-1.9-5-2.73 0-1.06 3.04-3 8-3s8 1.94 8 3c0 .73-1.46 1.89-4 2.53v2.05c3.53-.77 6-2.53 6-4.58 0-2.76-4.48-5-10-5z"></path><path fill="none" d="M0 0h24v24H0z"></path></svg><p>See inside</p></button>
                        <div id="jsv-holder" class="" style="background-color:#FFFFFF; height: 100%; width: 100%">
                            <img id="jsv-image" alt="<?= $vehicle_title->title ?>"
                                 src="<?= $image360Data['imagePath'] ?><?= $image360Data['imageFirstPlaceholder'] ?>">
                        </div>
                        <div class="drag-to-view" id="drag-id_">
                            <div class="explore-full-view">
                                <div class="span-svg">
                            <span>
                                <svg viewBox="-54 0 483 483.59643">
                                    <path class="finger-slide"
                                          d="m137.335938 72.488281c-19.90625 0-36.023438 17.09375-36.039063 38.097657l-.074219 168.585937-8.601562-10.5c-8.527344-10.628906-21.09375-17.230469-34.683594-18.226563-13.3125-.910156-26.410156 3.722657-36.1875 12.800782l-8.359375 6.933594c-2.898437 2.40625-3.726563 6.511718-1.984375 9.851562l81.449219 156.679688c14.980469 28.796874 43.507812 46.886718 74.433593 46.886718h91.351563c46.871094 0 85.042969-40.800781 85.089844-90.691406.023437-22.097656.042969-38.6875.058593-52.066406.046876-35.917969.066407-49.507813-.027343-89.066406-.046875-20.96875-16.253907-38.175782-36.128907-38.175782h-.625c-8.382812.050782-16.460937 3.121094-22.769531 8.640625-5.375-13.957031-18.375-23.78125-33.554687-23.78125-9.191406.003907-18.011719 3.632813-24.546875 10.097657-6.136719-11.835938-18.054688-19.957032-31.714844-19.957032h-.660156c-7.335938.117188-14.46875 2.445313-20.460938 6.679688v-84.65625c0-21.023438-16.035156-38.132813-35.964843-38.132813zm56.425781 132.109375h.660156c11.101563 0 19.878906 10.140625 19.878906 22.34375v45.03125c0 4.417969 3.582031 8 8 8s8-3.582031 8-8v-35.332031c0-12.203125 9.367188-22.132813 20.53125-22.132813 11.101563 0 20.46875 9.925782 20.46875 22.132813v33.332031c0 4.417969 3.582031 8 8 8s8-3.582031 8-8v-18.050781c0-12.199219 8.609375-22.324219 19.707031-22.324219h.625c11.070313 0 20.101563 10 20.128907 22.164063.09375 39.527343.074219 53.007812.027343 88.910156-.015624 13.378906-.035156 30.089844-.058593 52.195313-.039063 41.082031-31.03125 74.730468-69.089844 74.730468h-91.351563c-24.9375 0-48.023437-14.789062-60.246093-38.269531l-78.46875-150.847656 3.542969-2.988281c.097656-.085938.203124-.199219.304687-.292969 6.566406-6.183594 15.40625-9.359375 24.40625-8.773438 9.199219.703125 17.691406 5.199219 23.449219 12.410157l22.789062 27.746093c2.144532 2.609375 5.699219 3.589844 8.878906 2.453125 3.179688-1.136718 5.304688-4.152344 5.304688-7.53125l.132812-190.898437c.007813-12.195313 8.863282-22.117188 19.960938-22.117188s19.957031 9.929688 19.957031 22.132813v115.089844c0 .402343-.019531.8125-.019531 1.21875 0 .183593.019531.367187.019531.546874v49.191407c0 4.417969 3.582031 8 8 8s8-3.582031 8-8v-50.683594c1-11.761719 9.652344-21.386719 20.460938-21.386719zm0 0">
                                    </path>
                                    <path d="m4.738281 58.753906 38.5 38.5c3.125 3.121094 8.191407 3.121094 11.316407 0 3.125-3.125 3.125-8.191406 0-11.316406l-26.34375-26.339844h243.605468c3.773438 27.109375 27.785156 46.742188 55.101563 45.054688 27.320312-1.683594 48.734375-24.121094 49.144531-51.488282.414062-27.367187-20.316406-50.4375-47.570312-52.945312-27.253907-2.507812-51.84375 16.394531-56.433594 43.378906h-242.285156l24.777343-24.78125c2.042969-2.015625 2.847657-4.972656 2.109375-7.746094-.734375-2.773437-2.902344-4.9375-5.675781-5.675781s-5.730469.066407-7.746094 2.109375l-36.199219 36.199219c-3.433593.542969-6.125 3.246094-6.648437 6.683594-.527344 3.4375 1.234375 6.820312 4.347656 8.363281zm318.949219-42.757812c20.089844 0 36.375 16.285156 36.378906 36.378906 0 20.089844-16.289062 36.378906-36.378906 36.378906s-36.378906-16.289062-36.378906-36.378906c.023437-20.082031 16.296875-36.355469 36.378906-36.378906zm0 0">
                                    </path>
                                </svg>
                                <?= Yii::t('auto', 'Drag to view 360째') ?></span>
                                </div>
                                <p class="mb-0"><?= Yii::t('auto', 'Explore every detail to help decide') ?></p>
                            </div>
                        </div>
                    </div>
                <?php } else { ?>

                    <div class="card overflow-hidden deepakdepak">
                        <div class="card-body">
                            <div class="item-det mb-4">
                                <a href="#" class="text-dark"><h3><?= $vehicle_title->title ?></h3></a>
                            </div>
                            <div class="product-slider px-4 py-5">
                                <div id="carousel" class="carousel slide" data-ride="carousel">
                                    <div class="arrow-ribbon2 bg-primary"><?= $model->price ?> <?= Yii::t('auto', 'JOD') ?></div>
                                    <div class="carousel-inner">
                                        <?php
                                        foreach ($image as $key => $path) { ?>
                                            <div class="carousel-item <?= $key < 1 ? " active" : '' ?>">

                                                <?php if (preg_match('#^(https?://|www\.)#i', $path->path) === 1) { ?>
                                                    <?= Html::img(Yii::getAlias($path->path . '.' . $path->extension), ['class' => '']) ?>
                                                <?php } else { ?>
                                                    <?= Html::img($path->getImageFullPath(), ['class' => '']) ?>

                                                <?php } ?>
                                            </div>
                                        <?php } ?>
                                    </div>
                                    <a class="carousel-control-prev" href="#carousel" role="button" data-slide="prev">
                                        <i class="fa fa-angle-left" aria-hidden="true"></i>
                                    </a>
                                    <a class="carousel-control-next" href="#carousel" role="button" data-slide="next">
                                        <i class="fa fa-angle-right" aria-hidden="true"></i>
                                    </a>
                                </div>
                                <div class="clearfix">
                                    <div id="thumbcarousel" class="carousel thumbcarousel slide" data-interval="false">
                                        <div class="carousel-inner">
                                            <?php foreach ($image as $path) { ?>
                                                <div class="carousel-item <?= $key < 1 ? " active" : '' ?>">
                                                    <?php

                                                    if (preg_match('#^(https?://|www\.)#i', $path->path) === 1) {
                                                        ?>
                                                        <?= Html::img(Yii::getAlias($path->path . '.' . $path->extension), ['class' => 'cover-image', 'alt' => 'Image Not Found']) ?>
                                                    <?php } else {
                                                        ?>
                                                        <?= Html::img($path->getImageFullPath(), ['class' => 'cover-image', 'alt' => 'Image Not Found']) ?>
                                                    <?php } ?>
                                                    <?php //}?>
                                                </div>
                                            <?php } ?>
                                        </div>
                                        <a class="carousel-control-prev" href="#thumbcarousel" role="button"
                                           data-slide="prev">
                                            <i class="fa fa-angle-left" aria-hidden="true"></i>
                                        </a>
                                        <a class="carousel-control-next" href="#thumbcarousel" role="button"
                                           data-slide="next">
                                            <i class="fa fa-angle-right" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php } ?>

                <?php if (($model->car_type == 3 || true) && !empty($image)) { ?>
                    <div class="card mt-3 carousel-wrap border-0" style="background: transparent;">
                        <div class="card-body p-0">
                            <div class="row">
                                <div class="full-car-images col-12 mt-2">
                                    <div id="small-categories" class="owl-carousel car-image-carousel">
                                        <?php foreach ($image as $path) { ?>
                                            <div class="item">
                                                <div class="card mb-0" style="background: transparent;">
                                                    <div class="card-body p-0">
                                                        <div class="cat-item text-center">
                                                            <!-- <div href="<?php //=Yii::getAlias('@web/uploads/car-listing/'.$path->path)?>" class="cat-img1" data-fancybox="gallery"> -->
                                                            <!-- <div class="cat-img1" data-fancybox="gallery"> -->

                                                            <!-- </div> -->
                                                            <?php if (preg_match('#^(https?://|www\.)#i', $path->path) === 1) { ?>
                                                                <div href="<?= Yii::getAlias($path->path . '.' . $path->extension); ?>"
                                                                     class="cat-img1" data-fancybox="gallery">
                                                                    <?= Html::img(Yii::getAlias($path->path . '.' . $path->extension), ['class' => 'cover-image cat-img1', 'alt' => 'Image Not Found']) ?>
                                                                </div>
                                                            <?php } else { ?>
                                                                <div href="<?= $path->getImageFullPath(); ?>"
                                                                     class="cat-img1" data-fancybox="gallery">
                                                                    <?= Html::img($path->getImageFullPath(), ['class' => 'cover-image', 'alt' => 'Image Not Found']) ?>
                                                                </div>
                                                            <?php } ?>
                                                            <!-- </div> -->
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php } ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php } ?>


            </div>
            <div class="col-xl-9 col-lg-9 col-md-12">
                <!--Classified Description-->
                <div class="mb-4 overflow-hidden">
                    <div class="">
                        <div class="border-0">
                            <div class="wideget-user-tab wideget-user-tab3">
                                <div class="tab-menu-heading">
                                    <div class="tabs-menu1">
                                        <ul class="nav mb-4">
                                            <li class="active"><a href="#tab-1" data-toggle="tab"
                                                                  aria-expanded="true"><?= Yii::t('auto', 'Specs') ?></a>
                                            </li>
                                            <li><a href="#tab-3" data-toggle="tab"
                                                   class=""><?= Yii::t('auto', 'Equipments') ?></a></li>
                                            <li><a href="#tab-4" data-toggle="tab"
                                                   class=""><?= Yii::t('auto', 'Remarks') ?></a></li>
                                            <li><a href="#tab-5" data-toggle="tab"
                                                   class=""><?= Yii::t('auto', 'Inspection report') ?></a></li>
                                            <li><a href="#tab-6" data-toggle="tab" class="carseer-logo-section">
                                                    <?= Html::img(Yii::getAlias('@web/images/carseer-logo.png')) ?>
                                                </a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="tab-content border-left border-right border-top br-tr-3 p-5 bg-white">
                                <div class="tab-pane active" id="tab-1">
                                    <div class="row">
                                        <div class="col-xl-12 col-md-12">
                                            <div class="table-responsive">
                                                <table class="table table-bordered w-100 m-0 text-nowrap ">
                                                    <tbody>
                                                    <tr>
                                                        <td>
                                                            <span class="font-weight-bold"><?= Yii::t('auto', 'Car Brand :') ?></span> <?= $model->getData('manufacturer_id') ?>
                                                        </td>
                                                        <td>
                                                            <span class="font-weight-bold"><?= Yii::t('auto', 'Car Model :') ?></span> <?= $model->getData('manufacturer_model_id') ?>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <span class="font-weight-bold"><?= Yii::t('auto', 'Model year :') ?></span> <?= $model->model_year ?>
                                                        </td>
                                                        <td>
                                                            <span class="font-weight-bold"><?= Yii::t('auto', 'Transmission :') ?></span> <?= $model->getData('transmission_id') ?>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <span class="font-weight-bold"><?= Yii::t('auto', 'Power :') ?></span> <?= $model->power ?>
                                                        </td>
                                                        <td>
                                                            <span class="font-weight-bold"><?= Yii::t('auto', 'Capacity :') ?></span> <?= $model->capacity ?>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <span class="font-weight-bold"><?= Yii::t('auto', 'Body Type :') ?></span> <?= $model->getData('body_type_id') ?>
                                                        </td>
                                                        <td>
                                                            <span class="font-weight-bold"><?= Yii::t('auto', 'Drive :') ?></span> <?= $model->getData('drive_id') ?>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <span class="font-weight-bold"><?= Yii::t('auto', 'Engine :') ?></span> <?= $model->getData('engine_id') ?>
                                                        </td>
                                                        <td>
                                                            <span class="font-weight-bold"><?= Yii::t('auto', 'Cylinders :') ?></span> <?= $model->getData('cylinders_id') ?>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <span class="font-weight-bold"><?= Yii::t('auto', 'Exterior Color :') ?></span> <?= $model->getData('color_id') ?>
                                                        </td>
                                                        <td>
                                                            <span class="font-weight-bold"><?= Yii::t('auto', 'Interior Color :') ?></span> <?= $model->getData('interior_color_id') ?>
                                                        </td>
                                                    </tr>

                                                    <tr>
                                                        <td>
                                                            <span class="font-weight-bold"><?= Yii::t('auto', 'Odometer (KM) :') ?></span> <?= $model->odometer_km ?>
                                                        </td>
                                                        <?php if ($model->odometer_mile == null) { ?>
                                                            <td>
                                                                <span class="font-weight-bold"><?= Yii::t('auto', 'Odometer (Mile) :') ?></span>
                                                                <?= Yii::t('auto', 'Not Found') ?>
                                                            </td>
                                                        <?php } else { ?>
                                                            <td>
                                                                <span class="font-weight-bold"><?= Yii::t('auto', 'Odometer (Mile) :') ?></span>
                                                                <?= $model->odometer_mile ?>
                                                            </td>
                                                        <?php } ?>

                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane tab-pane remark-table-section" id="tab-3">
                                    <div class="row">
                                        <?php foreach ($equipment as $equip) { ?>
                                            <div class="col-md-6">
                                                <div class="table-responsive">
                                                    <table class="table border-right border-left border-top border-bottom mb-2">
                                                        <tbody>
                                                        <tr>
                                                            <td>
                                                                <?= $equip->getData('equipment_id') ?>
                                                            </td>
                                                            <td class="text-right">
                                                                <i class="icon icon-check text-blue success-<?= Yii::$app->params['direction'] ?>"></i>
                                                            </td>
                                                        </tr>

                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        <?php } ?>
                                    </div>
                                </div>
                                <div class="tab-pane tab-pane remark-table-section" id="tab-4">
                                    <div class="row">
                                        <?php if (empty($remark)): ?>
                                            <div class="col">
                                                <a class="mb-0"><?= Yii::t('auto', 'Not Available') ?></a>
                                            </div>
                                        <?php else: ?>
                                            <?php foreach ($remark as $item) { ?>
                                                <div class="col-md-6">
                                                    <div class="table-responsive">
                                                        <table class="table border-right border-left border-top border-bottom mb-2">
                                                            <tbody>
                                                            <tr>
                                                                <td>
                                                                    <?= $item->getData('remark_id') ?>
                                                                </td>
                                                                <td class="text-right">
                                                                    <i class="icon icon-check text-blue success-<?= Yii::$app->params['direction'] ?>"></i>
                                                                </td>
                                                            </tr>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            <?php } ?>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="tab-pane tab-pane remark-table-section" id="tab-5">
                                    <div class="row">


                                        <div class="col-md-12">
                                            <div class="table-responsive">
                                                <?php if (isset($attachment->path)) {

                                                    if (preg_match('#^(https?://|www\.)#i', $attachment->path) === 1) {
                                                        ?>
                                                        <iframe src="<?= Yii::getAlias($attachment->path . '.' . $attachment->extension) ?>"
                                                                width="100%" height="500" class="border-0"></iframe>

                                                    <?php } else {
                                                        ?>
                                                        <iframe src="<?= Yii::getAlias('http://admin.oto.jo' . $attachment->path . '.' . $attachment->extension) ?>"
                                                                width="100%" height="500" class="border-0"></iframe>

                                                    <?php } ?>

                                                <?php } else { ?>
                                                    <a class="mb-0"><?= Yii::t('auto', 'Not Available') ?></a>
                                                <?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane tab-pane remark-table-section" id="tab-6">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="table-responsive">
                                                <?php if (!empty($model->carseer_url)): ?>
                                                    <iframe src="<?= Yii::getAlias($model->carseer_url) ?>" width="100%"
                                                            height="500" class="border-0"></iframe>
                                                <?php else: ?>
                                                    <a class="mb-0"><?= Yii::t('auto', 'Not Available') ?></a>
                                                <?php endif; ?>

                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                            <div class="pt-4 pb-4 pl-5 pr-5 border-top border-left border-right bg-white">
                                <div class="list-id">
                                    <div class="row">
                                        <div class="col">
                                            <a class="mb-0"><?= Yii::t('auto', 'Classified ID : {id}', ['id' => $model->id]) ?></a>
                                        </div>
                                        <div class="col col-auto">
                                            <?= Yii::t('auto', 'Posted By') ?> <a class="mb-0 font-weight-bold">
                                                <?php if (isset($user->name)) {
                                                    echo $user->name;
                                                } else {
                                                    '-';
                                                } ?>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--/Classified Description-->
            </div>
            <!--Right Side Content-->
            <div class="col-xl-3 col-lg-3 col-md-12">
                <div class="card car-highlights-section">
                    <div class="card-header">
                        <h3 class="card-title" style="color:#fff"><?= Yii::t('auto', 'Highlights') ?></h3>
                    </div>
                    <div class="card-body  item-user">
                        <div class=" mb-0">
                            <h4 class="mt-3 mb-1 jod-price"><?= $model->price ?> <?= Yii::t('auto', 'JOD') ?></h4>
                        </div>
                    </div>
                    <div class="card-body item-user ul-li">
                        <ul>

                            <li>
                                <h6><b><?= Yii::t('auto', 'Model Year:') ?></b> <span
                                            class="property-value"><?= $model->model_year ?></span></h6>

                            </li>

                            <hr>

                            <?php if ($model->odometer_mile == null) { ?>

                                <li>
                                    <h6><b><?= Yii::t('auto', 'Odometer KM:') ?></b> <span
                                                class="property-value"><?= $model->odometer_km ?> <?= Yii::t('auto', 'KM') ?></span>
                                    </h6>
                                </li>

                            <?php } elseif ($model->odometer_km == null) { ?>

                                <li>
                                    <h6><b><?= Yii::t('auto', 'Odometer Mile:') ?></b> <span
                                                class="property-value"><?= $model->odometer_mile ?> <?= Yii::t('auto', 'Mile') ?></span>
                                    </h6>
                                </li>

                            <?php } elseif ($model->odometer_km !== null && $model->odometer_mile == !null) { ?>

                                <li>
                                    <h6><b><?= Yii::t('auto', 'Odometer KM:') ?></b> <span
                                                class="property-value"><?= $model->odometer_km ?> <?= Yii::t('auto', 'KM') ?></span>
                                    </h6>
                                </li>

                            <?php } ?>

                            <hr>
                            <li>
                                <h6><b><?= Yii::t('auto', 'Color:') ?></b> <span
                                            class="property-value"><?= $exterior->title ?></span></h6>
                            </li>
                            <hr>

                            <li>
                                <h6><b><?= Yii::t('auto', 'Interior Color:') ?></b> <span
                                            class="property-value"><?= $interior->title ?></span></h6>
                            </li>
                            <hr>

                            <li>
                                <h6><b><?= Yii::t('auto', 'Body Type:') ?></b> <span
                                            class="property-value"><?= $body->title ?></span></h6>
                            </li>

                        </ul>
                    </div>
                </div>
                <?php //if($model->sell_as == Vehicle::FAST) {
                if ($model->car_type == Vehicle::FAST) {
                    ?>
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title"><?= Yii::t('auto', 'Posted By') ?></h3>
                        </div>
                        <div class="card-body  item-user">
                            <div class="profile-pic mb-0">
                                <?php if (isset($user->profile_image) && $user->profile_image !== null) { ?>
                                    <?= Html::img(Yii::getAlias('@web/uploads/profile/' . $user->profile_image), ['class' => 'brround avatar-xxl']) ?>
                                    <div>
                                        <a href="#" class="text-dark"><h4
                                                    class="mt-3 mb-1 font-weight-semibold"><?= $user->name ?></h4></a>
                                    </div>
                                <?php } else { ?>
                                    <?= Html::img(Yii::getAlias('@web/images/users/male/user1.jpg'), ['class' => 'brround avatar-xxl']) ?>
                                    <div>
                                        <a href="#" class="text-dark"><h4
                                                    class="mt-3 mb-1 font-weight-semibold"> <?php if (isset($user->name)) {
                                                    echo $user->name;
                                                } else {
                                                    '-';
                                                } ?></h4></a>

                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                        <?php if (!Yii::$app->user->isGuest) { ?>
                            <?php if ($user_type == true) { ?>
                                <?php if ($model->car_type == Vehicle::FAST) { ?>
                                    <div class="card-footer">
                                        <div class="row">
                                            <div class="col-lg-12 col-md-12 col-12">
                                                <?= Html::button('Place Bid', ['value' => \yii\helpers\Url::toRoute(['site/bids', 'id' => $model->id]), 'class' => 'btn btn-green biding-button', 'id' => 'modelButton']) ?>
                                            </div>
                                        </div>
                                    </div>
                                <?php } ?>
                            <?php } ?>
                        <?php } ?>
                    </div>
                <?php } else {
                    ?>
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title"><?= Yii::t('auto', 'Posted By') ?></h3>
                        </div>
                        <div class="card-body  item-user">
                            <div class="profile-pic mb-0">
                                <?php if (isset($user->profile_image) && $user->profile_image !== null) { ?>
                                    <?= Html::img(Yii::getAlias('@web/uploads/profile/' . $user->profile_image), ['class' => 'brround avatar-xxl']) ?>
                                    <div>
                                        <a href="<?= \yii\helpers\Url::toRoute(['site/dealer-profile', 'id' => $user->id]) ?>"
                                           class="text-dark"><h4
                                                    class="mt-3 mb-1 font-weight-semibold"><?= $user->name ?></h4></a>
                                    </div>
                                <?php } else { ?>
                                    <?= Html::img(Yii::getAlias('@web/images/users/male/user1.jpg'), ['class' => 'brround avatar-xxl']) ?>
                                    <div>
                                        <?php if (isset($user->id) && $user->id !== null) { ?>
                                            <a href="<?= \yii\helpers\Url::toRoute(['site/dealer-profile', 'id' => $user->id]) ?>"
                                               class="text-dark"><h4
                                                        class="mt-3 mb-1 font-weight-semibold"><?= $user->name ?></h4>
                                            </a>
                                        <?php } ?>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                        <div class="card-body item-user">
                            <h4 class="mb-4"><?= Yii::t('auto', 'Contact Info') ?></h4>
                            <div>

                                <div class="contact-icons">
                                    <div class="row">
                                        <?php if (isset($user->id) && $user->id !== null) { ?>
                                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 text-center">
                                            <h1 class="mb-0">
                                                <a href="tel:<?= $user->phone ?>"
                                                       title="<?= Yii::t('auto', 'Phone No : ') . $user->phone ?>"
                                                       data-toggle="tooltip" data-placement="top">
                                                        <i class="text-success font-weight-bold mr-6 fa fa-phone"></i>
                                                    </a>
                                            </h1>
                                            <span class="txt-sub-contact-icons text-muted"><?= Yii::t('auto','Call') ?></span>
                                        </div>
                                        <?php } ?>
                                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 text-center">
                                            <h1 class="mb-0">
                                                <?php if (Yii::$app->user->isGuest) { ?>
                                                    <a href="<?= \yii\helpers\Url::toRoute(['site/login']) ?>">
                                                        <i class="font-weight-bold text-black-50 fa fa-envelope"></i></a>
                                                <?php } else {
                                                    //   $userlogin=Users::findOne(['id' =>Yii::$app->user->identity->id ]);
                                                    if ($model->user_id == Yii::$app->user->identity->id) { ?>
                                                        <a href="<?= \yii\helpers\Url::toRoute(['site/my-listing']) ?>">
                                                            <i class="font-weight-bold text-black-50 fa fa-envelope"></i></a>
                                                    <?php } else {
                                                        ?>
                                                        <a href="<?= \yii\helpers\Url::toRoute(['site/message', 'id' => $model->id]) ?>">
                                                            <i class="font-weight-bold text-black-50 fa fa-envelope"></i></a>
                                                    <?php }
                                                } ?>
                                            </h1>
                                            <span class="txt-sub-contact-icons text-muted"><?= Yii::t('auto','Chat') ?></span>
                                        </div>
                                    </div>



                                </div>
                            </div>
                        </div>
                        <?php if (!Yii::$app->user->isGuest) { ?>
                            <?php if ($user_type == true) { ?>
                                <?php if ($model->car_type == Vehicle::FAST) { ?>
                                    <div class="card-footer">
                                        <div class="row">
                                            <div class="col-lg-12 col-md-12 col-12">
                                                <?= Html::button('Place Bid', ['value' => \yii\helpers\Url::toRoute(['site/bids', 'id' => $model->id]), 'class' => 'btn btn-green biding-button', 'id' => 'modelButton']) ?>
                                            </div>
                                        </div>
                                    </div>
                                <?php } ?>
                            <?php } ?>
                        <?php } ?>
                    </div>
                <?php } ?>
            </div>
            <!--/Right Side Content-->
        </div>
        <?= common\widgets\RelatedPostWidget::widget() ?>
    </div>
</section>

<script>
    function myFunction() {
        var x = document.getElementById("drag-id");
        if (x.style.display === "block") {
            x.style.display = "none";
        } else {
            x.style.display = "none";
        }
    }
</script>