<?php

use common\models\DropdownListLang;
use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model common\models\Vehicle */
/* @var $user array */
/* @var $image array */
/* @var $equipment array*/
/* @var $remark array*/
/* @var $attachment array*/
/* @var $drop_lang array*/
/* @var $image_chunk array*/

$vehicle_title = \common\models\VehicleLang::findOne(['parent_id' => $model->id,'language' => Yii::$app->params['short_language']]);
if(empty($vehicle_title)){
    $vehicle_title = \common\models\VehicleLang::findOne(['parent_id' => $model->id]);
}
$this->title = 'User Dashboard';
?>
<!--Section-->
<div class="bannerimg cover-image bg-background3" data-image-src="<?= Yii::getAlias('@web/images/banners/banner2.jpg')?>">
    <div class="header-text mb-0">
        <div class="container">
            <div class="text-center text-white ">
                <h2 class=""><?= $vehicle_title->title?> </h2>
            </div>
        </div>
    </div>
</div><!--Section-->

<!--BreadCrumb-->
<div class="bg-white border-bottom">
    <div class="container">
        <div class="page-header">
            <h4 class="page-title"><?= Yii::t('auto','Cars Details')?></h4>
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="/"><?= Yii::t('auto','Home')?></a></li>
                <li class="breadcrumb-item"><a href="#"><?= Yii::t('auto','Confirm Car Detail')?></a></li>
                <li class="breadcrumb-item " aria-current="page"><?= $vehicle_title->title?></li>
            </ol>
        </div>
    </div>
</div>
<!--/BreadCrumb-->
<?php if($model->status == \common\models\Vehicle::PENDING) { ?>
    <!--status pending start-->
    <section class="status-pending status-p-s sptb">
        <div class="container">
            <div class="row" style="margin-bottom: 0.5rem;">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-footer">
                            <div class="status-section">
                                <h6><?= Yii::t('auto','Status:')?></h6>
                                <div class="status-title">
                                    <span><?= Yii::t('auto', 'Pending approval, we will  review your request and approve accordingly. Stay tuned!') ?></span>
                                </div>
                            </div>
                            <div class="status-edit-pay">
                                <!--<div class="pending-pay btn-bg">
                                    <a href="<?/*= \yii\helpers\Url::toRoute(['site/pay','id' => $model->id]) */?>"><?/*= Yii::t('auto','Pay')*/?></a>
                                </div>-->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php if(Yii::$app->session->hasFlash('success_vehicle')): ?>
                <div class="row">
                    <div class="col-lg-12">
                        <div class="card" style="margin-bottom: 0.2rem;">
                            <div class="card-footer text-center" style="padding: 5px !important;">
                                <p class="text-success" style="margin: 2px"><?= Yii::$app->session->getFlash('success_vehicle') ?></p>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </section>
    <!--status pending end-->
<?php }else{ ?>
    <!--status success start-->
    <section class="status-success status-p-s sptb">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card" style="margin-bottom: 0.5rem;">
                        <div class="card-footer">
                            <h6><?= Yii::t('auto','Status:')?></h6>
                            <?php if($model->status == \common\models\Vehicle::ACTIVE) { ?>
                                <div class="status-title">
                                    <span><?= Yii::t('auto', \common\models\Vehicle::IS_ACTIVE)?></span>
                                </div>
                            <?php } else { ?>
                                <div class="status-title">
                                    <span><?= Yii::t('auto', \common\models\Vehicle::IS_PENDING)?></span>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            </div>

            <?php if(Yii::$app->session->hasFlash('success_vehicle')): ?>
                <div class="row">
                    <div class="col-lg-12">
                        <div class="card" style="margin-bottom: 0.2rem;">
                            <div class="card-footer text-center" style="padding: 5px !important;">
                                <p class="text-success" style="margin: 2px"><?= Yii::$app->session->getFlash('success_vehicle') ?></p>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endif; ?>

        </div>
    </section>
    <!--status success end-->
<?php }?>
<!--listing-->
<section class="section-p-t sptb">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="single-productslide">
                        <div class="row no-gutter">
                            <div class="col-lg-6 pr-lg-0">
                                <div class="product-slider px-4 py-5 border-right">
                                    <div id="carousel" class="carousel slide" data-ride="carousel">
                                        <div class="arrow-ribbon2 bg-primary"><?= Yii::t('auto','JOD')?> <?= $model->price?></div>
                                        <div class="carousel-inner">
                                            <?php
                                            foreach ($image as $key =>  $path) {?>
                                                <div class="carousel-item <?=$key<1? " active":''?>">
                                                    <?php   if (preg_match('#^(https?://|www\.)#i', $path->path) === 1){ ?>
                                                        <?= Html::img(Yii::getAlias($path->path.'.'.$path->extension),['class' => ''])?>
                                                    <?php }else{ ?>
                                                        <?= Html::img($path->getImageFullPath(),['class' => ''])?>
                                                    <?php } ?>
                                                </div>
                                            <?php }?>
                                        </div>
                                        <a class="carousel-control-prev" href="#carousel" role="button" data-slide="prev">
                                            <i class="fa fa-angle-left" aria-hidden="true"></i>
                                        </a>
                                        <a class="carousel-control-next" href="#carousel" role="button" data-slide="next">
                                            <i class="fa fa-angle-right" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                    <div class="clearfix">
                                        <div id="thumbcarousel" class="carousel thumbcarousel slide" data-interval="false">
                                            <div class="carousel-inner">
                                                <?php foreach ($image_chunk as $key => $image) {?>
                                                    <div class="carousel-item <?=$key<1?" active":''?>">
                                                        <?php foreach ($image as $path) {?>
                                                            <div data-target="#carousel" data-slide-to="<?= $key + 1?>" class="thumb">

                                                            <?php   if (preg_match('#^(https?://|www\.)#i', $path->path) === 1){ ?>
                                                                <?= Html::img(Yii::getAlias($path->path.'.'.$path->extension),['class' => ''])?>
                                                            <?php }else{ ?>
                                                                <?= Html::img($path->getImageFullPath())?>
                                                            <?php } ?>


                                                                
                                                            </div>
                                                        <?php }?>
                                                    </div>
                                                <?php }?>
                                            </div>
                                            <a class="carousel-control-prev" href="#thumbcarousel" role="button" data-slide="prev">
                                                <i class="fa fa-angle-left" aria-hidden="true"></i>
                                            </a>
                                            <a class="carousel-control-next" href="#thumbcarousel" role="button" data-slide="next">
                                                <i class="fa fa-angle-right" aria-hidden="true"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 pl-lg-0">
                                <div class="product-gallery-data mb-0 px-4 py-5">
                                    <div class="item-det mb-4">
                                        <a href="#" class="text-dark"><h3 ><?= $vehicle_title->title?></h3></a>
                                    </div>
                                    <div class="mb-4">
                                        <p><?= $model->other_information?></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="pt-4 pb-4 pl-5 pr-5 border-top border-top">
                        <div class="list-id">
                            <div class="row">
                                <div class="col">
                                    <a class="mb-0"><?= Yii::t('auto','Classified ID : #8256358')?></a>
                                </div>
                                <div class="col col-auto">
                                    <?= Yii::t('auto','Posted By :-')?> <a class="mb-0 font-weight-bold"><?= $user->name?></a> / <?= Yii::$app->formatter->asDate($model->created_at)?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-footer">
                        <div class="icons">
                        </div>
                    </div>
                </div>
                <div class="">
                    <div class="">
                        <div class="border-0">
                            <div class="wideget-user-tab wideget-user-tab3">
                                <div class="tab-menu-heading">
                                    <div class="tabs-menu1">
                                        <ul class="nav mb-4">
                                            <li class=""><a href="#tab-1" class="active" data-toggle="tab"><?= Yii::t('auto','Specs')?></a></li>
                                            <li><a href="#tab-3" data-toggle="tab" class=""><?= Yii::t('auto','Equipments')?></a></li>
                                            <li><a href="#tab-4" data-toggle="tab" class=""><?= Yii::t('auto','Remarks')?></a></li>
                                            <li><a href="#tab-5" data-toggle="tab" class=""><?= Yii::t('auto','Inspection report')?></a></li>
                                            <li><a href="#tab-6" data-toggle="tab" class=""><?= Yii::t('auto','Carseer report')?></a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="tab-content border br-tr-3 br-bl-3 br-br-3 p-5 bg-white mb-4">
                                <div class="tab-pane active" id="tab-1">
                                    <h3 class="card-title mb-3 font-weight-semibold"><?= Yii::t('auto','Overview')?></h3>
                                    <div class="mb-4">
                                        <p><?= $model->other_information?></p>
                                    </div>
                                    <h4 class="mb-4"><?= Yii::t('auto','Specifications')?></h4>
                                    <div class="row">
                                        <div class="col-xl-12 col-md-12">
                                            <div class="table-responsive">
                                                <table class="table table-bordered w-100 m-0 text-nowrap ">
                                                    <tbody>
                                                    <tr>
                                                        <td><span class="font-weight-bold"><?= Yii::t('auto','Car Brand :')?></span> <?= $model->getData('manufacturer_id')?></td>
                                                        <td><span class="font-weight-bold"><?= Yii::t('auto','Car Model :')?></span> <?= $model->getData('manufacturer_model_id')?></td>
                                                    </tr>
                                                    <tr>
                                                        <td><span class="font-weight-bold"><?= Yii::t('auto','Model Year :')?></span> <?= $model->model_year?></td>
                                                        <td><span class="font-weight-bold"><?= Yii::t('auto','Transmission :')?></span> <?=  $model->getData('transmission_id')?></td>
                                                    </tr>
                                                    <tr>
                                                        <td><span class="font-weight-bold"><?= Yii::t('auto','Power :')?></span> <?= $model->power?></td>
                                                        <td><span class="font-weight-bold"><?= Yii::t('auto','Capacity :')?></span> <?= $model->capacity?></td>
                                                    </tr>
                                                    <tr>
                                                        <td><span class="font-weight-bold"><?= Yii::t('auto','Body Type :')?></span> <?= $model->getData('body_type_id')?></td>
                                                        <td><span class="font-weight-bold"><?= Yii::t('auto','Drive :')?></span> <?= $model->getData('drive_id') ?></td>
                                                    </tr>
                                                    <tr>
                                                        <td><span class="font-weight-bold"><?= Yii::t('auto','Engine :')?></span> <?= $model->getData('engine_id')?> </td>
                                                        <td><span class="font-weight-bold"><?= Yii::t('auto','Cylinders :')?></span> <?= $model->getData('cylinders_id')?></td>
                                                    </tr>
                                                    <tr>
                                                        <td><span class="font-weight-bold"><?= Yii::t('auto','Exterior Color :')?></span> <?= $model->getData('color_id') ?> </td>
                                                        <td><span class="font-weight-bold"><?= Yii::t('auto','Interior Color :')?></span> <?= $model->getData('interior_color_id') ?></td>
                                                    </tr>
                                                    <tr>
                                                        <td><span class="font-weight-bold"><?= Yii::t('auto','Odometer (KM) :')?></span> <?= $model->odometer_km?> </td>
                                                        <?php if ($model->odometer_mile == null){ ?>
                                                            <td><span class="font-weight-bold"><?= Yii::t('auto','Odometer (Mile) :')?></span>
                                                                <?= Yii::t('auto','Not Found')?>
                                                            </td>
                                                        <?php }else{?>
                                                            <td><span class="font-weight-bold"><?= Yii::t('auto','Odometer (Mile) :')?></span>
                                                                <?= $model->odometer_mile?>
                                                            </td>
                                                        <?php }?>

                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane remark-table-section" id="tab-3">
                                    <div class="row">
                                        <?php foreach ($equipment as $equip) {?>
                                            <div class="col-md-6">
                                                <div class="table-responsive">
                                                    <table class="table table-bordered border-top border-bottom mb-2">
                                                        <tbody>
                                                        <tr>
                                                            <td class="remark-td1-border-<?= Yii::$app->params['direction']?>">
                                                                <?= $equip->getData('equipment_id')?>
                                                            </td>
                                                            <td class="text-right remark-td2-border-<?= Yii::$app->params['direction']?>">
                                                                <i class="icon icon-check text-blue success-<?= Yii::$app->params['direction']?>"></i>
                                                            </td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        <?php }?>
                                    </div>
                                </div>
                                <div class="tab-pane remark-table-section" id="tab-4">
                                    <div class="row">
                                        <?php foreach ($remark as $item) { ?>
                                            <div class="col-lg-6">
                                                <div class="table-responsive">
                                                    <table class="table table-bordered border-top border-bottom mb-2">
                                                        <tbody>
                                                        <tr>
                                                            <td class="remark-td1-border-<?= Yii::$app->params['direction']?>">
                                                                <?= $item->getData('remark_id')?>
                                                            </td>
                                                            <td class="text-right remark-td2-border-<?= Yii::$app->params['direction']?>"">
                                                                <i class="icon icon-check text-blue success-<?= Yii::$app->params['direction']?>"></i>
                                                            </td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        <?php }?>
                                    </div>
                                </div>
                                
                                <div class="tab-pane tab-pane remark-table-section" id="tab-5">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="table-responsive"> 
                                                <?php if (isset($attachment->path)){  ?>
                                                    <?php   if (preg_match('#^(https?://|www\.)#i', $attachment->path) === 1){ ?> 
                                                        <iframe src="<?= Yii::getAlias($attachment->path.'.'.$attachment->extension);?>" width="100%" height="500" class="border-0"></iframe>
                                                    <?php }else{ ?>
                                                        <iframe src="<?= Yii::getAlias('@web/uploads/attachment/'.$attachment->path)?>" width="100%" height="500" class="border-0"></iframe> 
                                                    <?php } ?>
                                                <?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="tab-pane tab-pane remark-table-section" id="tab-6">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="table-responsive">
                                                <iframe src="<?= Yii::getAlias($model->carseer_url)?>" width="100%" height="500" class="border-0"></iframe>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?= common\widgets\RelatedPostWidget::widget()?>
    </div>
</section>
<!--listing-->