<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap4\ActiveForm */
/* @var $model \frontend\models\ContactForm */

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>

<!--Breadcrumb-->
<div>
    <div class="bannerimg cover-image bg-background3" data-image-src="<?= Yii::getAlias('@web/images/banners/banner2.jpg')?>">
        <div class="header-text mb-0">
            <div class="container">
                <div class="text-center text-white ">
                    <h1 class=""><?= Yii::t('auto','Contact Us')?></h1>
                    <ol class="breadcrumb text-center">
                        <li class="breadcrumb-item"><a href="/"><?= Yii::t('auto','Home')?></a></li>
                        <li class="breadcrumb-item active text-white" aria-current="page"><?= Yii::t('auto','Contact')?></li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
</div>
<!--/Breadcrumb-->

<!--Contact-->
<div class="sptb bg-white mb-0">
    <div class="container">
        <div class="row">
            <div class="col-lg-12 col-xl-12 col-md-12">
                <div class="single-page" >
                    <div class="col-lg-12 col-md-12 mx-auto d-block">
                        <div class="wrapper wrapper2">
                            <div class="card box-shadow-0 mb-0">
                                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>
                                <div class="card-body">
                                    <div class="form-group">
                                        <?= $form->field($model, 'username')->textInput(['class' => 'form-control'])->label(Yii::t('auto','Your Name')) ?>
                                    </div>
                                    <div class="form-group">
                                        <?= $form->field($model, 'useremail')->textInput(['class' => 'from-control'])->label(Yii::t('auto','Your Email')) ?>
                                    </div>
                                    <div class="form-group">
                                        <?= $form->field($model, 'subject')->textInput(['class' => 'form-control'])->label(Yii::t('auto','Subject')) ?>
                                    </div>
                                    <div class="form-group">
                                        <?= $form->field($model, 'body')->textarea(['rows' => 6,'class' => 'form-control'])->label(Yii::t('auto','Message')) ?>
                                    </div>
                                    <!-- <div class="form-group">
                                        <? //= $form->field($model, 'reCaptcha', [])->widget(\himiklab\yii2\recaptcha\ReCaptcha::className())->label(''); ?>

                                    </div> -->
                                    <?= Html::submitButton('Send Message', ['class' => 'btn btn-primary',
                                        'name' => 'contact-button']) ?>
                                </div>
                                <?php ActiveForm::end(); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!--Contact-->
