<?php



/* @var $model \common\models\User*/

/* @var $vehicle \common\models\Vehicle*/

/* @var $dataProvider \yii\data\ActiveDataProvider*/



use common\models\Vehicle;

use yii\helpers\Html;

use yii\widgets\ListView;

use common\models\VehicleImages;



$this->title = $model->name;

$image = VehicleImages::findOne(['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE, 'is_default' => 1]);
if(empty($image)){
    $image = VehicleImages::findOne(['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE]);
}
$vehicle = Vehicle::find()->where(['user_id' => $model->id])->all();



$vehicle_title = \common\models\VehicleLang::findOne(['parent_id' => $model->id,'language' => Yii::$app->params['short_language']]);



?>



<!--Breadcrumb-->

<section>

    <div class="bannerimg cover-image bg-background3" data-image-src="../assets/images/banners/banner2.jpg">

        <div class="header-text mb-0">

            <div class="container">

                <div class="text-center text-white ">

                    <h1 class=""><?= Yii::t('auto','Dealer Profile')?></h1>

                    <ol class="breadcrumb text-center">

                        <li class="breadcrumb-item"><a href="/"><?= Yii::t('auto','Home')?></a></li>

                        <li class="breadcrumb-item"><a href="#"><?= Yii::t('auto','Pages')?></a></li>

                        <li class="breadcrumb-item active text-white" aria-current="page"><?= Yii::t('auto','Dealer-Profile')?> </li>

                    </ol>

                </div>

            </div>

        </div>

    </div>

</section>

<!--/Breadcrumb-->



<!--User Profile-->

<section class="sptb dealer-profile-page">

    <div class="container">

        <div class="row">

            <div class="col-lg-12">



                <div class="card mb-0">

                    <div class="card-body">

                        <div class="border-0">

                            <div class="tab-content">

                                <div class="tab-pane active" id="tab-5">

                                    <div class="wideget-user-desc text-center">

                                        <div class="widget-user-img dealer-profile">

                                            <?php if ($model->profile_image) {?>

                                                <?= Html::img(Yii::getAlias('@web/uploads/profile/'.$model->profile_image),['class' => 'img-thumbnail'])?>

                                            <?php }else{?>

                                                <?= Html::img(Yii::getAlias('@web/images/car/default.jpg'),['class' => 'img-thumbnail','height' => 100])?>

                                            <?php }?>

                                        </div>

                                    </div>

                                    <div class="profile-log-switch">

                                        <div class="media-heading">

                                            <h2 class="card-title mb-3 font-weight-bold"><?= \common\models\Users::personalLabel()?></h2>

                                        </div>

                                        <ul class="usertab-list usertab-list-arabic mb-0 clearfix">
                                            <li>
                                                <a href="#" class="text-dark">
                                                    <span class="font-weight-semibold"><?=  $model->getAttributeLabel('name')?> : </span>
                                                    <?= $model->name?>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="#" class="text-dark">
                                                    <span class="font-weight-semibold"><?= Yii::t('auto','Email :')?> </span>
                                                    <?= $model->email?>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="#" class="text-dark">
                                                    <span class="font-weight-semibold"><?= Yii::t('auto','Phone No :')?> </span>
                                                    <?= $model->phone?>
                                                </a>
                                            </li>
                                        </ul>

                                        <!-- <div class="row">

                                            <div class="col-md-3">

                                                <h4>

                                                    <a href="#" class="text-dark font-weight-normal">

                                                        <div class="row">

                                                            <div class="col-6"><span class="font-weight-normal"><?=  $model->getAttributeLabel('name')?> : </span></div>

                                                            <div class="col-6"><?= $model->name?></div>

                                                        </div>

                                                    </a>

                                                </h4>

                                            </div>

                                            <div class="col-md-6">

                                                <h4>

                                                    <a href="#" class="text-dark font-weight-normal">

                                                        <div class="row">

                                                            <div class="col-2"><span class="font-weight-normal"><?= Yii::t('auto','Email :')?> </span></div>

                                                            <div class="col-9"><?= $model->email?></div>

                                                        </div>

                                                    </a>

                                                </h4>

                                            </div>

                                        </div>

                                        <div class="row">

                                            <div class="col-md-3">

                                                <h4>

                                                    <a href="#" class="text-dark font-weight-normal">

                                                        <div class="row">

                                                            <div class="col-6"><span class="font-weight-normal"><?= Yii::t('auto','Phone No :')?> </span></div>

                                                            <div class="col-6"><?= $model->phone?></div>

                                                        </div>

                                                    </a>

                                                </h4>

                                            </div>

                                            <div class="col-md-4">



                                            </div>

                                        </div> -->



                                        <div class="row profie-img">

                                            <div class="col-md-12">

                                                <div class="media-heading">

                                                    <h3 class="card-title mb-3 font-weight-bold"><?= Yii::t('auto','About Dealer')?> </h3>

                                                </div>

                                                <p class="mb-0"><?= $model->about_me?></p>

                                            </div>

                                        </div>

                                    </div>

                                </div>

                            </div>

                        </div>

                    </div>

                </div>

            </div>

        </div>

        <h3 class="mb-5 mt-5"><?= Yii::t('auto','Cars Related to this Owner')?></h3>



        <div class="row">

            <?= ListView::widget([

                'dataProvider' => $dataProvider,
                'emptyText' => Yii::t('auto', 'No results found.'),


                'itemView' => '_dealer_listing',

                'itemOptions' => [

                    'class' => 'col-lg-4 col-md-4 col-sm-12',

                ],

                'options' => [

                    'tag' => false,

                ],

                'summary' => false,

            ])?>

        </div>

    </div>

</section>

<!--/User Profile-->

