<?php

/* @var $this yii\web\View */
use yii\helpers\Html;
use yii\widgets\ListView;

/* @var $dataProvider \yii\data\ActiveDataProvider*/

$this->title = Yii::t('auto', 'My Listing Page');
?>

<!--Breadcrumbs Section-->
<div class="biding-breadcrumbs">
    <div class="bannerimg cover-image bg-background3" data-image-src="<?= Yii::getAlias('@web/images/banners/banner2.jpg')?>">
        <div class="header-text mb-0">
            <div class="container">
                <div class="text-center text-white ">
                    <h2 class=""><?= Yii::t('auto','My Favourite Listing')?></h2>
                    <ol class="breadcrumb text-center">
                        <li class="breadcrumb-item"><a href="/"><?= Yii::t('auto','Home')?></a></li>
                        <li class="breadcrumb-item active text-white" aria-current="page"><?= Yii::t('auto','Favourite Listing')?></li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
</div>
<!--Breadcrumbs Section-->

<div class="container mt-5 pt-2 biding-item-section">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="item2-gl ">
                        <div class="tab-content">
                            <div class="tab-pane active" id="tab-11">
                                <?= ListView::widget([
                                    'dataProvider' => $dataProvider,
                                    'emptyText' => Yii::t('auto', 'No results found.'),
                                    'itemView' => '_favourite_listing_inner',
                                    'options' => [
                                        'tag' => false,
                                    ],
                                    'summary' => false,
                                ])?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$add_to_favourite = \yii\helpers\Url::to(['site/favourite']);

if (!Yii::$app->user->isGuest) {
    $user_id = Yii::$app->user->identity->id;
    $js = <<< JS
$('.add-to-fav').click(function (){
    var car_id_string = $(this).attr('id');
    var car_id =  car_id_string.replace("cart-", "");
    $.ajax({method:"POST",url: "$add_to_favourite", data: { user_id : "$user_id",vehicle_id : car_id},
     success: function(result){
        if (result == true){
            location.reload()
           $("#cart-"+car_id).addClass('active');
        }
        else{
           $("#cart-"+car_id).removeClass('active');
        }
  }});
})
JS;
    $this->registerJs($js);
}
?>