<?php

use yii\helpers\Html;
use common\models\VehicleImages;
use common\models\FavoriteVehicle;

/* @var $model \common\models\Vehicle*/
$image = VehicleImages::findOne(['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE, 'is_default' => 1]);
if(empty($image)){
    $image = VehicleImages::findOne(['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE]);
}
$engine = common\models\DropdownListLang::findOne(['parent_id' => $model->engine_id,'language' => Yii::$app->params['short_language']]);
$transmission = common\models\DropdownListLang::findOne(['parent_id' => $model->transmission_id, 'language' => Yii::$app->params['short_language']]);

$vehicle_title = \common\models\VehicleLang::findOne(['parent_id' => $model->id,'language' => Yii::$app->params['short_language']]);

if (!Yii::$app->user->isGuest) {
    $fav = $model->getFavourite(Yii::$app->user->identity->id, $model->id);
}

?>
    <div class=" mb-0">
        <div class="">
            <div class="item2-gl ">
                <div class="tab-content">
                    <div class="tab-pane active" id="tab-11">
                        <div class="card overflow-hidden">
                            <div class="d-md-flex">
                                <div class="item-card9-img">
                                    <?php if ($model->sell_as == \common\models\Vehicle::FAST) {?>
                                    <div class="arrow-ribbon bg-primary "><?= ($model->isAuctionExpired()) ?  Yii::t('auto', \common\models\Vehicle::VEHICLE_FINISHED) : Yii::t('auto', \common\models\Vehicle::VEHICLE_LIVE)?></div>
                                    <?php }?>
                                    <div class="item-card9-imgs image-responsive">
                                        <a class="link" href="<?= \yii\helpers\Url::toRoute(['site/car-detail','slug' => $model->slug])?>"></a>
                                        <?php if ($image) {?>

                                            <?= Html::img( Yii::getAlias('@web/uploads/car-listing/'.$image->path),['class' => 'cover-image', 'alt' => 'No Image Found'])?>
                                        <?php }else{?>
                                            <?= Html::img( Yii::getAlias('@web/images/car/default.jpg'),['class' => 'cover-image', 'alt' => 'No Image Found'])?>
                                        <?php }?>
                                    </div>

                                    <?php if (!Yii::$app->user->isGuest) {?>
                                    <div class="item-card9-icons">
                                        <a href="javascript:void(0);" id="cart-<?= $model->id?>" class="item-card9-icons1 wishlist add-to-fav
<?php if ($fav == true) {echo 'active';}else{echo '';}?>"> <i class="fa fa fa-heart-o"></i></a>
                                    </div>
                                    <?php }?>

                                    <?php if ($model->sell_as == \common\models\Vehicle::ROUND) {?>
                                    <div class="item-overly-trans">
                                        <span>
                                            <a class="bg-success">
                                                <?= Yii::t('auto','360&deg;') ?>
                                            </a>
                                        </span>
                                    </div>
                                    <?php }?>

                                </div>
                                <div class="card border-0 mb-0">
                                    <div class="card-body ">
                                        <div class="item-card9">
                                            <a href="<?= \yii\helpers\Url::toRoute(['site/car-detail','slug'=> $model->slug])?>" class="text-dark">
                                                <h4 class="font-weight-semibold mt-1 mb-4"> <?= $vehicle_title->title?></h4>
                                            </a>
                                            <div class="item-card9-desc mb-2">
                                                <div class="row">
                                                    <div class="col-lg-6 col-md-12 col-12">
                                                        <div class="item-card-info">
                                                            <a href="<?= \yii\helpers\Url::toRoute(['site/car-detail','slug' => $model->slug])?>" class="mr-4 item-card-info-detail"><?= Yii::t('auto','Car Name:')?> <span> <?= $model->getData('manufacturer_id')?></span></a>
                                                            <a href="<?= \yii\helpers\Url::toRoute(['site/car-detail','slug' => $model->slug])?>" class="mr-4 item-card-info-detail"><?= Yii::t('auto','Year:')?> <span> <?= $model->model_year?></span></a>
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-6 col-md-12 col-12">
                                                        <div class="item-card9-cost">
                                                            <h4 class="text-dark font-weight-bold my-1"><?= $model->price?> <?= Yii::t('auto','JOD')?></h4>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
<!--                                    <div class="card-footer p-2">-->
<!--                                        <div class="item-card9-footer d-sm-flex">-->
<!---->
<!--                                            <div class="ml-0">-->
<!--                                                <div class="expired-time bg-transparent text-success p-2 mt-0 text-center">-->
<!--                                                    Expired: <span class="hour"></span>-->
<!--                                                </div>-->
<!--                                            </div>-->
<!--                                        </div>-->
<!--                                    </div>-->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>