<?php


    use yii\helpers\Html;

    use yii\widgets\ActiveForm;

    use common\models\Vehicle;

    use common\models\VehicleImages;

    use yii\widgets\ListView;


    /* @var $this \yii\web\View */

    /* @var $form ActiveForm */

    /* @var $searchModel \common\models\VehicleSearch */

    /* @var $list \common\models\DropdownListLang */

    /* @var $dataProvider \yii\data\ActiveDataProvider */


    $this->title = Yii::t('auto', 'Search Page');


    $models = Vehicle::find()->where(['is_featured' => Vehicle::IS_FEATURED, 'approved_at' => Vehicle::PUBLISHED])->all(
    );


    $selected_manufacturer = explode('-', Yii::$app->request->get('manufacturer_id'));

    $selected_manufacturer_model = explode('-', Yii::$app->request->get('manufacturer_model_id'));

    $selected_body_type = explode('-', Yii::$app->request->get('body_type_id'));

    $selected_model_year = explode('-', Yii::$app->request->get('model_year'));

    $selected_engine = explode('-', Yii::$app->request->get('engine_id'));

    $selected_transmission = explode('-', Yii::$app->request->get('transmission_id'));

    $selected_exterior_color = explode('-', Yii::$app->request->get('color_id'));

    $selected_interior_color = explode('-', Yii::$app->request->get('interior_color_id'));

    $selected_cylinder = explode('-', Yii::$app->request->get('cylinders_id'));

    $selected_drive = explode('-', Yii::$app->request->get('drive_id'));

    $selected_price_from = explode('-', Yii::$app->request->get('price_from'));

    $selected_price_to = explode('-', Yii::$app->request->get('price_to'));

    $selected_distance_from = explode('-', Yii::$app->request->get('distance_km_from'));

    $selected_distance_to = explode('-', Yii::$app->request->get('distance_km_to'));

    $selected_distance_mile_from = explode('-', Yii::$app->request->get('distance_mile_from'));

    $selected_distance_mile_to = explode('-', Yii::$app->request->get('distance_mile_to'));

    $selected_equipment = explode('-', Yii::$app->request->get('equipment'));

    $sort_by = Yii::$app->request->get('sort');


    function isMobileDevice()
    {
        return preg_match(
            "/(android|avantgo|blackberry|bolt|boost|cricket|docomo

|fone|hiptop|mini|mobi|palm|phone|pie|tablet|up\.browser|up\.link|webos|wos)/i"

            ,
            $_SERVER["HTTP_USER_AGENT"]
        );
    }

?>

<?php
    if (Yii::$app->language == 'ar-AR') {
        ?>

        <style>

            .select2-container--krajee .select2-selection--multiple .select2-search--inline .select2-search__field {

                padding: 6px 44px !important;

            }

            .select2-results__options li, .select2-selection__choice {

                direction: rtl;

            }

        </style>

        <?php
    } ?>


<div class="bannerimg cover-image bg-background3"
     data-image-src="<?= Yii::getAlias('@web/uploads/images/banners/banner2.jpg') ?>">

    <div class="header-text mb-0">

        <div class="feature-container container">
            <!-- Start title text here -->
            <div class="text-center text-white details-form-title">

                <?php
                    switch (Yii::$app->request->get('car_type')) {
                        case Vehicle::ROUND:
                            $searchTitleForTopBar = Yii::t('auto', 'OtO 360&deg; ads');
                            break;
                        case Vehicle::FAST:
                            $searchTitleForTopBar = Yii::t('auto', 'Auction ads');
                            break;
                        case Vehicle::FREE:
                            $searchTitleForTopBar = Yii::t('auto', 'Free ads list');
                            break;
                        default:
                            $searchTitleForTopBar = Yii::t('auto', '');
                    }

                    $text = str_replace("(°OtO 360)", "", $searchTitleForTopBar);
                ?>
                <h1 class=""><?= $text ?></h1>
            </div>
            <!-- End title text here -->
            <div id="small-categories" class="owl-carousel owl-featured-carousel feature-car-section">


                <?php
                    foreach ($models as $model) { ?>

                        <?php
                        $image = VehicleImages::findOne(
                            ['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE, 'is_default' => 1]
                        );
                        if (empty($image)) {
                            $image = VehicleImages::findOne(
                                ['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE]
                            );
                        }

                        ?>

                        <div class="item">

                            <div class="card mb-0">

                                <div class="card-body">

                                    <div class="cat-item text-center">

                                        <a href="<?= \yii\helpers\Url::toRoute(
                                            ['site/cardetail', 'slug' => $model->slug]
                                        ) ?>"></a>

                                        <div class="search-car-images">

                                            <span class="badge"><?= $model->model_year ?></span>

                                            <?php
                                                if ($image) {
                                                    if (preg_match('#^(https?://|www\.)#i', $image->path) === 1) {
                                                        ?>

                                                        <?= Html::img(
                                                            Yii::getAlias($image->path . '.' . $image->extension),
                                                            [
                                                                'class' => 'cover-image lazy-load',
                                                                'alt' => 'Image Not Found'
                                                            ]
                                                        ) ?>

                                                    <?php
                                                    } else {
                                                        ?>

                                                        <?= Html::img(
                                                            $image->getImageFullPath(),
                                                            [
                                                                'class' => 'cover-image lazy-load',
                                                                'alt' => 'Image Not Found'
                                                            ]
                                                        ) ?>

                                                    <?php
                                                    } ?>

                                                <?php
                                                } else { ?>

                                                    <?= Html::img(
                                                        Yii::getAlias('@web/images/car/default.jpg'),
                                                        ['alt' => 'No Image Found']
                                                    ) ?>

                                                <?php
                                                } ?>

                                        </div>

                                        <div class="cat-desc mt-2">

                                            <ul>

                                                <li>

                                                    <div class="model-name">

                                                        <h6><?= $model->title ?></h6>

                                                        <p class="m-0"><?= $model->price ?> <?= Yii::t(
                                                                'auto',
                                                                'JOD'
                                                            ) ?></p>

                                                    </div>

                                                    <span>

                                                    <button type="button"
                                                            class="btn btn-primary btn-lg br-tr-3  br-br-3"><?= Yii::t(
                                                            'auto',
                                                            'View Details'
                                                        ) ?></button>

                                                </span>

                                                </li>

                                            </ul>

                                        </div>

                                    </div>

                                </div>

                            </div>

                        </div>


                    <?php
                    } ?>

            </div>

        </div>

    </div>

</div>


<!--listing-->

<section class="sptb">

    <div class="container">


        <div class="responsive-filter-part filter-listing">

            <div class="grid sticky">

                <div class="row">

                    <div class="col-md-3 col-sm-3 col-3">

                        <div class="ripple-container " style="overflow: visible;">


                            <!-- <button class="btn default    btn primary flat results-btn" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">

                                <?= Html::img(Yii::getAlias('@web/images/icons/sort.png'), ['class' => 'sort-icon-size']
                            ) ?>

                                SORT</button> -->
                            <div class="dropdown">

                                <button class="btn default    btn primary flat results-btn" type="button"
                                        id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true"
                                        aria-expanded="false">
                                    <?= Html::img(
                                        Yii::getAlias('@web/images/icons/sort.png'),
                                        ['class' => 'sort-icon-size']
                                    ) ?>
                                    <span class="sort-span" style="padding-right: 5px;"><?= Yii::t(
                                            'auto',
                                            'Sort'
                                        ) ?>:</span><span class="selected_filter_label"></span>

                                </button>

                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">

                                    <div class="sorting-list-div">

                                        <?= Html::a(
                                            Yii::t('auto', 'Latest First'),
                                            'javascript:void(0)',
                                            [
                                                'class' => $sort_by == '-id' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                'data-value' => '-id'
                                            ]
                                        ) ?>

                                    </div>


                                    <div class="sorting-list-div">

                                        <?= Html::a(
                                            Yii::t('auto', 'Price Ascending'),
                                            'javascript:void(0)',
                                            [
                                                'class' => $sort_by == 'price' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                'data-value' => 'price'
                                            ]
                                        ) ?>

                                    </div>


                                    <div class="sorting-list-div">

                                        <?= Html::a(
                                            Yii::t('auto', 'Price Descending'),
                                            'javascript:void(0)',
                                            [
                                                'class' => $sort_by == '-price' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                'data-value' => '-price'
                                            ]
                                        ) ?>

                                    </div>


                                    <div class="sorting-list-div">

                                        <?= Html::a(
                                            Yii::t('auto', 'Minimum KM Driven'),
                                            'javascript:void(0)',
                                            [
                                                'class' => $sort_by == 'odometer_km' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                'data-value' => 'odometer_km'
                                            ]
                                        ) ?>

                                    </div>


                                    <div class="sorting-list-div">

                                        <?= Html::a(
                                            Yii::t('auto', 'Maximum KM Driven'),
                                            'javascript:void(0)',
                                            [
                                                'class' => $sort_by == '-odometer_km' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                'data-value' => '-odometer_km'
                                            ]
                                        ) ?>

                                    </div>


                                    <div class="sorting-list-div">

                                        <?= Html::a(
                                            Yii::t('auto', 'Minimum Mile Driven'),
                                            'javascript:void(0)',
                                            [
                                                'class' => $sort_by == 'odometer_mile' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                'data-value' => 'odometer_mile'
                                            ]
                                        ) ?>

                                    </div>


                                    <div class="sorting-list-div">

                                        <?= Html::a(
                                            Yii::t('auto', 'Maximum Mile Driven'),
                                            'javascript:void(0)',
                                            [
                                                'class' => $sort_by == '-odometer_mile' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                'data-value' => '-odometer_mile'
                                            ]
                                        ) ?>

                                    </div>


                                    <div class="sorting-list-div">

                                        <?= Html::a(
                                            Yii::t('auto', 'Minimum Power'),
                                            'javascript:void(0)',
                                            [
                                                'class' => $sort_by == 'power' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                'data-value' => 'power'
                                            ]
                                        ) ?>

                                    </div>


                                    <div class="sorting-list-div">

                                        <?= Html::a(
                                            Yii::t('auto', 'Maximum Power'),
                                            'javascript:void(0)',
                                            [
                                                'class' => $sort_by == '-power' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                'data-value' => '-power'
                                            ]
                                        ) ?>

                                    </div>


                                    <div class="sorting-list-div">

                                        <?= Html::a(
                                            Yii::t('auto', 'Oldest Model'),
                                            'javascript:void(0)',
                                            [
                                                'class' => $sort_by == 'model_year' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                'data-value' => 'model_year'
                                            ]
                                        ) ?>

                                    </div>


                                    <div class="sorting-list-div">

                                        <?= Html::a(
                                            Yii::t('auto', 'Latest Model'),
                                            'javascript:void(0)',
                                            [
                                                'class' => $sort_by == '-model_year' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                'data-value' => '-model_year'
                                            ]
                                        ) ?>

                                    </div>


                                </div>

                            </div>

                            <div class="ripple"></div>

                        </div>

                    </div>

                    <div class="col-md-4 col-sm-4 col-4">


                        <div class="ripple-container">

                            <button class="md-trigger btn default btn primary flat results-btn" id=""
                                    data-modal="modal-12">

                                <?= Html::img(
                                    Yii::getAlias('@web/images/icons/filter.png'),
                                    ['class' => 'filter-icon-size']
                                ) ?>

                                <?= Yii::t('auto', 'Filter') ?></button>

                            <div class="ripple"></div>

                        </div>

                    </div>

                    <div class="col-md-5 col-sm-5 col-5">


                        <div class="ripple-container">
                            <?php
                                if (!in_array(
                                    Yii::$app->controller->id . "/" . Yii::$app->controller->action->id,
                                    Yii::$app->params['disableAddCarButtonForRoutes']
                                )): ?>
                                    <button class="btn default btn primary flat"
                                            onclick="window.location.href='<?= \yii\helpers\Url::to(
                                                '/site/sell-your-car'
                                            ) ?>'" id="" data-modal="modal-12">

                                        <?= Html::img(
                                            Yii::getAlias('@web/images/icons/plus.png'),
                                            ['class' => 'filter-icon-size']
                                        ) ?>

                                        <?= Yii::t('auto', 'Add Car'); ?>
                                    </button>


                                    <div class="ripple"></div>
                                <?php
                                endif; ?>

                        </div>

                    </div>

                </div>

            </div>


            <div class="filter-listing-section md-modal md-effect-12">

                <div class="row">

                    <div class="col-xl-4 col-lg-4 col-md-12 filter-desktop-none">

                        <?php
                            if (isMobileDevice()) { ?>

                                <div class="card full_width md-content">

                                    <?php

                                        $keyword = !empty(Yii::$app->request->get('keyword')) ? Yii::$app->request->get(
                                            'keyword'
                                        ) : "";

                                        $form = Html::beginForm(['test'],
                                            'get',
                                            ['options' => ['class' => 'full_width']]);

                                    ?>

                                    <div class="px-4 py-3 border-bottom">

                                        <h4 class="mb-0"><?= Yii::t('auto', 'Filter') ?></h4>


                                    </div>

                                    <div class="px-4 py-3 border-bottom ">

                                        <?= Html::a(
                                            Yii::t('auto', 'Reset'),
                                            \yii\helpers\Url::toRoute(['site/search?keyword=&car_type=' . Vehicle::FREE]
                                            ),
                                            ['class' => 'btn btn-primary']
                                        ) ?>

                                    </div>


                                    <div class="card-body full_width">

                                        <div class="full_width mb-5">

                                            <div class="form-group">

                                                <?= Html::input(
                                                    'text',
                                                    'keyword',
                                                    $keyword,
                                                    $options = [
                                                        'class' => 'form-control selected-filter',
                                                        'id' => 'keyword',
                                                        'name' => 'filter_manufacturer',
                                                        'style' => '',
                                                        'placeholder' => Yii::t('auto', 'Search by title')
                                                    ]
                                                ) ?>

                                            </div>

                                        </div>

                                        <div class="full_width mb-5">

                                            <?php

                                                $format = <<< SCRIPT

function format(state) {

    if (!state.id) return state.text; // optgroup



    return state.text;

}

SCRIPT;

                                                $escape = new \yii\web\JsExpression("function(m) { return m; }");

                                                $this->registerJs($format, \yii\web\View::POS_HEAD);

                                            ?>

                                            <?php

                                                $url = \yii\helpers\Url::toRoute(['/site/lists']);

                                                echo \kartik\select2\Select2::widget([

                                                    'name' => 'filter_manufacturer',

                                                    'data' => $list->manufacture(),

                                                    'value' => $selected_manufacturer,

                                                    'options' => [

                                                        'placeholder' => Yii::t('auto', 'Select Manufacturer'),

                                                        'id' => 'manufacturer_id',

                                                        'multiple' => false,

                                                        'class' => 'selected-filter',

//                                                'onchange' => '

//                                                    $.post("'.$url.'?id="+$(this).val(), function( data ) {

//                    $("select#manufacturer_model_id").html( data );

//                });'

                                                    ],

                                                    'showToggleAll' => false,

                                                    'pluginOptions' => [

                                                        'templateResult' => new \yii\web\JsExpression('format'),

                                                        'templateSelection' => new \yii\web\JsExpression('format'),

                                                        'escapeMarkup' => $escape,

                                                        'allowClear' => false,

                                                    ]

                                                ]) ?>

                                        </div>

                                        <div class="full_width mb-5">

                                            <?= \kartik\depdrop\DepDrop::widget([

                                                'name' => 'filter_manufacturer_model',

                                                'type' => \kartik\depdrop\DepDrop::TYPE_SELECT2,

                                                'data' => ['' => ''], //$list->subManufacture(),

                                                'value' => $selected_manufacturer_model,

                                                'options' => [

                                                    'placeholder' => Yii::t('auto', 'Select Manufacturer Model'),

                                                    'id' => 'manufacturer_model_id',


                                                    'class' => 'selected-filter'

                                                ],

                                                //'showToggleAll' => false,

                                                'select2Options' => [
                                                    'pluginOptions' => [

                                                        'allowClear' => false,

                                                        'language' => [

                                                            'noResults' => new \yii\web\JsExpression(
                                                                "function () { return 'Please select manufacturer'; }"
                                                            ),

                                                        ],

                                                    ]
                                                ],

                                                'pluginOptions' => [

                                                    'depends' => ['manufacturer_id'],

                                                    'initialize' => true,

                                                    'url' => \yii\helpers\Url::to(['/site/get-manufacturer-model']),

                                                    'params' => []

                                                ]

                                            ]) ?>

                                        </div>

                                        <div class="full_width mb-5">

                                            <?php

                                                $format = <<< SCRIPT

function format(state) {

    if (!state.id) return state.text; // optgroup



    return state.text;

}

SCRIPT;

                                                $escape = new \yii\web\JsExpression("function(m) { return m; }");

                                                $this->registerJs($format, \yii\web\View::POS_HEAD);

                                            ?>

                                            <?= \kartik\select2\Select2::widget([

                                                'name' => 'filter_body_type_id',

                                                'data' => $list->bodyType(),

                                                'value' => $selected_body_type,

                                                'options' => [

                                                    'placeholder' => Yii::t('auto', 'Select Body Type'),

                                                    'id' => 'body_type_id',

                                                    'multiple' => false,

                                                    'class' => 'selected-filter'

                                                ],

                                                'showToggleAll' => false,

                                                'pluginOptions' => [

                                                    'templateResult' => new \yii\web\JsExpression('format'),

                                                    'templateSelection' => new \yii\web\JsExpression('format'),

                                                    'escapeMarkup' => $escape,

                                                    'allowClear' => false,

                                                ],

                                            ]) ?>

                                        </div>

                                        <div class="full_width mb-5">

                                            <?= \kartik\select2\Select2::widget([

                                                'name' => 'filter_model_year',

                                                'data' => range(1950, date('Y')),

                                                'value' => $selected_model_year,

                                                'options' => [

                                                    'placeholder' => Yii::t('auto', 'Model Year'),

                                                    'id' => 'model_year_id',

                                                    'multiple' => false,

                                                    'class' => 'selected-filter'

                                                ],

                                                'showToggleAll' => false,

                                                'pluginOptions' => [

                                                    'allowClear' => false,

                                                ],

                                            ]) ?>

                                        </div>

                                        <div class="full_width mb-5">

                                            <?php

                                                $format = <<< SCRIPT

function format(state) {

    if (!state.id) return state.text; // optgroup



    return state.text;

}

SCRIPT;

                                                $escape = new \yii\web\JsExpression("function(m) { return m; }");

                                                $this->registerJs($format, \yii\web\View::POS_HEAD);

                                            ?>

                                            <?= \kartik\select2\Select2::widget([

                                                'name' => 'filter_engine_id',

                                                'data' => $list->engine(),

                                                'value' => $selected_engine,

                                                'options' => [

                                                    'placeholder' => Yii::t('auto', 'Select Engine'),

                                                    'id' => 'engine_id',

                                                    'multiple' => false,

                                                    'class' => 'selected-filter'

                                                ],

                                                'showToggleAll' => false,

                                                'pluginOptions' => [

                                                    'templateResult' => new \yii\web\JsExpression('format'),

                                                    'templateSelection' => new \yii\web\JsExpression('format'),

                                                    'escapeMarkup' => $escape,

                                                    'allowClear' => false,

                                                ],

                                            ]) ?>


                                        </div>

                                        <div class="full_width mb-5">

                                            <?php

                                                $format = <<< SCRIPT

function format(state) {

    if (!state.id) return state.text; // optgroup



    return state.text;

}

SCRIPT;

                                                $escape = new \yii\web\JsExpression("function(m) { return m; }");

                                                $this->registerJs($format, \yii\web\View::POS_HEAD);

                                            ?>

                                            <?= \kartik\select2\Select2::widget([

                                                'name' => 'filter_transmission_id',

                                                'data' => $list->transmission(),

                                                'value' => $selected_transmission,

                                                'options' => [

                                                    'placeholder' => Yii::t('auto', 'Select Transmission'),

                                                    'id' => 'transmission_id',

                                                    'multiple' => false,

                                                    'class' => 'selected-filter'

                                                ],

                                                'showToggleAll' => false,

                                                'pluginOptions' => [

                                                    'templateResult' => new \yii\web\JsExpression('format'),

                                                    'templateSelection' => new \yii\web\JsExpression('format'),

                                                    'escapeMarkup' => $escape,

                                                    'allowClear' => true,

                                                ],

                                            ]) ?>


                                        </div>

                                        <div class="full_width mb-5">


                                            <?php

                                                $format = <<< SCRIPT

function format(state) {

    if (!state.id) return state.text; // optgroup



    return state.text;

}

SCRIPT;

                                                $escape = new \yii\web\JsExpression("function(m) { return m; }");

                                                $this->registerJs($format, \yii\web\View::POS_HEAD);

                                            ?>

                                            <?= \kartik\select2\Select2::widget([

                                                'name' => 'filter_color_id',

                                                'data' => $list->exteriorColor(),

                                                'value' => $selected_exterior_color,

                                                'options' => [

                                                    'placeholder' => Yii::t('auto', 'Select Exterior Color'),

                                                    'id' => 'exterior_color_id',

                                                    'multiple' => false,

                                                    'class' => 'selected-filter'

                                                ],

                                                'showToggleAll' => false,

                                                'pluginOptions' => [

                                                    'templateResult' => new \yii\web\JsExpression('format'),

                                                    'templateSelection' => new \yii\web\JsExpression('format'),

                                                    'escapeMarkup' => $escape,

                                                    'allowClear' => true,

                                                ],

                                            ]) ?>


                                        </div>

                                        <div class="full_width mb-5">

                                            <?php

                                                $format = <<< SCRIPT

function format(state) {

    if (!state.id) return state.text; // optgroup



    return state.text;

}

SCRIPT;

                                                $escape = new \yii\web\JsExpression("function(m) { return m; }");

                                                $this->registerJs($format, \yii\web\View::POS_HEAD);

                                            ?>

                                            <?= \kartik\select2\Select2::widget([

                                                'name' => 'filter_interior_color_id',

                                                'data' => $list->interiorColor(),

                                                'value' => $selected_interior_color,

                                                'options' => [

                                                    'placeholder' => Yii::t('auto', 'Select Interior Color'),

                                                    'id' => 'interior_color_id',

                                                    'multiple' => false,

                                                    'class' => 'selected-filter'

                                                ],

                                                'showToggleAll' => false,

                                                'pluginOptions' => [

                                                    'templateResult' => new \yii\web\JsExpression('format'),

                                                    'templateSelection' => new \yii\web\JsExpression('format'),

                                                    'escapeMarkup' => $escape,

                                                    'allowClear' => true,

                                                ],

                                            ]) ?>

                                        </div>

                                        <div class="full_width mb-5">

                                            <?= \kartik\select2\Select2::widget([

                                                'name' => 'filter_cylinders_id',

                                                'data' => $list->cylinder(),

                                                'value' => $selected_cylinder,

                                                'options' => [

                                                    'placeholder' => Yii::t('auto', 'Select Cylinders'),

                                                    'id' => 'cylinder_id',

                                                    'multiple' => false,

                                                    'class' => 'selected-filter'

                                                ],

                                                'showToggleAll' => false,

                                                'pluginOptions' => [

                                                    'allowClear' => true,

                                                ],

                                            ]) ?>

                                        </div>

                                        <div class="full_width mb-5">

                                            <?php

                                                $format = <<< SCRIPT

function format(state) {

    if (!state.id) return state.text; // optgroup



    return state.text;

}

SCRIPT;

                                                $escape = new \yii\web\JsExpression("function(m) { return m; }");

                                                $this->registerJs($format, \yii\web\View::POS_HEAD);

                                            ?>

                                            <?= \kartik\select2\Select2::widget([

                                                'name' => 'filter_drive_id',

                                                'data' => $list->drive(),

                                                'value' => $selected_drive,

                                                'options' => [

                                                    'placeholder' => Yii::t('auto', 'Select Drive'),

                                                    'id' => 'drive_id',

                                                    'multiple' => false,

                                                    'class' => 'selected-filter'

                                                ],

                                                'showToggleAll' => false,

                                                'pluginOptions' => [

                                                    'templateResult' => new \yii\web\JsExpression('format'),

                                                    'templateSelection' => new \yii\web\JsExpression('format'),

                                                    'escapeMarkup' => $escape,

                                                    'allowClear' => true,

                                                ],

                                            ]) ?>

                                        </div>


                                        <div class="full_width mb-5">

                                            <?= \kartik\select2\Select2::widget([

                                                'name' => 'filter_equipment',

                                                'data' => $list->equipment(),

                                                'value' => $selected_equipment,

                                                'options' => [

                                                    'placeholder' => Yii::t('auto', 'Select Equipments'),

                                                    'id' => 'equipment_id',

                                                    'multiple' => true,

                                                    'class' => 'selected-filter'

                                                ],

                                                'showToggleAll' => false,

                                                'pluginOptions' => [

                                                    'allowClear' => true,

                                                ]

                                            ]) ?>

                                        </div>


                                        <div class="full_width mb-5">

                                            <?= \kartik\select2\Select2::widget([

                                                'name' => 'filter_price_from',

                                                'data' => $list->price(),

                                                'value' => $selected_price_from,

                                                'options' => [

                                                    'placeholder' => Yii::t('auto', 'Select Price From'),

                                                    'id' => 'price_from_id',

                                                    'multiple' => false,

                                                    'class' => 'selected-filter'

                                                ],

                                                'showToggleAll' => false,

                                                'pluginOptions' => [

                                                    'allowClear' => true,

                                                ],

                                            ]) ?>

                                        </div>

                                        <div class="full_width mb-5">

                                            <?= \kartik\select2\Select2::widget([

                                                'name' => 'filter_price_to',

                                                'data' => $list->price(),

                                                'value' => $selected_price_to,

                                                'options' => [

                                                    'placeholder' => Yii::t('auto', 'Select Price To'),

                                                    'id' => 'price_to_id',

                                                    'multiple' => false,

                                                    'class' => 'selected-filter'

                                                ],

                                                'pluginOptions' => [

                                                    'allowClear' => false,

                                                ],

                                            ]) ?>


                                        </div>

                                        <div class="full_width mb-5">

                                            <?= \kartik\select2\Select2::widget([

                                                'name' => 'filter_distance_from',

                                                'data' => $list->distance(),

                                                'value' => $selected_distance_from,

                                                'options' => [

                                                    'placeholder' => Yii::t('auto', 'Select Distance KM From'),

                                                    'id' => 'distance_from_id',

                                                    'multiple' => false,

                                                    'class' => 'selected-filter'

                                                ],

                                                'showToggleAll' => false,

                                                'pluginOptions' => [

                                                    'allowClear' => false,

                                                ],

                                            ]) ?>

                                        </div>


                                        <div class="full_width mb-5">

                                            <?= \kartik\select2\Select2::widget([

                                                'name' => 'filter_distance_to',

                                                'data' => $list->distance(),

                                                'value' => $selected_distance_to,

                                                'options' => [

                                                    'placeholder' => Yii::t('auto', 'Select Distance KM To'),

                                                    'id' => 'distance_to_id',

                                                    'multiple' => false,

                                                    'class' => 'selected-filter'

                                                ],

                                                'showToggleAll' => false,

                                                'pluginOptions' => [

                                                    'allowClear' => true,

                                                ],

                                            ]) ?>


                                        </div>

                                        <div class="full_width mb-5">

                                            <?= \kartik\select2\Select2::widget([

                                                'name' => 'filter_distance_mile_from',

                                                'data' => $list->distanceMiles(),

                                                'value' => $selected_distance_mile_from,

                                                'options' => [

                                                    'placeholder' => Yii::t('auto', 'Select Distance Miles To'),

                                                    'id' => 'distance_mile_from_id',

                                                    'multiple' => false,

                                                    'class' => 'selected-filter'

                                                ],

                                                'showToggleAll' => false,

                                                'pluginOptions' => [

                                                    'allowClear' => true,

                                                ],

                                            ]) ?>


                                        </div>

                                        <div class="full_width mb-5">

                                            <?= \kartik\select2\Select2::widget([

                                                'name' => 'filter_distance_mile_to',

                                                'data' => $list->distanceMiles(),

                                                'value' => $selected_distance_mile_to,

                                                'options' => [

                                                    'placeholder' => Yii::t('auto', 'Select Distance Miles From'),

                                                    'id' => 'distance_mile_to_id',

                                                    'multiple' => false,

                                                    'class' => 'selected-filter'

                                                ],

                                                'showToggleAll' => false,

                                                'pluginOptions' => [

                                                    'allowClear' => true,

                                                ],

                                            ]) ?>


                                        </div>

                                    </div>


                                    <?php
                                        Html::endForm(); ?>

                                </div>

                            <?php
                            } ?>

                        <div class="md-overlay"></div>

                    </div>

                    <div class="close-apply-btn">

                        <div class="row">

                            <div class="col-md-6 col-sm-6 col-6">


                                <button class="btn btn-primary md-close"><?= Yii::t('auto', 'Close') ?></button>

                            </div>

                            <div class="col-md-6 col-sm-6 col-6">


                                <button class="btn btn-primary md-apply"><?= Yii::t('auto', 'Apply') ?></button>

                            </div>

                        </div>

                    </div>

                </div>

            </div>

        </div>


        <div class="row ">

            <!--Left Side Content-->

            <div class="col-xl-4 col-lg-4 col-md-12 filter-model-none">

                <div class="card full_width">

                    <?php

                        $keyword = !empty(Yii::$app->request->get('keyword')) ? Yii::$app->request->get('keyword') : "";

                        $form = Html::beginForm(['test'], 'get', ['options' => ['class' => 'full_width']]);

                    ?>

                    <div class="px-4 py-3 border-bottom">

                        <h4 class="mb-0"><?= Yii::t('auto', 'Filter') ?></h4>


                    </div>

                    <div class="px-4 py-3 border-bottom ">

                        <?= Html::a(
                            Yii::t('auto', 'Reset'),
                            \yii\helpers\Url::toRoute(['site/search?keyword=&car_type=' . Vehicle::FREE]),
                            ['class' => 'btn btn-primary']
                        ) ?>

                    </div>


                    <div class="card-body full_width">

                        <div class="full_width mb-5">

                            <div class="form-group">

                                <?= Html::input(
                                    'text',
                                    'keyword',
                                    $keyword,
                                    $options = [
                                        'class' => 'form-control selected-filter',
                                        'id' => 'keyword',
                                        'name' => 'filter_manufacturer',
                                        'style' => '',
                                        'placeholder' => Yii::t('auto', 'Search by title')
                                    ]
                                ) ?>

                            </div>

                        </div>

                        <div class="full_width mb-5">

                            <?php

                                $format = <<< SCRIPT

function format(state) {

    if (!state.id) return state.text; // optgroup



    return state.text;

}

SCRIPT;

                                $escape = new \yii\web\JsExpression("function(m) { return m; }");

                                $this->registerJs($format, \yii\web\View::POS_HEAD);

                            ?>

                            <?php

                                $url = \yii\helpers\Url::toRoute(['/site/lists']);

                                echo \kartik\select2\Select2::widget([

                                    'name' => 'filter_manufacturer',

                                    'data' => $list->manufacture(),

                                    'value' => $selected_manufacturer,

                                    'options' => [

                                        'placeholder' => Yii::t('auto', 'Select Manufacturer'),

                                        'id' => 'manufacturer_id',

                                        'multiple' => false,

                                        'class' => 'selected-filter',

//                                        'onchange' => '

//                                                    $.post("'.$url.'?id="+$(this).val(), function( data ) {

//                    $("select#manufacturer_model_id").html( data );

//                });'

                                    ],

                                    'showToggleAll' => false,

                                    'pluginOptions' => [

                                        'templateResult' => new \yii\web\JsExpression('format'),

                                        'templateSelection' => new \yii\web\JsExpression('format'),

                                        'escapeMarkup' => $escape,

                                        'allowClear' => false,

                                    ]

                                ]) ?>

                        </div>

                        <div class="full_width mb-5">

                            <?= \kartik\depdrop\DepDrop::widget([

                                'name' => 'filter_manufacturer_model',

                                'type' => \kartik\depdrop\DepDrop::TYPE_SELECT2,

                                'data' => ['' => ''], //$list->subManufacture(),

                                'value' => $selected_manufacturer_model,

                                'options' => [

                                    'placeholder' => Yii::t('auto', 'Select Manufacturer Model'),

                                    'id' => 'manufacturer_model_id',


                                    'class' => 'selected-filter'

                                ],

                                //'showToggleAll' => false,

                                'select2Options' => [
                                    'pluginOptions' => [

                                        'allowClear' => false,

                                        'language' => [

                                            'noResults' => new \yii\web\JsExpression(
                                                "function () { return 'Please select manufacturer'; }"
                                            ),

                                        ],

                                    ]
                                ],

                                'pluginOptions' => [

                                    'depends' => ['manufacturer_id'],

                                    'initialize' => true,

                                    'url' => \yii\helpers\Url::to(['/site/get-manufacturer-model']),

                                    'params' => []

                                ]

                            ]) ?>

                        </div>

                        <div class="full_width mb-5">

                            <?php

                                $format = <<< SCRIPT

function format(state) {

    if (!state.id) return state.text; // optgroup



    return state.text;

}

SCRIPT;

                                $escape = new \yii\web\JsExpression("function(m) { return m; }");

                                $this->registerJs($format, \yii\web\View::POS_HEAD);

                            ?>

                            <?= \kartik\select2\Select2::widget([

                                'name' => 'filter_body_type_id',

                                'data' => $list->bodyType(),

                                'value' => $selected_body_type,

                                'options' => [

                                    'placeholder' => Yii::t('auto', 'Select Body Type'),

                                    'id' => 'body_type_id',

                                    'multiple' => false,

                                    'class' => 'selected-filter'

                                ],

                                'showToggleAll' => false,

                                'pluginOptions' => [

                                    'templateResult' => new \yii\web\JsExpression('format'),

                                    'templateSelection' => new \yii\web\JsExpression('format'),

                                    'escapeMarkup' => $escape,

                                    'allowClear' => false,

                                ],

                            ]) ?>

                        </div>

                        <div class="full_width mb-5">

                            <?= \kartik\select2\Select2::widget([

                                'name' => 'filter_model_year',

                                'data' => range(1950, date('Y')),

                                'value' => $selected_model_year,

                                'options' => [

                                    'placeholder' => Yii::t('auto', 'Model Year'),

                                    'id' => 'model_year_id',

                                    'multiple' => false,

                                    'class' => 'selected-filter'

                                ],

                                'showToggleAll' => false,

                                'pluginOptions' => [

                                    'allowClear' => false,

                                ],

                            ]) ?>

                        </div>

                        <div class="full_width mb-5">

                            <?php

                                $format = <<< SCRIPT

function format(state) {

    if (!state.id) return state.text; // optgroup



    return state.text;

}

SCRIPT;

                                $escape = new \yii\web\JsExpression("function(m) { return m; }");

                                $this->registerJs($format, \yii\web\View::POS_HEAD);

                            ?>

                            <?= \kartik\select2\Select2::widget([

                                'name' => 'filter_engine_id',

                                'data' => $list->engine(),

                                'value' => $selected_engine,

                                'options' => [

                                    'placeholder' => Yii::t('auto', 'Select Engine'),

                                    'id' => 'engine_id',

                                    'multiple' => false,

                                    'class' => 'selected-filter'

                                ],

                                'showToggleAll' => false,

                                'pluginOptions' => [

                                    'templateResult' => new \yii\web\JsExpression('format'),

                                    'templateSelection' => new \yii\web\JsExpression('format'),

                                    'escapeMarkup' => $escape,

                                    'allowClear' => false,

                                ],

                            ]) ?>


                        </div>

                        <div class="full_width mb-5">

                            <?php

                                $format = <<< SCRIPT

function format(state) {

    if (!state.id) return state.text; // optgroup



    return state.text;

}

SCRIPT;

                                $escape = new \yii\web\JsExpression("function(m) { return m; }");

                                $this->registerJs($format, \yii\web\View::POS_HEAD);

                            ?>

                            <?= \kartik\select2\Select2::widget([

                                'name' => 'filter_transmission_id',

                                'data' => $list->transmission(),

                                'value' => $selected_transmission,

                                'options' => [

                                    'placeholder' => Yii::t('auto', 'Select Transmission'),

                                    'id' => 'transmission_id',

                                    'multiple' => false,

                                    'class' => 'selected-filter'

                                ],

                                'showToggleAll' => false,

                                'pluginOptions' => [

                                    'templateResult' => new \yii\web\JsExpression('format'),

                                    'templateSelection' => new \yii\web\JsExpression('format'),

                                    'escapeMarkup' => $escape,

                                    'allowClear' => true,

                                ],

                            ]) ?>


                        </div>

                        <div class="full_width mb-5">


                            <?php

                                $format = <<< SCRIPT

function format(state) {

    if (!state.id) return state.text; // optgroup



    return state.text;

}

SCRIPT;

                                $escape = new \yii\web\JsExpression("function(m) { return m; }");

                                $this->registerJs($format, \yii\web\View::POS_HEAD);

                            ?>

                            <?= \kartik\select2\Select2::widget([

                                'name' => 'filter_color_id',

                                'data' => $list->exteriorColor(),

                                'value' => $selected_exterior_color,

                                'options' => [

                                    'placeholder' => Yii::t('auto', 'Select Exterior Color'),

                                    'id' => 'exterior_color_id',

                                    'multiple' => false,

                                    'class' => 'selected-filter'

                                ],

                                'showToggleAll' => false,

                                'pluginOptions' => [

                                    'templateResult' => new \yii\web\JsExpression('format'),

                                    'templateSelection' => new \yii\web\JsExpression('format'),

                                    'escapeMarkup' => $escape,

                                    'allowClear' => true,

                                ],

                            ]) ?>


                        </div>

                        <div class="full_width mb-5">

                            <?php

                                $format = <<< SCRIPT

function format(state) {

    if (!state.id) return state.text; // optgroup



    return state.text;

}

SCRIPT;

                                $escape = new \yii\web\JsExpression("function(m) { return m; }");

                                $this->registerJs($format, \yii\web\View::POS_HEAD);

                            ?>

                            <?= \kartik\select2\Select2::widget([

                                'name' => 'filter_interior_color_id',

                                'data' => $list->interiorColor(),

                                'value' => $selected_interior_color,

                                'options' => [

                                    'placeholder' => Yii::t('auto', 'Select Interior Color'),

                                    'id' => 'interior_color_id',

                                    'multiple' => false,

                                    'class' => 'selected-filter'

                                ],

                                'showToggleAll' => false,

                                'pluginOptions' => [

                                    'templateResult' => new \yii\web\JsExpression('format'),

                                    'templateSelection' => new \yii\web\JsExpression('format'),

                                    'escapeMarkup' => $escape,

                                    'allowClear' => true,

                                ],

                            ]) ?>

                        </div>

                        <div class="full_width mb-5">

                            <?= \kartik\select2\Select2::widget([

                                'name' => 'filter_cylinders_id',

                                'data' => $list->cylinder(),

                                'value' => $selected_cylinder,

                                'options' => [

                                    'placeholder' => Yii::t('auto', 'Select Cylinders'),

                                    'id' => 'cylinder_id',

                                    'multiple' => false,

                                    'class' => 'selected-filter'

                                ],

                                'showToggleAll' => false,

                                'pluginOptions' => [

                                    'allowClear' => true,

                                ],

                            ]) ?>

                        </div>

                        <div class="full_width mb-5">

                            <?php

                                $format = <<< SCRIPT

function format(state) {

    if (!state.id) return state.text; // optgroup



    return state.text;

}

SCRIPT;

                                $escape = new \yii\web\JsExpression("function(m) { return m; }");

                                $this->registerJs($format, \yii\web\View::POS_HEAD);

                            ?>

                            <?= \kartik\select2\Select2::widget([

                                'name' => 'filter_drive_id',

                                'data' => $list->drive(),

                                'value' => $selected_drive,

                                'options' => [

                                    'placeholder' => Yii::t('auto', 'Select Drive'),

                                    'id' => 'drive_id',

                                    'multiple' => false,

                                    'class' => 'selected-filter'

                                ],

                                'showToggleAll' => false,

                                'pluginOptions' => [

                                    'templateResult' => new \yii\web\JsExpression('format'),

                                    'templateSelection' => new \yii\web\JsExpression('format'),

                                    'escapeMarkup' => $escape,

                                    'allowClear' => true,

                                ],

                            ]) ?>

                        </div>


                        <div class="full_width mb-5">

                            <?= \kartik\select2\Select2::widget([

                                'name' => 'filter_equipment',

                                'data' => $list->equipment(),

                                'value' => $selected_equipment,

                                'options' => [

                                    'placeholder' => Yii::t('auto', 'Select Equipments'),

                                    'id' => 'equipment_id',

                                    'multiple' => true,

                                    'class' => 'selected-filter'

                                ],

                                'showToggleAll' => false,

                                'pluginOptions' => [

                                    'allowClear' => true,

                                ]

                            ]) ?>

                        </div>


                        <div class="full_width mb-5">

                            <?= \kartik\select2\Select2::widget([

                                'name' => 'filter_price_from',

                                'data' => $list->price(),

                                'value' => $selected_price_from,

                                'options' => [

                                    'placeholder' => Yii::t('auto', 'Select Price From'),

                                    'id' => 'price_from_id',

                                    'multiple' => false,

                                    'class' => 'selected-filter'

                                ],

                                'showToggleAll' => false,

                                'pluginOptions' => [

                                    'allowClear' => true,

                                ],

                            ]) ?>

                        </div>

                        <div class="full_width mb-5">

                            <?= \kartik\select2\Select2::widget([

                                'name' => 'filter_price_to',

                                'data' => $list->price(),

                                'value' => $selected_price_to,

                                'options' => [

                                    'placeholder' => Yii::t('auto', 'Select Price To'),

                                    'id' => 'price_to_id',

                                    'multiple' => false,

                                    'class' => 'selected-filter'

                                ],

                                'pluginOptions' => [

                                    'allowClear' => false,

                                ],

                            ]) ?>


                        </div>


                        <div class="full_width mb-5">

                            <?= \kartik\select2\Select2::widget([

                                'name' => 'filter_distance_from',

                                'data' => $list->distance(),

                                'value' => $selected_distance_from,

                                'options' => [

                                    'placeholder' => Yii::t('auto', 'Select Distance KM From'),

                                    'id' => 'distance_from_id',

                                    'multiple' => false,

                                    'class' => 'selected-filter'

                                ],

                                'showToggleAll' => false,

                                'pluginOptions' => [

                                    'allowClear' => false,

                                ],

                            ]) ?>

                        </div>

                        <div class="full_width mb-5">

                            <?= \kartik\select2\Select2::widget([

                                'name' => 'filter_distance_to',

                                'data' => $list->distance(),

                                'value' => $selected_distance_to,

                                'options' => [

                                    'placeholder' => Yii::t('auto', 'Select Distance KM To'),

                                    'id' => 'distance_to_id',

                                    'multiple' => false,

                                    'class' => 'selected-filter'

                                ],

                                'showToggleAll' => false,

                                'pluginOptions' => [

                                    'allowClear' => true,

                                ],

                            ]) ?>

                        </div>


                        <div class="full_width mb-5">

                            <?= \kartik\select2\Select2::widget([

                                'name' => 'filter_distance_mile_from',

                                'data' => $list->distanceMiles(),

                                'value' => $selected_distance_mile_from,

                                'options' => [

                                    'placeholder' => Yii::t('auto', 'Select Distance Mile From'),

                                    'id' => 'distance_mile_from_id',

                                    'multiple' => false,

                                    'class' => 'selected-filter'

                                ],

                                'showToggleAll' => false,

                                'pluginOptions' => [

                                    'allowClear' => true,

                                ],

                            ]) ?>

                        </div>

                        <div class="full_width mb-5">

                            <?= \kartik\select2\Select2::widget([

                                'name' => 'filter_distance_mile_to',

                                'data' => $list->distanceMiles(),

                                'value' => $selected_distance_mile_to,

                                'options' => [

                                    'placeholder' => Yii::t('auto', 'Select Distance Mile To'),

                                    'id' => 'distance_mile_to_id',

                                    'multiple' => false,

                                    'class' => 'selected-filter'

                                ],

                                'showToggleAll' => false,

                                'pluginOptions' => [

                                    'allowClear' => true,

                                ],

                            ]) ?>

                        </div>


                    </div>


                    <?php
                        Html::endForm(); ?>

                </div>

            </div>

            <!--/Left Side Content-->


            <div class="col-xl-8 col-lg-8 col-md-12">

                <!--Lists-->

                <div class=" mb-0">

                    <div class="">

                        <div class="item2-gl">

                            <div class="mb-0">

                                <div class="oto-btn-section">

                                    <div class="oto-button-section">


                                        <?php
                                            if (Yii::$app->request->get('car_type') == Vehicle::ROUND) { ?>


                                                <a href="<?= \yii\helpers\Url::toRoute(
                                                    ['site/search?keyword=&car_type=' . Vehicle::FAST]
                                                ) ?>"> </a>

                                                <?= Html::a(
                                                    Yii::t('auto', 'Free ads'),
                                                    \yii\helpers\Url::toRoute(
                                                        ['site/search?keyword=&car_type=' . Vehicle::FREE]
                                                    ),
                                                    ['class' => 'rounded-0 oto-name-btn btn btn-primary']
                                                ) ?>



                                                <?= Html::a(
                                                    '<span class="oto-bauhaus-font">' . Yii::t(
                                                        'auto',
                                                        'OtO'
                                                    ) . ' </span>' . Yii::t('auto', 'Auction'),
                                                    \yii\helpers\Url::toRoute(
                                                        ['site/search?keyword=&car_type=' . Vehicle::FAST]
                                                    ),
                                                    ['class' => 'btn btn-primary oto-name-btn']
                                                ) ?>


                                            <?php
                                            } elseif (Yii::$app->request->get('car_type') == Vehicle::FAST) { ?>



                                                <?= Html::a(
                                                    '<span class="oto-bauhaus-font">' . Yii::t(
                                                        'auto',
                                                        'OtO'
                                                    ) . ' </span>' . Yii::t('auto', '360&deg;'),
                                                    \yii\helpers\Url::toRoute(
                                                        ['site/search?keyword=&car_type=' . Vehicle::ROUND]
                                                    ),
                                                    ['class' => 'btn btn-primary oto-name-btn btn']
                                                ) ?>



                                                <?= Html::a(
                                                    Yii::t('auto', 'Free ads'),
                                                    \yii\helpers\Url::toRoute(
                                                        ['site/search?keyword=&car_type=' . Vehicle::FREE]
                                                    ),
                                                    ['class' => 'rounded-0 oto-name-btn btn btn-primary']
                                                ) ?>


                                            <?php
                                            } else { ?>



                                                <?= Html::a(
                                                    '<span class="oto-bauhaus-font">' . Yii::t(
                                                        'auto',
                                                        'OtO'
                                                    ) . ' </span>' . Yii::t('auto', '360&deg;'),
                                                    \yii\helpers\Url::toRoute(
                                                        ['site/search?keyword=&car_type=' . Vehicle::ROUND]
                                                    ),
                                                    ['class' => 'btn btn-primary oto-name-btn']
                                                ) ?>



                                                <?= Html::a(
                                                    '<span class="oto-bauhaus-font">' . Yii::t(
                                                        'auto',
                                                        'OtO'
                                                    ) . ' </span>' . Yii::t('auto', 'Auction'),
                                                    \yii\helpers\Url::toRoute(
                                                        ['site/search?keyword=&car_type=' . Vehicle::FAST]
                                                    ),
                                                    ['class' => 'btn btn-primary oto-name-btn']
                                                ) ?>


                                            <?php
                                            } ?>


                                        <div class="row float-right pb-5">

                                            <div class="form-group col-xl-12 col-lg-12 col-md-12 mb-0">

                                                <div class="dropdown">

                                                    <button class="btn btn-secondary dropdown-toggle btn-blue-color"
                                                            type="button" id="dropdownMenuButton" data-toggle="dropdown"
                                                            aria-haspopup="true" aria-expanded="false">

                                                        <span class="sort-span"><?= Yii::t(
                                                                'auto',
                                                                'Sort'
                                                            ) ?>:</span><span class="selected_filter_label"></span>

                                                    </button>

                                                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">

                                                        <div class="sorting-list-div">

                                                            <?= Html::a(
                                                                Yii::t('auto', 'Latest First'),
                                                                'javascript:void(0)',
                                                                [
                                                                    'class' => $sort_by == '-id' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                                    'data-value' => '-id'
                                                                ]
                                                            ) ?>

                                                        </div>


                                                        <div class="sorting-list-div">

                                                            <?= Html::a(
                                                                Yii::t('auto', 'Price Ascending'),
                                                                'javascript:void(0)',
                                                                [
                                                                    'class' => $sort_by == 'price' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                                    'data-value' => 'price'
                                                                ]
                                                            ) ?>

                                                        </div>


                                                        <div class="sorting-list-div">

                                                            <?= Html::a(
                                                                Yii::t('auto', 'Price Descending'),
                                                                'javascript:void(0)',
                                                                [
                                                                    'class' => $sort_by == '-price' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                                    'data-value' => '-price'
                                                                ]
                                                            ) ?>

                                                        </div>


                                                        <div class="sorting-list-div">

                                                            <?= Html::a(
                                                                Yii::t('auto', 'Minimum KM Driven'),
                                                                'javascript:void(0)',
                                                                [
                                                                    'class' => $sort_by == 'odometer_km' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                                    'data-value' => 'odometer_km'
                                                                ]
                                                            ) ?>

                                                        </div>


                                                        <div class="sorting-list-div">

                                                            <?= Html::a(
                                                                Yii::t('auto', 'Maximum KM Driven'),
                                                                'javascript:void(0)',
                                                                [
                                                                    'class' => $sort_by == '-odometer_km' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                                    'data-value' => '-odometer_km'
                                                                ]
                                                            ) ?>

                                                        </div>


                                                        <div class="sorting-list-div">

                                                            <?= Html::a(
                                                                Yii::t('auto', 'Minimum Mile Driven'),
                                                                'javascript:void(0)',
                                                                [
                                                                    'class' => $sort_by == 'odometer_mile' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                                    'data-value' => 'odometer_mile'
                                                                ]
                                                            ) ?>

                                                        </div>


                                                        <div class="sorting-list-div">

                                                            <?= Html::a(
                                                                Yii::t('auto', 'Maximum Mile Driven'),
                                                                'javascript:void(0)',
                                                                [
                                                                    'class' => $sort_by == '-odometer_mile' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                                    'data-value' => '-odometer_mile'
                                                                ]
                                                            ) ?>

                                                        </div>


                                                        <div class="sorting-list-div">

                                                            <?= Html::a(
                                                                Yii::t('auto', 'Minimum Power'),
                                                                'javascript:void(0)',
                                                                [
                                                                    'class' => $sort_by == 'power' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                                    'data-value' => 'power'
                                                                ]
                                                            ) ?>

                                                        </div>


                                                        <div class="sorting-list-div">

                                                            <?= Html::a(
                                                                Yii::t('auto', 'Maximum Power'),
                                                                'javascript:void(0)',
                                                                [
                                                                    'class' => $sort_by == '-power' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                                    'data-value' => '-power'
                                                                ]
                                                            ) ?>

                                                        </div>


                                                        <div class="sorting-list-div">

                                                            <?= Html::a(
                                                                Yii::t('auto', 'Oldest Model'),
                                                                'javascript:void(0)',
                                                                [
                                                                    'class' => $sort_by == 'model_year' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                                    'data-value' => 'model_year'
                                                                ]
                                                            ) ?>

                                                        </div>


                                                        <div class="sorting-list-div">

                                                            <?= Html::a(
                                                                Yii::t('auto', 'Latest Model'),
                                                                'javascript:void(0)',
                                                                [
                                                                    'class' => $sort_by == '-model_year' ? 'dropdown-item selected-filter-sort active' : 'selected-filter-sort',
                                                                    'data-value' => '-model_year'
                                                                ]
                                                            ) ?>

                                                        </div>


                                                    </div>

                                                </div>

                                            </div>

                                        </div>

                                    </div>

                                </div>

                            </div>

                            <?php
                                \yii\widgets\Pjax::begin(
                                    ['enablePushState' => true, 'id' => 'search-result', 'timeout' => 10000]
                                ) ?>


                            <div class="tab-content content-summary search_area">

                                <?= ListView::widget([

                                    'dataProvider' => $dataProvider,

                                    'emptyText' => Yii::t('auto', 'No results found.'),

                                    'itemView' => '_search',

                                ]) ?>


                            </div>

                            <?php
                                \yii\widgets\Pjax::end() ?>

                        </div>

                    </div>

                </div>

                <!--/Lists-->


            </div>


        </div>

    </div>

</section>


<!--/Listing-->

<?php

    $add_to_favourite = \yii\helpers\Url::to(['site/favourite']);
    $searchKeyWordUrl = \yii\helpers\Url::to(['site/search-by-keyword']);

    if (!Yii::$app->user->isGuest) {
        $user_id = Yii::$app->user->identity->id;

        $js = <<< JS



$(document).on("click", '.add-to-fav', function (){



    var car_id_string = $(this).attr('id');

    var car_id =  car_id_string.replace("cart-", "");

    $.ajax({method:"POST",url: "$add_to_favourite", data: { user_id : "$user_id",vehicle_id : car_id},

     success: function(result){

        if (result == true){

           $("#cart-"+car_id).addClass('active');

        }

        else{

           $("#cart-"+car_id).removeClass('active');

        }

  }});

    

})

JS;

        $this->registerJs($js);
    }

    $js = <<< JS

$(document).on("click", ".selected-filter-sort", function(){

    $('div.sorting-list-div').find('a.selected-filter-sort').removeClass('active');

    $('div.sorting-list-div').find('a.selected-filter-sort').removeClass('dropdown-item');

    $(this).addClass('active');

    $(this).addClass('dropdown-item');

    $('span.selected_filter_label').html((($('a.dropdown-item.active').length) ? $('a.dropdown-item.active').text() : ''));   

    initSearch();

});
$(document).on("change", ".selected-filter", function(){
    initSearch();
});
function initSearch(){

    var params = new window.URLSearchParams(window.location.search);

    //var keyword = params.get('keyword');

    var keyword = $('#keyword').val();

    var url = "?keyword=";

    if(keyword.length>=1){
        
        console.log('ok');

        url = "?keyword="+keyword;

    }

    var vehicle_type = params.get('vehicle_type');

    if(vehicle_type){

        url += "&vehicle_type="+vehicle_type;

    }

    var page = params.get('page');

    if(page){

        url += "&page="+page;

    }

    var car_type = params.get('car_type');

    if(car_type){

        url += "&car_type="+car_type;

    }



    

        var manufacturer = $('#manufacturer_id').val();

        if(manufacturer.length>=1){

            url +="&manufacturer_id="+manufacturer;

        }

        var manufacturer_model = ($('#manufacturer_model_id').val() == null) ? '' : $('#manufacturer_model_id').val();

        if(manufacturer_model.length>=1){

            url +="&manufacturer_model_id="+manufacturer_model;

        }

        var body_type_id = $('#body_type_id').val();

        if(body_type_id.length>=1){

            url +="&body_type_id="+body_type_id;

        }        

        var model_year = $('#model_year_id').val();

        if(model_year.length>=1){

            url +="&model_year="+model_year;

        }        

        var engine = $('#engine_id').val();

        if(engine.length>=1){

            url +="&engine_id="+engine;

        }        

        var transmission = $('#transmission_id').val();

        if(transmission.length>=1){

            url +="&transmission_id="+transmission;

        }        

        var exterior = $('#exterior_color_id').val();

        if(exterior.length>=1){

            url +="&color_id="+exterior;

        }        

        var interior = $('#interior_color_id').val();

        if(interior.length>=1){

            url +="&interior_color_id="+interior;

        }        

        var cylinder = $('#cylinder_id').val();

        if(cylinder.length>=1){

            url +="&cylinders_id="+cylinder;

        }

        var drive = $('#drive_id').val();

        if(drive.length>=1){

            url +="&drive_id="+drive;

        }

        var equipment = $('#equipment_id').val();

        if (equipment.length>=1) {

            url +="&equipment="+equipment

        }

        var price_from = $('#price_from_id').val();

        if(price_from.length>=1){

            url +="&price_from="+price_from;

        }

        var price_to = $('#price_to_id').val();

        if(price_to.length>=1){

            url +="&price_to="+price_to;

        }

        var distance_from = $('#distance_from_id').val();

        if(distance_from.length>=1){

            url +="&distance_km_from="+distance_from;

        }

        var distance_to = $('#distance_to_id').val();

        if(distance_to.length>=1){

            url +="&distance_km_to="+distance_to;

        } 

        var distance_mile_to = $('#distance_mile_to_id').val();

        if(distance_mile_to.length>=1){

            url +="&distance_mile_to="+distance_mile_to;

        } 

        var distance_mile_from = $('#distance_mile_from_id').val();

        if(distance_mile_from.length>=1){

            url +="&distance_mile_from="+distance_mile_from;

        }

        

        let sort = (($('a.dropdown-item.active').length) ? $('a.dropdown-item.active').data('value') : '')

        //var sort = $(this).data('value');

        var sort_by = params.get('sort');

        if(sort){

            url += "&sort="+sort;

        }else if(sort_by){

            url += "&sort="+sort_by;

        }

       // console.log(url);

        $.pjax({url: url, container: '#search-result', timeout: false})

}
$(document).on('pjax:success', function() {
    $('.lazy-load').Lazy();
});
$(function () {
    $('.md-trigger').on('click', function() {
        $('.md-modal').addClass('md-show');

        });



        $('.md-close, .md-apply').on('click', function() {

            $('.md-modal').removeClass('md-show');

        });



    })
$(function () {
    $( "#keyword" ).autocomplete({
      source: "{$searchKeyWordUrl}",
      minLength: 2,
    });
});

    

JS;

    $this->registerJs($js);

?>

 
