<?php

use yii\helpers\Html;
use yii\bootstrap4\ActiveForm;
use common\models\Vehicle;
use common\models\DropdownListLang;
use yii\bootstrap\Modal;

/* @var $this yii\web\View */
/* @var $from ActiveForm */
/* @var $model common\models\Vehicle*/
/* @var $equipment \common\models\VehicleEquipment*/
/* @var $list common\models\DropdownListLang*/

$attachment = \common\models\VehicleImages::findOne(['vehicle_id' => $model->id,'type' => \common\models\VehicleImages::TYPE_TWO]);
$this->title = 'Listing Details';
?>
    <style>
        .custom-control-inline .invalid-feedback{
            padding-left: 30px;
        }
    </style>

    <div class="bannerimg cover-image bg-background3" data-image-src="<?= Yii::getAlias('@web/uploads/images/banners/banner2.jpg')?>">
        <div class="header-text mb-0">
            <div class="container">
                <div class="text-center text-white details-form-title">
                    <h2 class=""> <?= Yii::t('auto','Enter Vehicle Details')?></h2>
                </div>
            </div>
        </div>
    </div>

    <!--User Profile-->
    <section class="sptb sell-form-page">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <?php $form = ActiveForm::begin(['id' => 'listing', 'options' => ['enctype' => 'multipart/form-data']]); ?>
                    <div class="card mb-0">
                        <div class="card-body">
                            <div class="border-0">
                                <div class="tab-content">
                                    <div class="tab-pane" id="tab-6">

                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <?= $form->field($model,'has_carseer_report', ['options' => ['class' => 'bold-label']])->inline()->radioList([1=>Yii::t('auto','Yes'),0=>Yii::t('auto','No')])->label(Yii::t('auto','Do you have Carseer Report?')) ?>
                                                    <?= $form->field($model, 'car_type')->hiddenInput()->label(false); ?>
                                                </div>
                                            </div>
                                            <div class="col-md-12 carseer_url" style="<?=$model->has_carseer_report?"display:block":"display:none"?>">
                                                <div class="form-group">
                                                    <?= $form->field($model,'carseer_url', ['options' => ['class' => 'bold-label']])->textInput(['class' => 'form-control']) ?>
                                                </div>
                                            </div>

                                            <div class="col-md-12 buy_carseer_report" style="display: none;">
                                                <div class="form-group">
                                                    <?= $form->field($model,'buy_carseer_report', ['options' => ['class' => 'bold-label']])->inline()->radioList([1=>Yii::t('auto','Yes'),0=>Yii::t('auto','No')])->label(Yii::t('auto','Buy Report?')) ?>
                                                </div>
                                                <div class="buy_report_no_message" style="display: none">
                                                    <p class="text-danger"><?= Yii::t('auto', 'Please purchase Carseer Report now and Add it'); ?></p>
                                                </div>
                                            </div>


                                            <div class="col-md-12 vin_number" style="display: none;">
                                                <div class="form-group">
                                                    <?= $form->field($model,'vin_number', ['options' => ['class' => 'bold-label']])->textInput([
                                                    'class' => 'form-control','placeholder' => Yii::t('auto','Vin Number')]);?>
                                                </div>
                                            </div>

                                            <div class="col-md-12 vin_number" style="display: none;">
                                                <div class="form-group">
                                                    <?= Html::button(Yii::t('auto','Submit Key'), ['class' => 'btn btn-success', 'id' => 'submit_vin_key']) ?>
                                                </div>
                                            </div>


                                            <?php if ($model->car_type == Vehicle::ROUND) { ?>
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <?= $form->field($model,'pay_360_online_fees', ['options' => ['class' => 'bold-label']])->inline()->radioList([1=>Yii::t('auto','Yes'),0=>Yii::t('auto','No, I will pay when I bring my car to your center')])->label(Yii::t('auto','Pay 360 Listning Fees Online?')) ?>
                                                    </div>
                                                </div>
                                                <div class="col-lg-10 col-md-10 offset-md-1 offset-lg-1 col-sm-12 nopadding-mobile">
                                                    <?= $this->render('_appointment_booking_slots', [
                                                        'model' => $model,
                                                        'appointmentCalendarData' => $appointmentCalendarData
                                                    ]) ?>
                                                </div>




                                            <?php } ?>
                                        </div>
                                    </div>
                                    <div class="button-section">
                                        <?= Html::submitButton(Yii::t('auto','Next Step'), ['class' => 'btn btn-success next-step-btn']) ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php $form = ActiveForm::end();?>
                </div>
            </div>
        </div>
    </section>
    <!--/User Profile-->
<?php


Modal::begin([
    'id' => 'purchaseCarseerReportModal',
    'header' => '<h3>'.Yii::t('mvu', 'Purchase Carseer Report').'</h3>',
    'size' => 'model-lg',
    'clientOptions' => ['backdrop' => 'static', 'keyboard' => false],
]);
?>
<div class="row">
    <div class="col-md-12 text-center text-muted">
        <p>Validating VIN number. Please wait..</p>
    </div>
</div>
<?php
Modal::end();
?>

<?php
$carseer_checkbox_id = Html::getInputId($model,'has_carseer_report');
$carseer_checkbox_name = Html::getInputName($model,'has_carseer_report');

$buy_carseer_report_checkbox_id = Html::getInputId($model,'buy_carseer_report');
$buy_carseer_report_checkbox_name = Html::getInputName($model,'buy_carseer_report');

$script = <<< JS
       $('#submit_vin_key').on('click', function (){
           $('#purchaseCarseerReportModal').modal('show');
           let vinNumber = $('input[name="Vehicle[vin_number]"]').val();
           $.ajax({
                url: '/site/buy-carseer-report-for-oto',
                data: {DynamicModel : {vin_number: vinNumber, vehicle_id : {$model->id}}},
                dataType: 'JSON',
                type: 'POST',
                beforeSend: function(){
                    $('#purchaseCarseerReportModal').find('.modal-body').html('<div class="row"><div class="col-md-12 text-center text-muted"><p>Validating VIN number. Please wait..</p></div></div>')
                },
                success: function(result){
                    $('#purchaseCarseerReportModal').find('.modal-body').html(result.data.content);
                    console.log(result);
                },
                complete:function(result){
                    
                }
            });
           
       });
        $('#listing').on('beforeSubmit', function (e) {
            
            if($('input[name="Vehicle[car_type]"]').val() == '2'){
                if($('input[name="appointment_date"]').length){
                    let selected_date = $('input[name="appointment_date"]').val();
                    if(selected_date == ''){
                        $('.calendar_subheading_date_selected').addClass('has-error');
                        return false;
                    }    
                }
            }
            if($('input[name="Vehicle[car_type]"]').val() == '3'){
                if( $('input[name="Vehicle[has_carseer_report]"]:checked').val() == "0" && $('input[name="Vehicle[buy_carseer_report]"]:checked').val() == "0"){
                    return false;
                }    
            }
            $('div.disabled_loader').show(); 
            
            return true;
        });
    $(document).ready(function () { 
        $("#$carseer_checkbox_id").click(function() {
            if($('input[name="$carseer_checkbox_name"]:checked').val()=='1') {
                $('.carseer_url').show(); 
                $('.vin_number').hide(); 
                $('.buy_carseer_report').hide();
                $('.vin_number input').attr('required',false);  
                $('.next-step-btn').show();
                
                
                
            } else {
                $('.carseer_url').hide();
                $('.buy_carseer_report').show();
            }
        }); 
       
        $("#$buy_carseer_report_checkbox_id").click(function() {
            $('.buy_report_no_message').hide();
            if($('input[name="$buy_carseer_report_checkbox_name"]:checked').val()=='1') {
                $('.vin_number').show();  
                $('.vin_number input').attr('required',true);  
                $('.next-step-btn').hide();
            } else {
                if($('input[name="Vehicle[car_type]"]').val() == '3'){
                    $('.buy_report_no_message').show();
                }
                $('.vin_number').hide(); 
                $('.vin_number input').attr('required',false);  
                $('.next-step-btn').show();
            }
        }); 

    });

    $(function() {
        var minDate = new Date();                       
        var maxDate = new Date();                       
        $('input[name="datetimes"]').daterangepicker({
            // singleDatePicker: true,
            timePicker: true,
            rtl: true,
            startDate: moment().startOf('hour'),
            endDate: moment().startOf('hour').add(32, 'hour'),
            minDate: minDate,  
            // maxDate: maxDate,       
            maxSpan: {
                days: 1
            },
            timePickerIncrement: 30, 
            locale: {
                format: 'M/DD hh:mm A'
            }
        });
    });
JS;
$this->registerJs($script);

?>