<?php

use common\models\Users;
use yii\bootstrap4\ActiveForm;
use yii\helpers\Html;

/* @var $form ActiveForm*/
/* @var $model User */
/* @var $active*/
?>
<div class="tab-pane  <?=$active=='edit-profile'?"active":""?>" id="edit-profile">

    <?php $form = ActiveForm::begin(['id' => 'edit-profile-form','action' => ['site/edit-profile']])?>

    <div class="row">
        <div class="col-sm-12 col-md-12">
            <div class="form-group">
                <label class="form-label"><?= $model->getAttributeLabel('name')?></label>
                <?= $form->field($model,'name')->textInput(['class' => 'form-control', 'placeholder' =>  $model->getAttributeLabel('name')])
                    ->label(false)?>
            </div>
        </div>
        <div class="col-sm-6 col-md-6">
            <div class="form-group">
                <label class="form-label"><?= Yii::t('auto','Email address')?></label>
                <?= $form->field($model,'email')->textInput(['class' => 'form-control', 'placeholder' => Yii::t('auto','Email')])
                    ->label(false)?>
            </div>
        </div>
        <div class="col-sm-6 col-md-6">
            <div class="form-group">
                <label class="form-label"><?= Yii::t('auto','Phone Number')?></label>
                <?= $form->field($model,'phone')->textInput(['class' => 'form-control', 'placeholder' => Yii::t('auto','Number')])
                    ->label(false)?>
            </div>
        </div>

        <div class="col-md-12">
            <div class="form-group">
                <label class="form-label"><?= Yii::t('auto','Upload Profile Image')?></label>
                <div class="custom-file">
                    <?= $form->field($model,'profile_image')->widget(\kartik\file\FileInput::class,[
                        'pluginOptions' => [
                            'initialPreview'  => Html::img(Yii::getAlias('@web/uploads/profile/'.$model->profile_image)),
                            'initialPreviewData' => true,
                            'showRemove' => false,
                            'showUpload' => false,
                            'showCancel' => false,
                            //'browseLabel' => 'Browse',
                            'allowedFileExtensions' => [
                                'jpeg','jpg','png'
                            ],
                        ],
                    ])->label(false)?>
                </div>
            </div>
        </div>

        <?php if ($model->type == Users::DEALER) {?>
        <div class="col-md-12">
            <div class="form-group">
                <label class="form-label"><?= Yii::t('auto','About Me')?></label>
                <?= $form->field($model, 'about_me')->widget(\dosamigos\ckeditor\CKEditor::class,[
                        'options' => [
                                'row' => 6,
                        ],
                        'preset' => 'basic',
                ])->label(false) ?>
            </div>
        </div>
        <?php }?>

        <div class="col-md-12">
            <div class="form-group">
                <label for="form-label"><?= Yii::t('auto','Address')?></label>
                <?= $form->field($model,'address')->textarea()->label(false)?>
            </div>
        </div>

        <?php if ($model->type == Users::DEALER){?>
            <div class="col-md-12">
                <div class="form-group">
                    <label class="form-label"><?= Yii::t('auto','Registration Document')?></label>
                    <div class="custom-file">
                        <?= $form->field($model,'document')->widget(\kartik\file\FileInput::class,[
                            'pluginOptions' => [
                                'initialPreview'  => Html::img(Yii::getAlias('@web/uploads/document/'.$model->document)),
                                'initialPreviewData' => true,
                                'showRemove' => false,
                                'showUpload' => false,
                                'showCancel' => false,
                            ],
                        ])->label(false)?>
                    </div>
                </div>
            </div>
        <?php }?>

        <div class="col-md-12">
            <?= Html::submitButton(Yii::t('auto','Update Profile'),['class' => 'btn btn-primary'])?>
        </div>
    </div>
    <?php $form = ActiveForm::end()?>

</div>

